<?php
$component = get_gpc('component');
$screenshots = array();

switch ($component) {
case 'webmail':
	$page_title = lmsg2('%1 preview', array(lmsg('__webmail')))->get('capitalize');
	$page_subtitle = lmsg2('Preview the user interface screenshots of %1 supported by %2', array(lmsg('__webmail'), getFullProductNameVersion()))->get();

	require_once('class.DefPackageMng.php');
	$defpkgmng = defpackagemngMaker();
	$webmails = $defpkgmng->getSupportedWebmailTypes();
	foreach ($webmails as $id => $title) {
		$screenshots[$id] = array(
			'title'	=> $title,
			'img'	=> '/demo/webmail/' . $id . '.gif',
		);

		if ($id == 'atmailcom' && get_os() != WIN_NT) // use win component name for screenshot
			$screenshots[$id]['img'] = '/demo/webmail/atmailcomwebmail.gif';
	}
	break;

case 'sqladminmssql':
	if (get_os() != WIN_NT)
		throw new PleskFatalException('This feature is windows-specific.');
	$page_title = lmsg2('%1 preview', array(lmsg('component_name__sqladminmssql')))->get('capitalize');
	$page_subtitle = lmsg2('Preview the user interface screenshots of %1 supported by %2', array(lmsg('component_name__sqladminmssql'), getFullProductNameVersion()))->get();

	require_once('class.DefPackageMng.php');
	$defpkgmng = defpackagemngMaker();
	foreach ($defpkgmng->_categories['sqladminmssql']['sqladminmssql']['packages'] as $id => $package) {
		$screenshots[$id] = array(
			'title'	=> $package['description'],
			'img'	=> '/demo/sqladminmssql/' . $id . '.gif',
		);
	}
	break;

default:
	throw new PleskFatalException("Unsupported conponent '$component'");
}

if (count($screenshots) == 0)
	throw new PleskFatalException("No screenshots for '$component'");

$screenshots_ids = array_keys($screenshots);
?>
<html>
<head>
	<title><?=$page_title?></title>
</head>
<style>
body {
	margin: 0px;
	padding: 0px;
	background-color: #F0F0F0;
	font-family: "Segoe UI",tahoma,"Franklin Gothic Medium",verdana,sans-serif;
	font-size: 11px;
}
#titleContainer {
	background-color: #ffffff;
	padding-left: 20px;
	border-bottom: 1px solid #666;
}
#pageTitle {
	font-family: "Segoe UI",arial,"Franklin Gothic Medium",verdana,sans-serif;
	font-size: 18px;
	padding-top: 10px;
	padding-bottom: 5px;
}
#pageSubtitle {
	padding-bottom: 10px;
}
#linksContainer {
	background-color: #f8f8f8;
	padding: 7px 40px 10px;
	text-align: center;
	line-height: 18px;
	border-bottom: 1px solid #999;
}
#linksContainer a {
	margin: 0px 5px;
}

#linksContainer a.current {
	font-weight: bold;
	color: #000000;
	text-decoration: none;
	cursor: default;
}
#screenContainer {
	text-align: center;
	padding : 20px;
}

</style>
<script language="javascript" type="text/javascript" src="/javascript/prototype.js"></script>
<script>
function update_screen(src, t_id) {
	$$('.current')[0].removeClassName('current');
	$(t_id).addClassName('current');
	$('screen').src = src;
}
</script>
<body>
	<div id="titleContainer">
		<div id="pageTitle"><?=$page_title?></div>
		<div id="pageSubtitle"><?=$page_subtitle?></div>
	</div>
	<div id="linksContainer">
<?php
$links = array();
foreach ($screenshots as $id => $data) {
	$attrs = array('id' => 't_' . $id, 'href' => 'javascript:void(0);', 'onClick' => 'update_screen("' . $data['img'] . '", "t_' . $id .'");');
	if ($id == $screenshots_ids[0]) $attrs['class'] = 'current';
	$links[] = HTML::A($attrs, str_replace(' ', HTML::NBSP, $data['title']));
}
print implode(' | ', $links);
?>
	</div>
	<div id="screenContainer">
		<img id="screen" src="<?=$screenshots[$screenshots_ids[0]]['img']?>">
	</div>
</body>
</html>
