-- MySQL dump 10.9
--
-- Host: localhost    Database: psa
-- ------------------------------------------------------
-- Server version	4.1.20

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `APSApplicationItems`
--

DROP TABLE IF EXISTS `APSApplicationItems`;
CREATE TABLE `APSApplicationItems` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `license_type_id` int(10) unsigned NOT NULL default '0',
  `pkg_id` int(10) unsigned NOT NULL default '0',
  `disabled` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `license_type_id` (`license_type_id`,`pkg_id`),
  KEY `pkg_id` (`pkg_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `APSApplicationItems`
--


/*!40000 ALTER TABLE `APSApplicationItems` DISABLE KEYS */;
LOCK TABLES `APSApplicationItems` WRITE;
INSERT INTO `APSApplicationItems` VALUES (1,0,1,'false');
INSERT INTO `APSApplicationItems` VALUES (2,0,2,'false');
UNLOCK TABLES;
/*!40000 ALTER TABLE `APSApplicationItems` ENABLE KEYS */;

--
-- Table structure for table `APSCatalogUpdates`
--

DROP TABLE IF EXISTS `APSCatalogUpdates`;
CREATE TABLE `APSCatalogUpdates` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `package_name` varchar(255) character set utf8 default NULL,
  `package_version` varchar(30) character set utf8 default NULL,
  `package_release` varchar(30) character set utf8 default NULL,
  `update_name` varchar(255) character set utf8 default NULL,
  `update_version` varchar(30) character set utf8 default NULL,
  `update_release` varchar(30) character set utf8 default NULL,
  `update_vendor` varchar(255) character set utf8 default NULL,
  `update_packager` varchar(255) character set utf8 default NULL,
  `received` datetime default NULL,
  `update_type` enum('patch','upgrade') NOT NULL default 'patch',
  `recommended` enum('true','false') NOT NULL default 'false',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `APSCatalogUpdates`
--


/*!40000 ALTER TABLE `APSCatalogUpdates` DISABLE KEYS */;
LOCK TABLES `APSCatalogUpdates` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `APSCatalogUpdates` ENABLE KEYS */;

--
-- Table structure for table `APSClientApplicationItems`
--

DROP TABLE IF EXISTS `APSClientApplicationItems`;
CREATE TABLE `APSClientApplicationItems` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `client_id` int(10) unsigned NOT NULL default '0',
  `app_item_id` int(10) unsigned NOT NULL default '0',
  `instances_limit` int(11) NOT NULL default '-1',
  `broadcast` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `client_id_2` (`client_id`,`app_item_id`),
  KEY `client_id` (`client_id`),
  KEY `app_item_id` (`app_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `APSClientApplicationItems`
--


/*!40000 ALTER TABLE `APSClientApplicationItems` DISABLE KEYS */;
LOCK TABLES `APSClientApplicationItems` WRITE;
INSERT INTO `APSClientApplicationItems` VALUES (1,1,1,-1,'true');
INSERT INTO `APSClientApplicationItems` VALUES (2,1,2,-1,'true');
INSERT INTO `APSClientApplicationItems` VALUES (3,2,2,-1,'true');
INSERT INTO `APSClientApplicationItems` VALUES (4,3,2,-1,'true');
UNLOCK TABLES;
/*!40000 ALTER TABLE `APSClientApplicationItems` ENABLE KEYS */;

--
-- Table structure for table `APSLicenseTypes`
--

DROP TABLE IF EXISTS `APSLicenseTypes`;
CREATE TABLE `APSLicenseTypes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `application_name` varchar(122) character set ascii collate ascii_bin NOT NULL default '',
  `application_versions` varchar(122) character set ascii collate ascii_bin NOT NULL default '',
  `application_features` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `license_type_hash` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `description` varchar(255) character set utf8 default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `license_type_hash` (`license_type_hash`),
  UNIQUE KEY `application_name` (`application_name`,`application_versions`,`application_features`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `APSLicenseTypes`
--


/*!40000 ALTER TABLE `APSLicenseTypes` DISABLE KEYS */;
LOCK TABLES `APSLicenseTypes` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `APSLicenseTypes` ENABLE KEYS */;

--
-- Table structure for table `APSLicenses`
--

DROP TABLE IF EXISTS `APSLicenses`;
CREATE TABLE `APSLicenses` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `key_number` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `source` text character set utf8 NOT NULL,
  `ka_url` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `expiration_date` date default NULL,
  `update_date` date default NULL,
  `license_type_id` int(10) unsigned NOT NULL default '0',
  `personal` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `key_number` (`key_number`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `APSLicenses`
--


/*!40000 ALTER TABLE `APSLicenses` DISABLE KEYS */;
LOCK TABLES `APSLicenses` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `APSLicenses` ENABLE KEYS */;

--
-- Table structure for table `BackupsRunning`
--

DROP TABLE IF EXISTS `BackupsRunning`;
CREATE TABLE `BackupsRunning` (
  `sessionId` varbinary(250) NOT NULL default '',
  `param` varchar(250) character set ascii NOT NULL default '',
  `val` varbinary(255) default NULL,
  PRIMARY KEY  (`sessionId`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `BackupsRunning`
--


/*!40000 ALTER TABLE `BackupsRunning` DISABLE KEYS */;
LOCK TABLES `BackupsRunning` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `BackupsRunning` ENABLE KEYS */;

--
-- Table structure for table `BackupsScheduled`
--

DROP TABLE IF EXISTS `BackupsScheduled`;
CREATE TABLE `BackupsScheduled` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `obj_id` int(10) unsigned NOT NULL default '0',
  `obj_type` enum('server','reseller','client','domain') NOT NULL default 'server',
  `repository` enum('local','ftp') NOT NULL default 'local',
  `last` datetime default NULL,
  `period` int(10) unsigned NOT NULL default '0',
  `active` enum('true','false') NOT NULL default 'true',
  `processed` enum('true','false') NOT NULL default 'true',
  `rotation` int(11) NOT NULL default '0',
  `prefix` varchar(255) character set utf8 default NULL,
  `email` varchar(255) character set utf8 default NULL,
  `split_size` int(10) unsigned NOT NULL default '0',
  `suspend` enum('true','false') NOT NULL default 'false',
  `with_content` enum('true','false') NOT NULL default 'true',
  `backup_day` int(10) unsigned NOT NULL default '0',
  `backup_time` time NOT NULL default '00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `BackupsScheduled`
--


/*!40000 ALTER TABLE `BackupsScheduled` DISABLE KEYS */;
LOCK TABLES `BackupsScheduled` WRITE;
INSERT INTO `BackupsScheduled` VALUES (1,1,'server','local','2008-11-08 00:00:00',604800,'true','false',10,NULL,'root@localhost',0,'false','true',0,'00:00:00');
UNLOCK TABLES;
/*!40000 ALTER TABLE `BackupsScheduled` ENABLE KEYS */;

--
-- Table structure for table `BackupsSettings`
--

DROP TABLE IF EXISTS `BackupsSettings`;
CREATE TABLE `BackupsSettings` (
  `id` int(10) unsigned default NULL,
  `type` enum('domain','client','server') NOT NULL default 'domain',
  `param` varchar(255) NOT NULL default '',
  `value` varchar(255) character set utf8 default NULL,
  UNIQUE KEY `index1` (`id`,`type`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `BackupsSettings`
--


/*!40000 ALTER TABLE `BackupsSettings` DISABLE KEYS */;
LOCK TABLES `BackupsSettings` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `BackupsSettings` ENABLE KEYS */;

--
-- Table structure for table `BillingCache`
--

DROP TABLE IF EXISTS `BillingCache`;
CREATE TABLE `BillingCache` (
  `GUID` varchar(36) character set ascii collate ascii_bin NOT NULL default '',
  `BALANCE` varchar(20) character set ascii collate ascii_bin default NULL,
  `CURRENCY` char(3) character set ascii collate ascii_bin NOT NULL default 'USD',
  `INVOICEDATEDUE` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `CLIENTID` int(8) unsigned default NULL,
  PRIMARY KEY  (`GUID`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `BillingCache`
--


/*!40000 ALTER TABLE `BillingCache` DISABLE KEYS */;
LOCK TABLES `BillingCache` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `BillingCache` ENABLE KEYS */;

--
-- Table structure for table `Cards`
--

DROP TABLE IF EXISTS `Cards`;
CREATE TABLE `Cards` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `personalName` varchar(255) character set utf8 NOT NULL default '',
  `companyName` varchar(255) character set utf8 default NULL,
  `phone` varchar(255) character set ascii default NULL,
  `fax` varchar(255) character set ascii default NULL,
  `email` varchar(255) character set utf8 default NULL,
  `address` varchar(255) character set utf8 default NULL,
  `city` varchar(255) character set utf8 default NULL,
  `state` varchar(255) character set utf8 default NULL,
  `zip` varchar(10) character set ascii collate ascii_bin default NULL,
  `country` char(2) character set ascii collate ascii_bin default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Cards`
--


/*!40000 ALTER TABLE `Cards` DISABLE KEYS */;
LOCK TABLES `Cards` WRITE;
INSERT INTO `Cards` VALUES (1,'Demo Domain Level User','Parallels','+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','Address: 3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US');
INSERT INTO `Cards` VALUES (2,'Demo Domain2 Level User','Parallels','+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US');
INSERT INTO `Cards` VALUES (3,'Demo Domain3 Level User','Parallels','+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US');
INSERT INTO `Cards` VALUES (4,'Demo Domain4 Level User','Parallels','+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US');
INSERT INTO `Cards` VALUES (5,'Demo Domain5 Level User','Parallels','+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Cards` ENABLE KEYS */;

--
-- Table structure for table `ClientsTraffic`
--

DROP TABLE IF EXISTS `ClientsTraffic`;
CREATE TABLE `ClientsTraffic` (
  `cl_id` int(10) unsigned NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `http_in` bigint(20) unsigned NOT NULL default '0',
  `http_out` bigint(20) unsigned NOT NULL default '0',
  `ftp_in` bigint(20) unsigned NOT NULL default '0',
  `ftp_out` bigint(20) unsigned NOT NULL default '0',
  `smtp_in` bigint(20) unsigned NOT NULL default '0',
  `smtp_out` bigint(20) unsigned NOT NULL default '0',
  `pop3_imap_in` bigint(20) unsigned NOT NULL default '0',
  `pop3_imap_out` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`cl_id`,`date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ClientsTraffic`
--


/*!40000 ALTER TABLE `ClientsTraffic` DISABLE KEYS */;
LOCK TABLES `ClientsTraffic` WRITE;
INSERT INTO `ClientsTraffic` VALUES (1,NOW(),783228,96426762,92053037,96582542,49514155,93032178,316878,73563306);
INSERT INTO `ClientsTraffic` VALUES (2,NOW(),319317,19745313,65752270,47887056,93690363,83664609,214250,35434500);
INSERT INTO `ClientsTraffic` VALUES (3,NOW(),586663,52761229,115037231,150308838,88351440,149682617,257182,55804443);
INSERT INTO `ClientsTraffic` VALUES (6,NOW(),415151,66678059,49950245,47871732,66566028,81674323,857948,28182726);
UNLOCK TABLES;
/*!40000 ALTER TABLE `ClientsTraffic` ENABLE KEYS */;

--
-- Table structure for table `Components`
--

DROP TABLE IF EXISTS `Components`;
CREATE TABLE `Components` (
  `name` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `version` varchar(255) character set ascii collate ascii_bin default NULL,
  PRIMARY KEY  (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Components`
--


/*!40000 ALTER TABLE `Components` DISABLE KEYS */;
LOCK TABLES `Components` WRITE;
INSERT INTO `Components` VALUES ('SSHTerm','0.2.2-9.98415');
INSERT INTO `Components` VALUES ('awstats','6.6-1.swsoft');
INSERT INTO `Components` VALUES ('bind','9.2.4-28.0.1.el4');
INSERT INTO `Components` VALUES ('coldfusion','not_installed');
INSERT INTO `Components` VALUES ('coldfusion-support','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('courier-imap','3.0.8-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('drweb','4.33-rh5_psa');
INSERT INTO `Components` VALUES ('frontpage','not_installed');
INSERT INTO `Components` VALUES ('httpd','2.0.52-38.ent.centos4.2');
INSERT INTO `Components` VALUES ('kav4ms','5.5-1-Plesk');
INSERT INTO `Components` VALUES ('mailman','2.1.5.1-34.rhel4.6');
INSERT INTO `Components` VALUES ('mod_bw','0.8-4');
INSERT INTO `Components` VALUES ('mod_perl','1.99_16-4.5');
INSERT INTO `Components` VALUES ('mod_python','3.1.3-5.1');
INSERT INTO `Components` VALUES ('mysql','4.1.20-3.RHEL4.1.el4_6.1');
INSERT INTO `Components` VALUES ('perl-Apache-ASP','2.57-0.93298');
INSERT INTO `Components` VALUES ('php','4.3.9-3.22.12');
INSERT INTO `Components` VALUES ('plesk-billing','6.0.0-20081105.16');
INSERT INTO `Components` VALUES ('postfix','2.2.10-1.2.1.el4_7');
INSERT INTO `Components` VALUES ('postgresql-server','7.4.19-1.el4_6.1');
INSERT INTO `Components` VALUES ('psa','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-api-rpc','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-atmail','5.3-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-autoinstaller','3.4.0-081105.18');
INSERT INTO `Components` VALUES ('psa-backup-manager','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-drweb-configurator','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-horde','3.1.7-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-imp','4.1.6-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-logrotate','3.7-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-manual-custom-skin-guide','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-migration-manager','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-miva','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-mod-fcgid-configurator','1.0-13');
INSERT INTO `Components` VALUES ('psa-proftpd','1.3.1-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-qmail','1.03-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-qmail-rblsmtpd','0.70-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-rubyrails-configurator','1.1.6-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-spamassassin','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-tomcat-configurator','9.0.0-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('psa-turba','2.1.7-cos4.build90081107.23');
INSERT INTO `Components` VALUES ('ruby','1.8.6-200703301047');
INSERT INTO `Components` VALUES ('samba','3.0.28-0.el4.9');
INSERT INTO `Components` VALUES ('sitebuilder','not_installed');
INSERT INTO `Components` VALUES ('spamassassin','3.2.4-1.el4.1');
INSERT INTO `Components` VALUES ('tomcat','5.0.30-11jpp');
INSERT INTO `Components` VALUES ('webalizer','2.01_10-25');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Components` ENABLE KEYS */;

--
-- Table structure for table `DashboardPreset`
--

DROP TABLE IF EXISTS `DashboardPreset`;
CREATE TABLE `DashboardPreset` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set utf8 default '',
  `uri` varchar(255) character set ascii NOT NULL default '',
  `type` enum('admin','reseller','client','domain','private','custom') NOT NULL default 'private',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name_type` (`name`,`type`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `DashboardPreset`
--


/*!40000 ALTER TABLE `DashboardPreset` DISABLE KEYS */;
LOCK TABLES `DashboardPreset` WRITE;
INSERT INTO `DashboardPreset` VALUES (1,'Default Administrator Home Page','/plesk/dashboard/','admin');
INSERT INTO `DashboardPreset` VALUES (2,'Default Client Home Page','/plesk/client@/dashboard/','client');
INSERT INTO `DashboardPreset` VALUES (3,'Default Domain Owner Home Page','/plesk/client@/domain@/dashboard/','domain');
INSERT INTO `DashboardPreset` VALUES (4,'Default Reseller Home Page','/plesk/reseller@/dashboard/','reseller');
INSERT INTO `DashboardPreset` VALUES (5,'1-0','/plesk/dashboard/','custom');
INSERT INTO `DashboardPreset` VALUES (6,'8-1','/plesk/client@/domain@/dashboard/','custom');
INSERT INTO `DashboardPreset` VALUES (7,'4-3','/plesk/client@/dashboard/','custom');
INSERT INTO `DashboardPreset` VALUES (8,'4-2','/plesk/client@/dashboard/','custom');
UNLOCK TABLES;
/*!40000 ALTER TABLE `DashboardPreset` ENABLE KEYS */;

--
-- Table structure for table `DashboardPresetConfig`
--

DROP TABLE IF EXISTS `DashboardPresetConfig`;
CREATE TABLE `DashboardPresetConfig` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `preset_id` int(10) unsigned NOT NULL default '0',
  `ord` int(10) unsigned NOT NULL default '0',
  `uri` varchar(255) character set ascii NOT NULL default '',
  `parent_id` int(10) unsigned default NULL,
  `type` enum('none','button','custom-buttons','top','column','footer','indicator','left','right','section','shortcut','tab','tabs','quick-search','quick-search-option') NOT NULL default 'none',
  `title` varchar(255) character set utf8 default NULL,
  `description` varchar(255) character set utf8 default NULL,
  `enabled` enum('false','true') NOT NULL default 'true',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `DashboardPresetConfig`
--


/*!40000 ALTER TABLE `DashboardPresetConfig` DISABLE KEYS */;
LOCK TABLES `DashboardPresetConfig` WRITE;
INSERT INTO `DashboardPresetConfig` VALUES (1,1,2,'/plesk/dashboard/#top',NULL,'top',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (2,1,2,'/plesk/dashboard/#info',1,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (3,1,4,'/plesk/indicator-hostname',2,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (4,1,3,'/plesk/indicator-ip',2,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (5,1,2,'/plesk/indicator-resellers-number',2,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (6,1,1,'/plesk/indicator-clients-number',2,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (7,1,0,'/plesk/indicator-domains-number',2,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (8,1,1,'/plesk/dashboard/#statistics-resources',1,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (9,1,2,'/plesk/indicator-disk-usage',8,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (10,1,1,'/plesk/indicator-mem-usage',8,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (11,1,0,'/plesk/indicator-traffic-usage',8,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (12,1,0,'/plesk/dashboard/#statistics-server',1,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (13,1,3,'/plesk/indicator-version',12,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (14,1,2,'/plesk/indicator-os',12,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (15,1,1,'/plesk/indicator-cpu',12,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (16,1,0,'/plesk/indicator-load-avarage',12,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (17,1,1,'/plesk/dashboard/#column1',NULL,'column',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (18,1,5,'/plesk/dashboard/#accounts',17,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (19,1,5,'/plesk/dashboard/#accounts/footer',18,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (20,1,9,'/plesk/reseller@new/properties/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (21,1,8,'/plesk/reseller-template@new/properties/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (22,1,7,'/plesk/admin/client@new/properties/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (23,1,6,'/plesk/client-template@new/properties/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (24,1,5,'/plesk/reseller@any/client@multi/chowner/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (25,1,4,'/plesk/client@multi/to-reseller/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (26,1,3,'/plesk/client@multi/properties/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (27,1,2,'/plesk/reseller@multi/to-client/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (28,1,1,'/plesk/client@multi/disable/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (29,1,0,'/plesk/client@multi/enable/',19,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (30,1,4,'/plesk/reseller@/',18,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (31,1,3,'/plesk/reseller-template@/',18,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (32,1,2,'/plesk/admin/client@/',18,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (33,1,1,'/plesk/client-template@/',18,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (34,1,0,'/plesk/admin/billing/',18,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (35,1,4,'/plesk/dashboard/#server',17,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (36,1,8,'/plesk/dashboard/#server/footer',35,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (37,1,11,'/plesk/server/ip-address@new/properties/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (38,1,10,'/plesk/server/backup/create/',36,'button','backup__backup_now',NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (39,1,9,'/plesk/server/time/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (40,1,8,'/plesk/server/backup/properties/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (41,1,7,'/plesk/server/db/preferences/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (42,1,6,'/plesk/server/maillists/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (43,1,5,'/plesk/mass-mail/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (44,1,4,'/plesk/server/spam-filter/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (45,1,3,'/plesk/server/preferences/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (46,1,2,'/plesk/server/acronis-true-image-backup/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (47,1,1,'/plesk/server/reboot/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (48,1,0,'/plesk/server/shutdown/',36,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (49,1,7,'/plesk/server/mail/',35,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (50,1,6,'/plesk/server/dns/',35,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (51,1,5,'/plesk/server/components/',35,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (52,1,4,'/plesk/server/services/',35,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (53,1,3,'/plesk/server/db/',35,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (54,1,2,'/plesk/server/backup/',35,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (55,1,1,'/plesk/server/crontab@/task@/',35,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (56,1,0,'/plesk/server/ip-address@/',35,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (57,1,3,'/plesk/dashboard/#logs-statistics',17,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (58,1,4,'/plesk/dashboard/#logs-statistics/footer',57,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (59,1,1,'/plesk/server/statistics/',58,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (60,1,0,'/plesk/admin/report/',58,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (61,1,3,'/plesk/actionlog/',57,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (62,1,2,'/plesk/server/event-handlers/',57,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (63,1,1,'/plesk/notification@/',57,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (64,1,0,'/plesk/server/resources/',57,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (65,1,2,'/plesk/dashboard/#security',17,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (66,1,3,'/plesk/dashboard/#security/footer',65,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (67,1,0,'/plesk/server/certificate@/',66,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (68,1,2,'/plesk/sessions/properties/',65,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (69,1,1,'/plesk/cp-access/',65,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (70,1,0,'/plesk/sessions/',65,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (71,1,1,'/plesk/dashboard/#account',17,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (72,1,2,'/plesk/admin-info/',71,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (73,1,1,'/plesk/admin-password/',71,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (74,1,0,'/plesk/admin/interface/',71,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (75,1,0,'/plesk/dashboard/#custom-buttons',17,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (76,1,0,'/plesk/dashboard/#custom-buttons',75,'custom-buttons',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (77,1,0,'/plesk/dashboard/#column2',NULL,'column',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (78,1,3,'/plesk/dashboard/#domains',77,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (79,1,3,'/plesk/dashboard/#domains/footer',78,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (80,1,6,'/plesk/admin/domain@new/properties/',79,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (81,1,5,'/plesk/admin/domain-template@new/properties/',79,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (82,1,4,'/plesk/client@any/domain@multi/chowner/',79,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (83,1,3,'/plesk/client@any/domain@multi/to-client/',79,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (84,1,2,'/plesk/client@any/domain@multi/properties/',79,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (85,1,1,'/plesk/client@any/domain@multi/disable/',79,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (86,1,0,'/plesk/client@any/domain@multi/enable/',79,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (87,1,2,'/plesk/admin/domain@/',78,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (88,1,1,'/plesk/admin/domain-template@/',78,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (89,1,0,'/plesk/server/skeleton/',78,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (90,1,2,'/plesk/dashboard/#applications-services',77,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (91,1,6,'/plesk/dashboard/#applications-services/footer',90,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (92,1,2,'/plesk/admin/register-domain/',91,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (93,1,1,'/plesk/admin/manage-domain/',91,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (94,1,0,'/plesk/server/register/',91,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (95,1,5,'/plesk/server/application-vault/',90,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (96,1,4,'/plesk/server/application-vault/catalog/',90,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (97,1,3,'/plesk/server/application-vault/catalog/check-updates/',90,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (98,1,2,'/plesk/admin/extras-domain/',90,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (99,1,1,'/plesk/server/coldfusion/',90,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (100,1,0,'/plesk/server/sitebuilder/',90,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (101,1,1,'/plesk/dashboard/#interface',77,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (102,1,4,'/plesk/dashboard/#interface/footer',101,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (103,1,3,'/plesk/custom-buttons/custom-button@new/properties/',102,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (104,1,2,'/plesk/server/interface/dashboard-presets/',102,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (105,1,1,'/plesk/server/interface/templates/',102,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (106,1,0,'/plesk/dashboard/customize/',102,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (107,1,3,'/plesk/logo/',101,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (108,1,2,'/plesk/custom-buttons/',101,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (109,1,1,'/plesk/server/interface/locale@/',101,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (110,1,0,'/plesk/server/interface/skin@/',101,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (111,1,0,'/plesk/dashboard/#support-help',77,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (112,1,5,'/plesk/support/',111,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (113,1,4,'/plesk/license/',111,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (114,1,3,'/plesk/help/',111,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (115,1,2,'/plesk/news/',111,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (116,1,1,'/plesk/server/autoinstaller/',111,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (117,1,0,'/plesk/server/pmm/',111,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (118,4,2,'/plesk/reseller@/dashboard/#top',NULL,'top',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (119,4,2,'/plesk/reseller@/dashboard/#statistics',118,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (120,4,3,'/plesk/reseller@/indicator-status',119,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (121,4,2,'/plesk/reseller@/indicator-clients-number',119,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (122,4,1,'/plesk/reseller@/indicator-domains-number',119,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (123,4,0,'/plesk/reseller@/balance-date-due',119,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (124,4,1,'/plesk/reseller@/dashboard/#statistics-disk-space',118,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (125,4,0,'/plesk/reseller@/indicator-disk-space-limit-usage',124,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (126,4,0,'/plesk/reseller@/dashboard/#statistics-traffic',118,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (127,4,0,'/plesk/reseller@/indicator-traffic-limit-usage',126,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (128,4,1,'/plesk/reseller@/dashboard/#column1',NULL,'column',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (129,4,5,'/plesk/reseller@/dashboard/#clients',128,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (130,4,2,'/plesk/reseller@/dashboard/#clients/footer',129,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (131,4,5,'/plesk/reseller@/client@new/properties/',130,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (132,4,4,'/plesk/reseller@/client-template@new/properties/',130,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (133,4,3,'/plesk/reseller@/client@multi/chowner/',130,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (134,4,2,'/plesk/reseller@/client@multi/properties/',130,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (135,4,1,'/plesk/reseller@/client@multi/disable/',130,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (136,4,0,'/plesk/reseller@/client@multi/enable/',130,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (137,4,1,'/plesk/reseller@/client@/',129,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (138,4,0,'/plesk/reseller@/client-template@/',129,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (139,4,4,'/plesk/reseller@/dashboard/#mail',128,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (140,4,8,'/plesk/reseller@/dashboard/#mail/footer',139,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (141,4,1,'/plesk/reseller@/domain@/mail/properties/',140,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (142,4,0,'/plesk/reseller@/domain@/mail/maillist@new/properties/',140,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (143,4,7,'/plesk/reseller@/domain@/mail/',139,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (144,4,6,'/plesk/reseller@/domain@/mail/mailname@new/properties/',139,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (145,4,5,'/plesk/reseller@/domain@/mail/mailname@/forwarding/',139,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (146,4,4,'/plesk/reseller@/domain@/mail/mailname@/autoresponders/autoresponder@new/properties/',139,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (147,4,3,'/plesk/reseller@/domain@/mail/maillist@/',139,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (148,4,2,'/plesk/reseller@/domain@/mail/mailname@/antivirus/properties/',139,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (149,4,1,'/plesk/reseller@/domain@/mail/mailname@/spam-filter/',139,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (150,4,0,'/plesk/reseller@/domain@/mail/mailname@/webmail/',139,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (151,4,3,'/plesk/reseller@/dashboard/#files',128,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (152,4,5,'/plesk/reseller@/dashboard/#files/footer',151,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (153,4,0,'/plesk/reseller@/backup/create/',152,'button','backup__backup_now',NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (154,4,4,'/plesk/reseller@/domain@/hosting/file-manager/',151,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (155,4,3,'/plesk/reseller@/domain@/hosting/anonymous-ftp/',151,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (156,4,2,'/plesk/reseller@/domain@/hosting/ssh-terminal/',151,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (157,4,1,'/plesk/reseller@/domain@/hosting/protected-directories/',151,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (158,4,0,'/plesk/reseller@/backup/',151,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (159,4,2,'/plesk/reseller@/dashboard/#account-statistics',128,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (160,4,4,'/plesk/reseller@/dashboard/#statistics/footer',159,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (161,4,0,'/plesk/reseller@/report/',160,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (162,4,3,'/plesk/reseller@/domain@/report/web-stats/',159,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (163,4,2,'/plesk/reseller@/limits/',159,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (164,4,1,'/plesk/reseller@/client@any/traffic/',159,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (165,4,0,'/plesk/reseller@/domain@/hosting/logs/',159,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (166,4,1,'/plesk/reseller@/dashboard/#account',128,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (167,4,6,'/plesk/reseller@/dashboard/#account/footer',166,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (168,4,2,'/plesk/reseller@/to-client/',167,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (169,4,1,'/plesk/reseller@/dashboard/customize/',167,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (170,4,0,'/plesk/reseller@/toggle/',167,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (171,4,5,'/plesk/reseller@/properties/',166,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (172,4,4,'/plesk/reseller@/password/',166,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (173,4,3,'/plesk/reseller@/preferences/',166,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (174,4,2,'/plesk/reseller@/logo/',166,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (175,4,1,'/plesk/reseller@/permissions/',166,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (176,4,0,'/plesk/reseller@/billing-details/',166,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (177,4,0,'/plesk/reseller@/dashboard/#custom-buttons',128,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (178,4,0,'/plesk/reseller@/dashboard/#custom-buttons',177,'custom-buttons',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (179,4,0,'/plesk/reseller@/dashboard/#column2',NULL,'column',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (180,4,3,'/plesk/reseller@/dashboard/#domains',179,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (181,4,3,'/plesk/reseller@/dashboard/#domains/footer',180,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (182,4,6,'/plesk/reseller@/domain@new/properties/',181,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (183,4,5,'/plesk/reseller@/domain-template@new/properties/',181,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (184,4,4,'/plesk/reseller@/domain@multi/chowner/',181,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (185,4,3,'/plesk/reseller@/domain@multi/to-client/',181,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (186,4,2,'/plesk/reseller@/domain@multi/properties/',181,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (187,4,1,'/plesk/reseller@/domain@multi/disable/',181,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (188,4,0,'/plesk/reseller@/domain@multi/enable/',181,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (189,4,2,'/plesk/reseller@/domain@/',180,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (190,4,1,'/plesk/reseller@/domain-template@/',180,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (191,4,0,'/plesk/reseller@/skeleton/',180,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (192,4,2,'/plesk/reseller@/dashboard/#web-site',179,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (193,4,8,'/plesk/reseller@/dashboard/#web-site/footer',192,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (194,4,2,'/plesk/reseller@/domain@/dns/',193,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (195,4,1,'/plesk/reseller@/domain@/hosting/type/',193,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (196,4,0,'/plesk/reseller@/domain@/hosting/subdomains/subdomain@new/properties/',193,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (197,4,7,'/plesk/reseller@/domain@/hosting/sitebuilder/',192,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (198,4,6,'/plesk/reseller@/domain@/hosting/properties/',192,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (199,4,5,'/plesk/reseller@/domain@/hosting/subdomains/',192,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (200,4,4,'/plesk/reseller@/domain@/domain-alias@/',192,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (201,4,3,'/plesk/reseller@/domain@/hosting/frontpage/webadmin/',192,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (202,4,2,'/plesk/reseller@/domain@/hosting/frontpage/webadmin-ssl/',192,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (203,4,1,'/plesk/reseller@/domain@/hosting/web-users/',192,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (204,4,0,'/plesk/reseller@/domain@/hosting/preview/',192,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (205,4,1,'/plesk/reseller@/dashboard/#applications-services',179,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (206,4,5,'/plesk/reseller@/dashboard/#applications-services/footer',205,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (207,4,5,'/plesk/reseller@/domain@/hosting/site-applications/site-application@new/properties/',206,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (208,4,4,'/plesk/reseller@/application-pool/',206,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (209,4,3,'/plesk/reseller@/domain@/java-application@new/properties/',206,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (210,4,2,'/plesk/reseller@/domain@/databases/database@new/properties/',206,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (211,4,1,'/plesk/reseller@/domain@/databases/database@/user@new/properties/',206,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (212,4,0,'/plesk/reseller@/manage-domain/',206,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (213,4,4,'/plesk/reseller@/domain@/hosting/site-applications/',205,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (214,4,3,'/plesk/reseller@/extras-domain/',205,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (215,4,2,'/plesk/reseller@/domain@/databases/',205,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (216,4,1,'/plesk/reseller@/domain@/java-application@/',205,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (217,4,0,'/plesk/reseller@/register-domain/',205,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (218,4,0,'/plesk/reseller@/dashboard/#advanced-tools',179,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (219,4,6,'/plesk/reseller@/dashboard/#advanced-tools/footer',218,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (220,4,1,'/plesk/reseller@/domain@/hosting/crontab@/task@new/properties/',219,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (221,4,0,'/plesk/reseller@/custom-buttons/custom-button@new/properties/',219,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (222,4,5,'/plesk/reseller@/ipaddress@/',218,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (223,4,4,'/plesk/reseller@/domain@/hosting/crontab@/task@/',218,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (224,4,3,'/plesk/reseller@/domain@/certificate@/',218,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (225,4,2,'/plesk/reseller@/sessions/',218,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (226,4,1,'/plesk/reseller@/domain@/hosting/performance/',218,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (227,4,0,'/plesk/reseller@/custom-buttons/',218,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (228,2,2,'/plesk/client@/dashboard/#top',NULL,'top',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (229,2,2,'/plesk/client@/dashboard/#statistics',228,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (230,2,3,'/plesk/client@/indicator-status',229,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (231,2,2,'/plesk/client@/balance-date-due',229,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (232,2,1,'/plesk/client@/indicator-domains-number',229,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (233,2,0,'/plesk/client@/indicator-mailnames-number',229,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (234,2,1,'/plesk/client@/dashboard/#statistics-disk-space',228,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (235,2,0,'/plesk/client@/indicator-disk-space-limit-usage',234,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (236,2,0,'/plesk/client@/dashboard/#statistics-traffic',228,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (237,2,0,'/plesk/client@/indicator-traffic-limit-usage',236,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (238,2,1,'/plesk/client@/dashboard/#column1',NULL,'column',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (239,2,5,'/plesk/client@/dashboard/#domains',238,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (240,2,3,'/plesk/client@/dashboard/#domains/footer',239,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (241,2,6,'/plesk/client@/domain@new/properties/',240,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (242,2,5,'/plesk/client@/domain-template@new/properties/',240,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (243,2,4,'/plesk/client@/domain@multi/chowner/',240,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (244,2,3,'/plesk/client@/domain@multi/to-client/',240,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (245,2,2,'/plesk/client@/domain@multi/properties/',240,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (246,2,1,'/plesk/client@/domain@multi/disable/',240,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (247,2,0,'/plesk/client@/domain@multi/enable/',240,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (248,2,2,'/plesk/client@/domain@/',239,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (249,2,1,'/plesk/client@/domain-template@/',239,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (250,2,0,'/plesk/client@/skeleton/',239,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (251,2,4,'/plesk/client@/dashboard/#mail',238,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (252,2,8,'/plesk/client@/dashboard/#mail/footer',251,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (253,2,1,'/plesk/client@/domain@/mail/properties/',252,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (254,2,0,'/plesk/client@/domain@/mail/maillist@new/properties/',252,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (255,2,7,'/plesk/client@/domain@/mail/',251,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (256,2,6,'/plesk/client@/domain@/mail/mailname@new/properties/',251,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (257,2,5,'/plesk/client@/domain@/mail/mailname@/forwarding/',251,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (258,2,4,'/plesk/client@/domain@/mail/mailname@/autoresponders/autoresponder@new/properties/',251,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (259,2,3,'/plesk/client@/domain@/mail/maillist@/',251,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (260,2,2,'/plesk/client@/domain@/mail/mailname@/antivirus/properties/',251,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (261,2,1,'/plesk/client@/domain@/mail/mailname@/spam-filter/',251,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (262,2,0,'/plesk/client@/domain@/mail/mailname@/webmail/',251,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (263,2,3,'/plesk/client@/dashboard/#files',238,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (264,2,5,'/plesk/client@/dashboard/#files/footer',263,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (265,2,0,'/plesk/client@/backup/create/',264,'button','backup__backup_now',NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (266,2,4,'/plesk/client@/domain@/hosting/file-manager/',263,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (267,2,3,'/plesk/client@/domain@/hosting/anonymous-ftp/',263,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (268,2,2,'/plesk/client@/domain@/hosting/ssh-terminal/',263,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (269,2,1,'/plesk/client@/domain@/hosting/protected-directories/',263,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (270,2,0,'/plesk/client@/backup/',263,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (271,2,2,'/plesk/client@/dashboard/#account-statistics',238,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (272,2,4,'/plesk/client@/dashboard/#statistics/footer',271,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (273,2,0,'/plesk/client@/report/',272,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (274,2,3,'/plesk/client@/domain@/report/web-stats/',271,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (275,2,2,'/plesk/client@/limits/',271,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (276,2,1,'/plesk/client@/traffic/',271,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (277,2,0,'/plesk/client@/domain@/hosting/logs/',271,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (278,2,1,'/plesk/client@/dashboard/#account',238,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (279,2,6,'/plesk/client@/dashboard/#account/footer',278,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (280,2,3,'/plesk/client@/chowner/',279,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (281,2,2,'/plesk/client@/to-reseller/',279,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (282,2,1,'/plesk/client@/dashboard/customize/',279,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (283,2,0,'/plesk/client@/toggle/',279,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (284,2,5,'/plesk/client@/properties/',278,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (285,2,4,'/plesk/client@/password/',278,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (286,2,3,'/plesk/client@/preferences/',278,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (287,2,2,'/plesk/client@/logo/',278,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (288,2,1,'/plesk/client@/permissions/',278,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (289,2,0,'/plesk/client@/billing-details/',278,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (290,2,0,'/plesk/client@/dashboard/#custom-buttons',238,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (291,2,0,'/plesk/client@/dashboard/#custom-buttons',290,'custom-buttons',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (292,2,0,'/plesk/client@/dashboard/#column2',NULL,'column',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (293,2,2,'/plesk/client@/dashboard/#web-site',292,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (294,2,8,'/plesk/client@/dashboard/#web-site/footer',293,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (295,2,2,'/plesk/client@/domain@/dns/',294,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (296,2,1,'/plesk/client@/domain@/hosting/type/',294,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (297,2,0,'/plesk/client@/domain@/hosting/subdomains/subdomain@new/properties/',294,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (298,2,7,'/plesk/client@/domain@/hosting/sitebuilder/',293,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (299,2,6,'/plesk/client@/domain@/hosting/properties/',293,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (300,2,5,'/plesk/client@/domain@/hosting/subdomains/',293,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (301,2,4,'/plesk/client@/domain@/domain-alias@/',293,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (302,2,3,'/plesk/client@/domain@/hosting/frontpage/webadmin/',293,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (303,2,2,'/plesk/client@/domain@/hosting/frontpage/webadmin-ssl/',293,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (304,2,1,'/plesk/client@/domain@/hosting/web-users/',293,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (305,2,0,'/plesk/client@/domain@/hosting/preview/',293,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (306,2,1,'/plesk/client@/dashboard/#applications-services',292,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (307,2,5,'/plesk/client@/dashboard/#applications-services/footer',306,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (308,2,5,'/plesk/client@/domain@/hosting/site-applications/site-application@new/properties/',307,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (309,2,4,'/plesk/client@/application-pool/',307,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (310,2,3,'/plesk/client@/domain@/java-application@new/properties/',307,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (311,2,2,'/plesk/client@/domain@/databases/database@new/properties/',307,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (312,2,1,'/plesk/client@/domain@/databases/database@/user@new/properties/',307,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (313,2,0,'/plesk/client@/manage-domain/',307,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (314,2,4,'/plesk/client@/domain@/hosting/site-applications/',306,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (315,2,3,'/plesk/client@/extras-domain/',306,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (316,2,2,'/plesk/client@/domain@/databases/',306,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (317,2,1,'/plesk/client@/domain@/java-application@/',306,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (318,2,0,'/plesk/client@/register-domain/',306,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (319,2,0,'/plesk/client@/dashboard/#advanced-tools',292,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (320,2,6,'/plesk/client@/dashboard/#advanced-tools/footer',319,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (321,2,1,'/plesk/client@/domain@/hosting/crontab@/task@new/properties/',320,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (322,2,0,'/plesk/client@/custom-buttons/custom-button@new/properties/',320,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (323,2,5,'/plesk/client@/ipaddress@/',319,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (324,2,4,'/plesk/client@/domain@/hosting/crontab@/task@/',319,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (325,2,3,'/plesk/client@/domain@/certificate@/',319,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (326,2,2,'/plesk/client@/sessions/',319,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (327,2,1,'/plesk/client@/domain@/hosting/performance/',319,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (328,2,0,'/plesk/client@/custom-buttons/',319,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (329,3,2,'/plesk/client@/domain@/dashboard/#top',NULL,'top',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (330,3,2,'/plesk/client@/domain@/dashboard/#statistics',329,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (331,3,2,'/plesk/client@/domain@/indicator-name',330,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (332,3,1,'/plesk/client@/domain@/indicator-ip',330,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (333,3,0,'/plesk/client@/domain@/indicator-status',330,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (334,3,1,'/plesk/client@/domain@/dashboard/#statistics-disk-space',329,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (335,3,0,'/plesk/client@/domain@/indicator-disk-space-limit-usage',334,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (336,3,0,'/plesk/client@/domain@/dashboard/#statistics-traffic',329,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (337,3,0,'/plesk/client@/domain@/indicator-traffic-limit-usage',336,'indicator',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (338,3,1,'/plesk/client@/domain@/dashboard/#column1',NULL,'column',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (339,3,4,'/plesk/client@/domain@/dashboard/#mail',338,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (340,3,8,'/plesk/client@/domain@/dashboard/#mail/footer',339,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (341,3,1,'/plesk/client@/domain@/mail/properties/',340,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (342,3,0,'/plesk/client@/domain@/mail/maillist@new/properties/',340,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (343,3,7,'/plesk/client@/domain@/mail/',339,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (344,3,6,'/plesk/client@/domain@/mail/mailname@new/properties/',339,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (345,3,5,'/plesk/client@/domain@/mail/mailname@/forwarding/',339,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (346,3,4,'/plesk/client@/domain@/mail/mailname@/autoresponders/autoresponder@new/properties/',339,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (347,3,3,'/plesk/client@/domain@/mail/maillist@/',339,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (348,3,2,'/plesk/client@/domain@/mail/mailname@/antivirus/properties/',339,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (349,3,1,'/plesk/client@/domain@/mail/mailname@/spam-filter/',339,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (350,3,0,'/plesk/client@/domain@/mail/mailname@/webmail/',339,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (351,3,3,'/plesk/client@/domain@/dashboard/#files',338,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (352,3,5,'/plesk/client@/domain@/dashboard/#files/footer',351,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (353,3,0,'/plesk/client@/domain@/backup/create/',352,'button','backup__backup_now',NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (354,3,4,'/plesk/client@/domain@/hosting/file-manager/',351,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (355,3,3,'/plesk/client@/domain@/hosting/anonymous-ftp/',351,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (356,3,2,'/plesk/client@/domain@/hosting/ssh-terminal/',351,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (357,3,1,'/plesk/client@/domain@/hosting/protected-directories/',351,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (358,3,0,'/plesk/client@/domain@/backup',351,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (359,3,2,'/plesk/client@/domain@/dashboard/#account-statistics',338,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (360,3,4,'/plesk/client@/domain@/dashboard/#statistics/footer',359,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (361,3,0,'/plesk/client@/domain@/report/',360,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (362,3,3,'/plesk/client@/domain@/report/web-stats/',359,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (363,3,2,'/plesk/client@/domain@/limits/',359,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (364,3,1,'/plesk/client@/domain@/traffic/',359,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (365,3,0,'/plesk/client@/domain@/hosting/logs/',359,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (366,3,1,'/plesk/client@/domain@/dashboard/#account',338,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (367,3,4,'/plesk/client@/domain@/dashboard/#account/footer',366,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (368,3,5,'/plesk/client@/domain@/rename/',367,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (369,3,4,'/plesk/client@/domain@/dashboard/customize',367,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (370,3,3,'/plesk/client@/domain@/chowner/',367,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (371,3,2,'/plesk/client@/domain@/to-client/',367,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (372,3,1,'/plesk/client@/domain@/domain-user-permissions/',367,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (373,3,0,'/plesk/client@/domain@/toggle/',367,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (374,3,3,'/plesk/client@/domain@/domain-user/',366,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (375,3,2,'/plesk/client@/domain@/properties/',366,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (376,3,1,'/plesk/client@/domain@/domain-user-password/',366,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (377,3,0,'/plesk/client@/domain@/domain-user-interface/',366,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (378,3,0,'/plesk/client@/domain@/dashboard/#custom-buttons',338,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (379,3,0,'/plesk/client@/domain@/dashboard/#custom-buttons',378,'custom-buttons',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (380,3,0,'/plesk/client@/domain@/dashboard/#column2',NULL,'column',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (381,3,2,'/plesk/client@/domain@/dashboard/#web-site',380,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (382,3,8,'/plesk/client@/domain@/dashboard/#web-site/footer',381,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (383,3,2,'/plesk/client@/domain@/dns/',382,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (384,3,1,'/plesk/client@/domain@/hosting/type/',382,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (385,3,0,'/plesk/client@/domain@/hosting/subdomains/subdomain@new/properties/',382,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (386,3,7,'/plesk/client@/domain@/hosting/sitebuilder/',381,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (387,3,6,'/plesk/client@/domain@/hosting/properties/',381,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (388,3,5,'/plesk/client@/domain@/hosting/subdomains/',381,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (389,3,4,'/plesk/client@/domain@/domain-alias@/',381,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (390,3,3,'/plesk/client@/domain@/hosting/frontpage/webadmin/',381,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (391,3,2,'/plesk/client@/domain@/hosting/frontpage/webadmin-ssl/',381,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (392,3,1,'/plesk/client@/domain@/hosting/web-users/',381,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (393,3,0,'/plesk/client@/domain@/hosting/preview/',381,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (394,3,1,'/plesk/client@/domain@/dashboard/#applications-services',380,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (395,3,5,'/plesk/client@/domain@/dashboard/#applications-services/footer',394,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (396,3,3,'/plesk/client@/domain@/hosting/site-applications/site-application@new/properties/',395,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (397,3,2,'/plesk/client@/domain@/java-application@new/properties/',395,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (398,3,1,'/plesk/client@/domain@/databases/database@new/properties/',395,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (399,3,0,'/plesk/client@/domain@/databases/database@/user@new/properties/',395,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (400,3,4,'/plesk/client@/domain@/hosting/site-applications/',394,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (401,3,3,'/plesk/client@/domain@/extras/',394,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (402,3,2,'/plesk/client@/domain@/databases/',394,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (403,3,1,'/plesk/client@/domain@/java-application@/',394,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (404,3,0,'/plesk/client@/domain@/register/',394,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (405,3,0,'/plesk/client@/domain@/dashboard/#advanced-tools',380,'section',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (406,3,5,'/plesk/client@/domain@/dashboard/#advanced-tools/footer',405,'footer',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (407,3,1,'/plesk/client@/domain@/hosting/crontab@/task@new/properties/',406,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (408,3,0,'/plesk/client@/domain@/custom-buttons/custom-button@new/properties/',406,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (409,3,4,'/plesk/client@/domain@/hosting/crontab@/task@/',405,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (410,3,3,'/plesk/client@/domain@/certificate@/',405,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (411,3,2,'/plesk/client@/domain@/sessions/',405,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (412,3,1,'/plesk/client@/domain@/hosting/performance/',405,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (413,3,0,'/plesk/client@/domain@/custom-buttons/',405,'button',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (414,5,1,'/plesk/admin-info/',0,'shortcut','Personal Data','Change personal data for your account.','true');
INSERT INTO `DashboardPresetConfig` VALUES (415,5,0,'/plesk/dashboard/#shortcuts',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (416,5,0,'/plesk/dashboard/#clients',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (417,5,0,'/plesk/dashboard/#domains',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (418,5,0,'/plesk/dashboard/#mailnames',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (419,5,0,'/plesk/dashboard/#recent',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (443,6,1,'/plesk/client@3/domain@1/dashboard/',0,'shortcut','Home page','Your home page.','true');
INSERT INTO `DashboardPresetConfig` VALUES (444,6,0,'/plesk/client@/domain@/dashboard/#shortcuts',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (445,6,0,'/plesk/client@/domain@/dashboard/#mailnames',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (446,6,0,'/plesk/client@/domain@/dashboard/#recent',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (447,6,1,'/plesk/client@3/domain@1/domain-user/',446,'shortcut','Domain administrator access','Change personal data for your account and view account permissions.','true');
INSERT INTO `DashboardPresetConfig` VALUES (449,7,1,'/plesk/client@3/dashboard/',0,'shortcut','Home page','Your home page.','true');
INSERT INTO `DashboardPresetConfig` VALUES (450,7,0,'/plesk/client@/dashboard/#shortcuts',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (451,7,0,'/plesk/client@/dashboard/#domains',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (452,7,0,'/plesk/client@/dashboard/#mailnames',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (453,7,0,'/plesk/client@/dashboard/#recent',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (455,7,2,'/plesk/client@3/domain@1/hosting/site-applications/',453,'shortcut','Web applications','Install and manage web applications on domain demo.parallels.com.','true');
INSERT INTO `DashboardPresetConfig` VALUES (457,7,4,'/plesk/client@3/permissions/',453,'shortcut','Permissions','View the list of actions you can perform in Parallels Plesk Panel.','true');
INSERT INTO `DashboardPresetConfig` VALUES (458,8,1,'/plesk/reseller@2/dashboard/',0,'shortcut','Home page','Your home page.','true');
INSERT INTO `DashboardPresetConfig` VALUES (459,8,0,'/plesk/client@/dashboard/#shortcuts',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (460,8,0,'/plesk/client@/dashboard/#clients',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (461,8,0,'/plesk/client@/dashboard/#domains',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (462,8,0,'/plesk/client@/dashboard/#mailnames',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (463,8,0,'/plesk/client@/dashboard/#recent',NULL,'none',NULL,NULL,'true');
INSERT INTO `DashboardPresetConfig` VALUES (464,8,1,'/plesk/reseller@2/permissions/',463,'shortcut','Permissions','View the list of actions you can perform in Parallels Plesk Panel.','true');
INSERT INTO `DashboardPresetConfig` VALUES (466,8,3,'/plesk/client@3/domain@1/mail/mailname@1/spam-filter/properties/',463,'shortcut','Spam filter preferences for the mail account mailuser@demo.parallels.com','Configure the spam filter for the mail account mailuser@demo.parallels.com.','true');
INSERT INTO `DashboardPresetConfig` VALUES (524,5,0,'/plesk/reseller@2/dashboard/',416,'shortcut','Reseller Demo Reseller','Home page of reseller Demo Reseller. Here you can manage this reseller\'s account.','true');
INSERT INTO `DashboardPresetConfig` VALUES (527,5,0,'/plesk/client@3/dashboard/',416,'shortcut','Client Demo Client','Home page of client Demo Client. Here you can manage this client\'s account.','true');
INSERT INTO `DashboardPresetConfig` VALUES (529,5,0,'/plesk/client@3/domain@1/dashboard/',417,'shortcut','Domain demo.parallels.com','Home page of domain demo.parallels.com. Here you can manage this domain.','true');
INSERT INTO `DashboardPresetConfig` VALUES (532,5,0,'/plesk/client@3/domain@1/mail/mailname@1/',418,'shortcut','Mail account mailuser@demo.parallels.com','Manage mail account mailuser@demo.parallels.com.','true');
INSERT INTO `DashboardPresetConfig` VALUES (537,8,0,'/plesk/client@3/dashboard/',460,'shortcut','Client Demo Client','Home page of client Demo Client. Here you can manage this client\'s account.','true');
INSERT INTO `DashboardPresetConfig` VALUES (540,8,0,'/plesk/client@3/domain@1/dashboard/',461,'shortcut','Domain demo.parallels.com','Home page of domain demo.parallels.com. Here you can manage this domain.','true');
INSERT INTO `DashboardPresetConfig` VALUES (542,8,0,'/plesk/client@3/domain@1/mail/mailname@1/',462,'shortcut','Mail account mailuser@demo.parallels.com','Manage mail account mailuser@demo.parallels.com.','true');
INSERT INTO `DashboardPresetConfig` VALUES (545,7,0,'/plesk/client@3/domain@1/dashboard/',451,'shortcut','Domain demo.parallels.com','Home page of domain demo.parallels.com. Here you can manage this domain.','true');
INSERT INTO `DashboardPresetConfig` VALUES (548,7,0,'/plesk/client@3/domain@1/mail/mailname@1/',452,'shortcut','Mail account mailuser@demo.parallels.com','Manage mail account mailuser@demo.parallels.com.','true');
INSERT INTO `DashboardPresetConfig` VALUES (555,6,0,'/plesk/client@3/domain@1/mail/mailname@1/',445,'shortcut','Mail account mailuser@demo.parallels.com','Manage mail account mailuser@demo.parallels.com.','true');

UNLOCK TABLES;
/*!40000 ALTER TABLE `DashboardPresetConfig` ENABLE KEYS */;

--
-- Table structure for table `DatabaseServers`
--

DROP TABLE IF EXISTS `DatabaseServers`;
CREATE TABLE `DatabaseServers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `host` varchar(63) character set utf8 NOT NULL default '',
  `port` int(10) unsigned default NULL,
  `type` enum('mysql','postgresql') NOT NULL default 'mysql',
  `admin_login` varbinary(255) NOT NULL default '',
  `admin_password` varbinary(255) NOT NULL default '',
  `last_error` enum('no_error','connection_failed','permission_denied','other_error','credentials_not_set') NOT NULL default 'no_error',
  `server_version` varbinary(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `host_port` (`host`,`port`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `DatabaseServers`
--


/*!40000 ALTER TABLE `DatabaseServers` DISABLE KEYS */;
LOCK TABLES `DatabaseServers` WRITE;
INSERT INTO `DatabaseServers` VALUES (1,'localhost',3306,'mysql','admin','********','no_error','');
INSERT INTO `DatabaseServers` VALUES (2,'localhost',5432,'postgresql','posgresql','plesk','no_error','7.4.19');
UNLOCK TABLES;
/*!40000 ALTER TABLE `DatabaseServers` ENABLE KEYS */;

--
-- Table structure for table `DomainServices`
--

DROP TABLE IF EXISTS `DomainServices`;
CREATE TABLE `DomainServices` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dom_id` int(10) unsigned NOT NULL default '0',
  `type` enum('mail','tomcat','maillists') default NULL,
  `status` bigint(20) unsigned NOT NULL default '0',
  `parameters_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `dom_id` (`dom_id`),
  KEY `parameters_id` (`parameters_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `DomainServices`
--


/*!40000 ALTER TABLE `DomainServices` DISABLE KEYS */;
LOCK TABLES `DomainServices` WRITE;
INSERT INTO `DomainServices` VALUES (1,1,'mail',0,1);
INSERT INTO `DomainServices` VALUES (2,2,'mail',0,2);
INSERT INTO `DomainServices` VALUES (3,3,'mail',0,NULL);
INSERT INTO `DomainServices` VALUES (4,4,'mail',0,NULL);
INSERT INTO `DomainServices` VALUES (5,5,'mail',0,NULL);
INSERT INTO `DomainServices` VALUES (6,1,'tomcat',1,3);
UNLOCK TABLES;
/*!40000 ALTER TABLE `DomainServices` ENABLE KEYS */;

--
-- Table structure for table `DomainsTraffic`
--

DROP TABLE IF EXISTS `DomainsTraffic`;
CREATE TABLE `DomainsTraffic` (
  `dom_id` int(10) unsigned NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  `http_in` bigint(20) unsigned NOT NULL default '0',
  `http_out` bigint(20) unsigned NOT NULL default '0',
  `ftp_in` bigint(20) unsigned NOT NULL default '0',
  `ftp_out` bigint(20) unsigned NOT NULL default '0',
  `smtp_in` bigint(20) unsigned NOT NULL default '0',
  `smtp_out` bigint(20) unsigned NOT NULL default '0',
  `pop3_imap_in` bigint(20) unsigned NOT NULL default '0',
  `pop3_imap_out` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`dom_id`,`date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `DomainsTraffic`
--


/*!40000 ALTER TABLE `DomainsTraffic` DISABLE KEYS */;
LOCK TABLES `DomainsTraffic` WRITE;
INSERT INTO `DomainsTraffic` VALUES (1,NOW(),351477,34381408,39448852,78518982,49506836,52651672,115325,33771667);
INSERT INTO `DomainsTraffic` VALUES (2,NOW(),235186,18379821,75588379,71789856,38844604,97030945,141857,22032776);
INSERT INTO `DomainsTraffic` VALUES (3,NOW(),783228,96426762,92053037,96582542,49514155,93032178,316878,73563306);
INSERT INTO `DomainsTraffic` VALUES (4,NOW(),319317,19745313,65752270,47887056,93690363,83664609,214250,35434500);
INSERT INTO `DomainsTraffic` VALUES (5,NOW(),415151,66678059,49950245,47871732,66566028,81674323,857948,28182726);
UNLOCK TABLES;
/*!40000 ALTER TABLE `DomainsTraffic` ENABLE KEYS */;

--
-- Table structure for table `IP_Addresses`
--

DROP TABLE IF EXISTS `IP_Addresses`;
CREATE TABLE `IP_Addresses` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ip_address` varchar(15) character set ascii NOT NULL default '',
  `mask` varchar(15) character set ascii NOT NULL default '255.255.255.0',
  `iface` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `ssl_certificate_id` int(10) unsigned NOT NULL default '0',
  `default_domain_id` int(10) unsigned default NULL,
  `ftps` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ip_address` (`ip_address`),
  KEY `ssl_certificate_id` (`ssl_certificate_id`),
  KEY `default_domain_id` (`default_domain_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `IP_Addresses`
--


/*!40000 ALTER TABLE `IP_Addresses` DISABLE KEYS */;
LOCK TABLES `IP_Addresses` WRITE;
INSERT INTO `IP_Addresses` VALUES (1,'123.123.123.123','255.255.255.255','venet0',1,1,'false');
INSERT INTO `IP_Addresses` VALUES (2,'123.123.123.124','255.255.255.255','venet0',1,NULL,'false');
UNLOCK TABLES;
/*!40000 ALTER TABLE `IP_Addresses` ENABLE KEYS */;

--
-- Table structure for table `Limits`
--

DROP TABLE IF EXISTS `Limits`;
CREATE TABLE `Limits` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `limit_name` varchar(245) character set ascii NOT NULL default '',
  `value` varbinary(255) default NULL,
  PRIMARY KEY  (`id`,`limit_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Limits`
--


/*!40000 ALTER TABLE `Limits` DISABLE KEYS */;
LOCK TABLES `Limits` WRITE;
INSERT INTO `Limits` VALUES (1,'disk_space','-1');
INSERT INTO `Limits` VALUES (1,'expiration','-1');
INSERT INTO `Limits` VALUES (1,'max_box','100');
INSERT INTO `Limits` VALUES (1,'max_db','-1');
INSERT INTO `Limits` VALUES (1,'max_dom','-1');
INSERT INTO `Limits` VALUES (1,'max_traffic','-1');
INSERT INTO `Limits` VALUES (1,'max_webapps','-1');
INSERT INTO `Limits` VALUES (1,'mbox_quota','102400000');
INSERT INTO `Limits` VALUES (2,'disk_space','-1');
INSERT INTO `Limits` VALUES (2,'expiration','-1');
INSERT INTO `Limits` VALUES (2,'max_box','100');
INSERT INTO `Limits` VALUES (2,'max_db','-1');
INSERT INTO `Limits` VALUES (2,'max_subdom','10');
INSERT INTO `Limits` VALUES (2,'max_traffic','-1');
INSERT INTO `Limits` VALUES (2,'max_webapps','-1');
INSERT INTO `Limits` VALUES (2,'mbox_quota','102400000');
INSERT INTO `Limits` VALUES (3,'disk_space','314572800000');
INSERT INTO `Limits` VALUES (3,'expiration','-1');
INSERT INTO `Limits` VALUES (3,'max_box','1000');
INSERT INTO `Limits` VALUES (3,'max_cl','1000');
INSERT INTO `Limits` VALUES (3,'max_db','100');
INSERT INTO `Limits` VALUES (3,'max_traffic','3145728000000');
INSERT INTO `Limits` VALUES (3,'max_webapps','10');
INSERT INTO `Limits` VALUES (3,'mbox_quota','102400000');
INSERT INTO `Limits` VALUES (4,'disk_space','-1');
INSERT INTO `Limits` VALUES (4,'expiration','-1');
INSERT INTO `Limits` VALUES (4,'max_box','100');
INSERT INTO `Limits` VALUES (4,'max_db','-1');
INSERT INTO `Limits` VALUES (4,'max_dom','-1');
INSERT INTO `Limits` VALUES (4,'max_traffic','-1');
INSERT INTO `Limits` VALUES (4,'max_webapps','-1');
INSERT INTO `Limits` VALUES (4,'mbox_quota','102400000');
INSERT INTO `Limits` VALUES (5,'disk_space','-1');
INSERT INTO `Limits` VALUES (5,'expiration','-1');
INSERT INTO `Limits` VALUES (5,'max_box','-1');
INSERT INTO `Limits` VALUES (5,'max_db','-1');
INSERT INTO `Limits` VALUES (5,'max_subdom','-1');
INSERT INTO `Limits` VALUES (5,'max_traffic','-1');
INSERT INTO `Limits` VALUES (5,'max_webapps','-1');
INSERT INTO `Limits` VALUES (5,'mbox_quota','-1');
INSERT INTO `Limits` VALUES (6,'disk_space','-1');
INSERT INTO `Limits` VALUES (6,'expiration','-1');
INSERT INTO `Limits` VALUES (6,'max_box','-1');
INSERT INTO `Limits` VALUES (6,'max_db','-1');
INSERT INTO `Limits` VALUES (6,'max_dom','-1');
INSERT INTO `Limits` VALUES (6,'max_traffic','-1');
INSERT INTO `Limits` VALUES (6,'max_webapps','-1');
INSERT INTO `Limits` VALUES (6,'mbox_quota','-1');
INSERT INTO `Limits` VALUES (7,'disk_space','-1');
INSERT INTO `Limits` VALUES (7,'expiration','-1');
INSERT INTO `Limits` VALUES (7,'max_box','-1');
INSERT INTO `Limits` VALUES (7,'max_db','-1');
INSERT INTO `Limits` VALUES (7,'max_subdom','-1');
INSERT INTO `Limits` VALUES (7,'max_traffic','-1');
INSERT INTO `Limits` VALUES (7,'max_webapps','-1');
INSERT INTO `Limits` VALUES (7,'mbox_quota','-1');
INSERT INTO `Limits` VALUES (8,'disk_space','-1');
INSERT INTO `Limits` VALUES (8,'expiration','-1');
INSERT INTO `Limits` VALUES (8,'max_box','-1');
INSERT INTO `Limits` VALUES (8,'max_db','-1');
INSERT INTO `Limits` VALUES (8,'max_subdom','-1');
INSERT INTO `Limits` VALUES (8,'max_traffic','-1');
INSERT INTO `Limits` VALUES (8,'max_webapps','-1');
INSERT INTO `Limits` VALUES (8,'mbox_quota','-1');
INSERT INTO `Limits` VALUES (9,'disk_space','-1');
INSERT INTO `Limits` VALUES (9,'expiration','-1');
INSERT INTO `Limits` VALUES (9,'max_box','-1');
INSERT INTO `Limits` VALUES (9,'max_db','-1');
INSERT INTO `Limits` VALUES (9,'max_subdom','-1');
INSERT INTO `Limits` VALUES (9,'max_traffic','-1');
INSERT INTO `Limits` VALUES (9,'max_webapps','-1');
INSERT INTO `Limits` VALUES (9,'mbox_quota','-1');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Limits` ENABLE KEYS */;

--
-- Table structure for table `ListsParams`
--

DROP TABLE IF EXISTS `ListsParams`;
CREATE TABLE `ListsParams` (
  `user_id` int(10) unsigned NOT NULL default '0',
  `user_type` int(10) unsigned NOT NULL default '0',
  `parentList_id` int(10) unsigned NOT NULL default '0',
  `list_name` varchar(225) character set ascii NOT NULL default '',
  `flags` int(10) unsigned NOT NULL default '0',
  `sort` varchar(255) character set ascii NOT NULL default 'name',
  `filter` text character set utf8 NOT NULL,
  `page` int(11) NOT NULL default '0',
  `page_size` int(11) NOT NULL default '25',
  PRIMARY KEY  (`user_id`,`user_type`,`parentList_id`,`list_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ListsParams`
--


/*!40000 ALTER TABLE `ListsParams` DISABLE KEYS */;
LOCK TABLES `ListsParams` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `ListsParams` ENABLE KEYS */;

--
-- Table structure for table `Logos`
--

DROP TABLE IF EXISTS `Logos`;
CREATE TABLE `Logos` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set utf8 default NULL,
  `fake` varchar(255) character set ascii collate ascii_bin default NULL,
  `url` varchar(255) character set utf8 default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Logos`
--


/*!40000 ALTER TABLE `Logos` DISABLE KEYS */;
LOCK TABLES `Logos` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `Logos` ENABLE KEYS */;

--
-- Table structure for table `MailLists`
--

DROP TABLE IF EXISTS `MailLists`;
CREATE TABLE `MailLists` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dom_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) character set ascii NOT NULL default '',
  `status` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `dom_id` (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `MailLists`
--


/*!40000 ALTER TABLE `MailLists` DISABLE KEYS */;
LOCK TABLES `MailLists` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `MailLists` ENABLE KEYS */;

--
-- Table structure for table `Modules`
--

DROP TABLE IF EXISTS `Modules`;
CREATE TABLE `Modules` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `packname` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `display_name` varchar(255) character set utf8 NOT NULL default '',
  `version` varchar(30) character set ascii collate ascii_bin NOT NULL default '',
  `release` int(10) unsigned NOT NULL default '0',
  `description` varchar(255) character set utf8 default NULL,
  `icon` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Modules`
--


/*!40000 ALTER TABLE `Modules` DISABLE KEYS */;
LOCK TABLES `Modules` WRITE;
INSERT INTO `Modules` VALUES (1,'firewall','psa-firewall','Firewall','',10001,'The Firewall module helps protect your host and private network from unauthorized access.','/modules/firewall/images/module-icon.gif');
INSERT INTO `Modules` VALUES (2,'vpn','psa-vpn','Virtual Private Networking','',20001,'The Virtual Private Networking builds a secure network over insecure channels.','/modules/vpn/images/module-icon.gif');
INSERT INTO `Modules` VALUES (3,'fileserver','psa-fileserver','Samba Fileserver Configuration','',10000,'The Fileserver module helps share your direcories in SMB network.','/modules/fileserver/images/module-icon.gif');
INSERT INTO `Modules` VALUES (4,'watchdog','psa-watchdog','Watchdog','',20003,'A module for monitoring Plesk control panel services.','/images/modules/watchdog/watchdog.gif');
INSERT INTO `Modules` VALUES (5,'cs-gs','cs-gs','Counter-Strike Game Server','2.0.0',20000,'Counter-Strike game server module allows to install/update CS game server, to create and manage games.','/images/modules/cs-gs/cs.gif');
INSERT INTO `Modules` VALUES (6,'bf1942','psa-bf1942','Battlefield 1942 Server Manager','',10000,'Battlefield 1942 game server module allows to install BF1942 game server, to create and manage games.','/images/modules/bf1942/bf1942.gif');
INSERT INTO `Modules` VALUES (7,'bf2','psa-bf2','Battlefield 2 Server Manager','',10000,'Battlefield 2 game server module allows to install BF2 game server, to create and manage games.','/modules/bf2/images/bf2.gif');
INSERT INTO `Modules` VALUES (8,'kav','psa-','Kaspersky AntiVirus','1.0.0',10000,'Kaspersky Anti-Virus for mailservers module','/images/modules/kav/kav.gif');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Modules` ENABLE KEYS */;

--
-- Table structure for table `NewsArticles`
--

DROP TABLE IF EXISTS `NewsArticles`;
CREATE TABLE `NewsArticles` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `class` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `data` blob,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `NewsArticles`
--


/*!40000 ALTER TABLE `NewsArticles` DISABLE KEYS */;
LOCK TABLES `NewsArticles` WRITE;
INSERT INTO `NewsArticles` VALUES (1,'WhatsNew8_4',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `NewsArticles` ENABLE KEYS */;

--
-- Table structure for table `Notes`
--

DROP TABLE IF EXISTS `Notes`;
CREATE TABLE `Notes` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `text` text character set utf8 NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Notes`
--


/*!40000 ALTER TABLE `Notes` DISABLE KEYS */;
LOCK TABLES `Notes` WRITE;
INSERT INTO `Notes` VALUES (1,'A new client account has been created in Plesk.\nClient\'s contact name: <client_contact_name>\nClient\'s login: <client_login>\nClient\'s password: <password>\nPlesk entry point: https://<hostname>:8443');
INSERT INTO `Notes` VALUES (2,'A new domain has been created in Plesk.\nDomain name: <domain>\nDomain owner: <user_contact_name>\nDomain IP: <ip>');
INSERT INTO `Notes` VALUES (3,'The \'<domain_name>\' domain, owned by user account \'<user_contact_name>\', is approaching or already exceeded the limits:\n<resource_table>\n');
INSERT INTO `Notes` VALUES (4,'The validity period of client account \'<client_login>\' (Contact Name \'<client_contact_name>\') has expired.\nThe client account and all related domains were deactivated on <client_expiration_date>.');
INSERT INTO `Notes` VALUES (5,'The validity period of client account \'<client_login>\' (Contact Name \'<client_contact_name>\') is about to expire.\nThe client account and all of related domains will be deactivated by <client_expiration_date> unless the validity period is prolonged.');
INSERT INTO `Notes` VALUES (6,'The validity period of domain \'<domain_name>\', owned by user account \'<user_login>\' (Contact name \'<user_contact_name>\') has expired.\nThe domain and all of its services were deactivated on <domain_expiration_date>.');
INSERT INTO `Notes` VALUES (7,'The validity period of domain \'<domain_name>\', owned by user account \'<user_login>\' (Contact name \'<user_contact_name>\') is about to expire.\nThe domain and all of its services will be deactivated by <domain_expiration_date> unless the validity period is prolonged.');
INSERT INTO `Notes` VALUES (8,'A new ticket with ID <ticket_id> has been submitted to the Help Desk by <reporter> from <server>.\nPlease retain the ticket identification number for future references. Below is a copy of the ticket.\n-----\n<ticket_comment>\n-----');
INSERT INTO `Notes` VALUES (9,'Ticket <ticket_id> has been commented by <reporter> from <server>.\nBelow is the comment.\n-----\n<ticket_comment>\n-----');
INSERT INTO `Notes` VALUES (10,'Ticket <ticket_id> has been closed by <reporter> from <server>.\nBelow is the comment.\n-----\n<ticket_comment>\n-----');
INSERT INTO `Notes` VALUES (11,'Ticket <ticket_id> has been reopened by <reporter> from <server>.\nBelow is the comment.\n-----\n<ticket_comment>\n-----');
INSERT INTO `Notes` VALUES (12,'The Application Manager reports error: <error_name>.\nBelow is details of the error:\n-----\n<error_details>\n-----');
INSERT INTO `Notes` VALUES (13,'A new reseller account has been created in Plesk.\nReseller\'s contact name: <reseller_contact_name>\nReseller\'s login: <reseller_login>\nReseller\'s password: <password>\nPlesk entry point: https://<hostname>:8443');
INSERT INTO `Notes` VALUES (14,'The validity period of reseller account \'<reseller_login>\' (Contact Name \'<reseller_contact_name>\') has expired.\nThe reseller account and all related client accounts and domains were deactivated on <reseller_expiration_date>.');
INSERT INTO `Notes` VALUES (15,'The validity period of reseller account \'<reseller_login>\' (Contact Name \'<reseller_contact_name>\') is about to expire.\nThe reseller account and all of related client accounts and domains will be deactivated by <reseller_expiration_date> unless the validity period is prolonged.');
INSERT INTO `Notes` VALUES (16,'The \'<reseller_contact_name>\' account is approaching or already exceeded the limits:\n<resource_table>\n');
INSERT INTO `Notes` VALUES (17,'The \'<client_contact_name>\' account is approaching or already exceeded the limits:\n<resource_table>\n');
INSERT INTO `Notes` VALUES (18,'The following resource limits were exceeded on domain \'<domain_name>\', owned by user account \'<user_contact_name>\':\n<resource_table>\nThe domain was suspended.\n');
INSERT INTO `Notes` VALUES (19,'The following resource limits were exceeded by client <client_contact_name>:\n<resource_table>\nThe client account was suspended.\n');
INSERT INTO `Notes` VALUES (20,'The following resource limits were exceeded by reseller \'<reseller_contact_name>\'):\n<resource_table>\nThe reseller account was suspended.\n');
INSERT INTO `Notes` VALUES (21,'User account under client \'<client_contact_name>\' tried to use more \'<limit_name>\' resource than can be provided by the client account. The operation that tried to use more resources was blocked.\n');
INSERT INTO `Notes` VALUES (22,'User account under reseller \'<reseller_contact_name>\' tried to use more \'<limit_name>\' resource than can be provided by the reseller account. The operation that tried to use more resources was blocked.\n');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Notes` ENABLE KEYS */;

--
-- Table structure for table `Notifications`
--

DROP TABLE IF EXISTS `Notifications`;
CREATE TABLE `Notifications` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `status` char(1) character set ascii collate ascii_bin NOT NULL default '',
  `send2admin` char(1) character set ascii collate ascii_bin NOT NULL default '',
  `send2reseller` char(1) character set ascii collate ascii_bin NOT NULL default '',
  `send2client` char(1) character set ascii collate ascii_bin NOT NULL default '',
  `send2dlu` char(1) character set ascii collate ascii_bin NOT NULL default '',
  `send2email` char(1) character set ascii collate ascii_bin NOT NULL default '',
  `email` varchar(255) character set utf8 NOT NULL default '',
  `subj` varchar(255) character set utf8 NOT NULL default '',
  `note_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `note_id` (`note_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Notifications`
--


/*!40000 ALTER TABLE `Notifications` DISABLE KEYS */;
LOCK TABLES `Notifications` WRITE;
INSERT INTO `Notifications` VALUES (1,'','0','1','1','0','0','','Notification of the client creation.',1);
INSERT INTO `Notifications` VALUES (2,'','0','0','1','0','0','','Notification of the domain creation.',2);
INSERT INTO `Notifications` VALUES (3,'','0','0','1','0','0','','Notification: Resource limits exceeded on domain.',3);
INSERT INTO `Notifications` VALUES (4,'','0','1','1','0','0','','Client account event notification: The period of validity has expired.',4);
INSERT INTO `Notifications` VALUES (5,'','0','1','1','0','0','','Client account event notification: The period of validity is about to expire.',5);
INSERT INTO `Notifications` VALUES (6,'','0','0','1','0','0','','Domain event notification: The period of validity has expired.',6);
INSERT INTO `Notifications` VALUES (7,'','0','0','1','0','0','','Domain event notification: The period of validity is about to expire.',7);
INSERT INTO `Notifications` VALUES (8,'','1','1','1','0','0','','Help Desk event notification: Ticket has been created.',8);
INSERT INTO `Notifications` VALUES (9,'','1','1','1','0','0','','Help Desk event notification: Ticket has been commented.',9);
INSERT INTO `Notifications` VALUES (10,'','1','1','1','0','0','','Help Desk event notification: Ticket has been closed.',10);
INSERT INTO `Notifications` VALUES (11,'','1','1','1','0','0','','Help Desk event notification: Ticket has been reopened.',11);
INSERT INTO `Notifications` VALUES (12,'','1','0','0','0','0','','Application Manager Error notification.',12);
INSERT INTO `Notifications` VALUES (13,'','1','1','0','0','0','','Notification of the reseller creation.',13);
INSERT INTO `Notifications` VALUES (14,'','1','1','0','0','0','','Notification: Reseller account expired.',14);
INSERT INTO `Notifications` VALUES (15,'','1','1','0','0','0','','Notification: Reseller account is about to expire.',15);
INSERT INTO `Notifications` VALUES (16,'','1','1','0','0','0','','Notification: Resource limits exceeded by reseller account.',16);
INSERT INTO `Notifications` VALUES (17,'','0','1','1','0','0','','Notification: Resource limits exceeded by client account.',17);
INSERT INTO `Notifications` VALUES (18,'','0','0','1','0','0','','Notification: Domain has exceeded its limits and was suspended.',18);
INSERT INTO `Notifications` VALUES (19,'','0','1','1','0','0','','Notification: Client account has exceeded its limits and was suspended.',19);
INSERT INTO `Notifications` VALUES (20,'','1','1','0','0','0','','Notification: Reseller account has exceeded its limits and was suspended.',20);
INSERT INTO `Notifications` VALUES (21,'','0','0','1','0','0','','Notification: Resources overuse blocked for client account.',21);
INSERT INTO `Notifications` VALUES (22,'','0','1','0','0','0','','Notification: Resources overuse blocked for reseller account.',22);
UNLOCK TABLES;
/*!40000 ALTER TABLE `Notifications` ENABLE KEYS */;

--
-- Table structure for table `PMM`
--

DROP TABLE IF EXISTS `PMM`;
CREATE TABLE `PMM` (
  `sessionId` varbinary(250) NOT NULL default '',
  `param` varchar(250) character set ascii NOT NULL default '',
  `val` varbinary(255) default NULL,
  PRIMARY KEY  (`sessionId`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `PMM`
--


/*!40000 ALTER TABLE `PMM` DISABLE KEYS */;
LOCK TABLES `PMM` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `PMM` ENABLE KEYS */;

--
-- Table structure for table `PMMDefault`
--

DROP TABLE IF EXISTS `PMMDefault`;
CREATE TABLE `PMMDefault` (
  `param` varchar(255) character set ascii NOT NULL default '',
  `val` varbinary(255) default NULL,
  PRIMARY KEY  (`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `PMMDefault`
--


/*!40000 ALTER TABLE `PMMDefault` DISABLE KEYS */;
LOCK TABLES `PMMDefault` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `PMMDefault` ENABLE KEYS */;

--
-- Table structure for table `Parameters`
--

DROP TABLE IF EXISTS `Parameters`;
CREATE TABLE `Parameters` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `parameter` varchar(245) character set ascii NOT NULL default '',
  `value` varbinary(255) default NULL,
  PRIMARY KEY  (`id`,`parameter`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Parameters`
--


/*!40000 ALTER TABLE `Parameters` DISABLE KEYS */;
LOCK TABLES `Parameters` WRITE;
INSERT INTO `Parameters` VALUES (1,'nonexist_mail','reject');
INSERT INTO `Parameters` VALUES (2,'nonexist_mail','reject');
INSERT INTO `Parameters` VALUES (3,'manager_login','11c288702986681a0c91d4bc9b9ef43e');
INSERT INTO `Parameters` VALUES (3,'manager_passwd','896c08380217f1f463810e3975222e2b');
INSERT INTO `Parameters` VALUES (4,'apache_settings_file','phpbb3.conf');
INSERT INTO `Parameters` VALUES (4,'application_url','phpbb3');
INSERT INTO `Parameters` VALUES (4,'dbid:0','0');
INSERT INTO `Parameters` VALUES (4,'d_0:db_server_id','1');
INSERT INTO `Parameters` VALUES (4,'d_0:host','localhost');
INSERT INTO `Parameters` VALUES (4,'d_0:login','usrab3d15848bf83');
INSERT INTO `Parameters` VALUES (4,'d_0:login_length','16');
INSERT INTO `Parameters` VALUES (4,'d_0:login_prefix','');
INSERT INTO `Parameters` VALUES (4,'d_0:name','client_mysql583f627e932c01cda420bfabf21d0633');
INSERT INTO `Parameters` VALUES (4,'d_0:name_length','63');
INSERT INTO `Parameters` VALUES (4,'d_0:pass','plesk');
INSERT INTO `Parameters` VALUES (4,'d_0:port','3306');
INSERT INTO `Parameters` VALUES (4,'d_0:prefix','');
INSERT INTO `Parameters` VALUES (4,'d_0:type','mysql');
INSERT INTO `Parameters` VALUES (4,'d_0:version','');
INSERT INTO `Parameters` VALUES (4,'entry_point','http://demo.parallels.comphpbb3');
INSERT INTO `Parameters` VALUES (4,'p:aps_download_code',NULL);
INSERT INTO `Parameters` VALUES (4,'p:docroot_subdir','phpbb3');
INSERT INTO `Parameters` VALUES (4,'p:docroot_type','.');
INSERT INTO `Parameters` VALUES (4,'p:ssl_prefix','http');
INSERT INTO `Parameters` VALUES (4,'s:admin_email','sales@demo.parallels.com');
INSERT INTO `Parameters` VALUES (4,'s:admin_name','admin');
INSERT INTO `Parameters` VALUES (4,'s:admin_password','plesk1');
INSERT INTO `Parameters` VALUES (4,'s:site_desc','phpBB');
INSERT INTO `Parameters` VALUES (4,'s:title','phpBB');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Parameters` ENABLE KEYS */;

--
-- Table structure for table `Permissions`
--

DROP TABLE IF EXISTS `Permissions`;
CREATE TABLE `Permissions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `permission` varchar(245) character set ascii NOT NULL default '',
  `value` varbinary(255) default NULL,
  PRIMARY KEY  (`id`,`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Permissions`
--


/*!40000 ALTER TABLE `Permissions` DISABLE KEYS */;
LOCK TABLES `Permissions` WRITE;
INSERT INTO `Permissions` VALUES (1,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (1,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (1,'allow_oversell','true');
INSERT INTO `Permissions` VALUES (1,'change_limits','true');
INSERT INTO `Permissions` VALUES (1,'cp_access','true');
INSERT INTO `Permissions` VALUES (1,'create_clients','true');
INSERT INTO `Permissions` VALUES (1,'create_domains','true');
INSERT INTO `Permissions` VALUES (1,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (1,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (1,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (1,'manage_dns','true');
INSERT INTO `Permissions` VALUES (1,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (1,'manage_ftp_password','true');
INSERT INTO `Permissions` VALUES (1,'manage_log','true');
INSERT INTO `Permissions` VALUES (1,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (1,'manage_not_chroot_shell','true');
INSERT INTO `Permissions` VALUES (1,'manage_performance','true');
INSERT INTO `Permissions` VALUES (1,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (1,'manage_php_safe_mode','true');
INSERT INTO `Permissions` VALUES (1,'manage_quota','true');
INSERT INTO `Permissions` VALUES (1,'manage_sh_access','true');
INSERT INTO `Permissions` VALUES (1,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (1,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (1,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (1,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (1,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (1,'remote_access_interface','true');
INSERT INTO `Permissions` VALUES (1,'select_db_server','true');
INSERT INTO `Permissions` VALUES (1,'site_builder','true');
INSERT INTO `Permissions` VALUES (2,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (2,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (2,'change_limits','true');
INSERT INTO `Permissions` VALUES (2,'cp_access','true');
INSERT INTO `Permissions` VALUES (2,'create_domains','true');
INSERT INTO `Permissions` VALUES (2,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (2,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (2,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (2,'manage_dns','true');
INSERT INTO `Permissions` VALUES (2,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (2,'manage_log','true');
INSERT INTO `Permissions` VALUES (2,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (2,'manage_not_chroot_shell','true');
INSERT INTO `Permissions` VALUES (2,'manage_performance','true');
INSERT INTO `Permissions` VALUES (2,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (2,'manage_php_safe_mode','true');
INSERT INTO `Permissions` VALUES (2,'manage_quota','true');
INSERT INTO `Permissions` VALUES (2,'manage_sh_access','true');
INSERT INTO `Permissions` VALUES (2,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (2,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (2,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (2,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (2,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (2,'remote_access_interface','true');
INSERT INTO `Permissions` VALUES (2,'select_db_server','true');
INSERT INTO `Permissions` VALUES (2,'site_builder','true');
INSERT INTO `Permissions` VALUES (3,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (3,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (3,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (3,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (3,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (3,'manage_dns','true');
INSERT INTO `Permissions` VALUES (3,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (3,'manage_ftp_password','true');
INSERT INTO `Permissions` VALUES (3,'manage_log','true');
INSERT INTO `Permissions` VALUES (3,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (3,'manage_not_chroot_shell','true');
INSERT INTO `Permissions` VALUES (3,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (3,'manage_quota','true');
INSERT INTO `Permissions` VALUES (3,'manage_sh_access','true');
INSERT INTO `Permissions` VALUES (3,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (3,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (3,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (3,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (3,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (3,'select_db_server','true');
INSERT INTO `Permissions` VALUES (3,'site_builder','true');
INSERT INTO `Permissions` VALUES (4,'cp_access','true');
INSERT INTO `Permissions` VALUES (4,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (4,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (5,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (5,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (5,'allow_oversell','true');
INSERT INTO `Permissions` VALUES (5,'change_limits','true');
INSERT INTO `Permissions` VALUES (5,'cp_access','true');
INSERT INTO `Permissions` VALUES (5,'create_clients','true');
INSERT INTO `Permissions` VALUES (5,'create_domains','true');
INSERT INTO `Permissions` VALUES (5,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (5,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (5,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (5,'manage_dns','true');
INSERT INTO `Permissions` VALUES (5,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (5,'manage_ftp_password','true');
INSERT INTO `Permissions` VALUES (5,'manage_log','true');
INSERT INTO `Permissions` VALUES (5,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (5,'manage_not_chroot_shell','false');
INSERT INTO `Permissions` VALUES (5,'manage_performance','true');
INSERT INTO `Permissions` VALUES (5,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (5,'manage_php_safe_mode','true');
INSERT INTO `Permissions` VALUES (5,'manage_quota','true');
INSERT INTO `Permissions` VALUES (5,'manage_sh_access','false');
INSERT INTO `Permissions` VALUES (5,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (5,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (5,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (5,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (5,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (5,'remote_access_interface','true');
INSERT INTO `Permissions` VALUES (5,'select_db_server','true');
INSERT INTO `Permissions` VALUES (5,'site_builder','true');
INSERT INTO `Permissions` VALUES (6,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (6,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (6,'change_limits','true');
INSERT INTO `Permissions` VALUES (6,'cp_access','true');
INSERT INTO `Permissions` VALUES (6,'create_domains','true');
INSERT INTO `Permissions` VALUES (6,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (6,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (6,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (6,'manage_dns','true');
INSERT INTO `Permissions` VALUES (6,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (6,'manage_log','true');
INSERT INTO `Permissions` VALUES (6,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (6,'manage_not_chroot_shell','false');
INSERT INTO `Permissions` VALUES (6,'manage_performance','true');
INSERT INTO `Permissions` VALUES (6,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (6,'manage_php_safe_mode','true');
INSERT INTO `Permissions` VALUES (6,'manage_quota','true');
INSERT INTO `Permissions` VALUES (6,'manage_sh_access','false');
INSERT INTO `Permissions` VALUES (6,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (6,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (6,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (6,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (6,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (6,'remote_access_interface','true');
INSERT INTO `Permissions` VALUES (6,'select_db_server','true');
INSERT INTO `Permissions` VALUES (6,'site_builder','true');
INSERT INTO `Permissions` VALUES (7,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (7,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (7,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (7,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (7,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (7,'manage_dns','true');
INSERT INTO `Permissions` VALUES (7,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (7,'manage_ftp_password','true');
INSERT INTO `Permissions` VALUES (7,'manage_log','true');
INSERT INTO `Permissions` VALUES (7,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (7,'manage_not_chroot_shell','false');
INSERT INTO `Permissions` VALUES (7,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (7,'manage_quota','true');
INSERT INTO `Permissions` VALUES (7,'manage_sh_access','false');
INSERT INTO `Permissions` VALUES (7,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (7,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (7,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (7,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (7,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (7,'select_db_server','true');
INSERT INTO `Permissions` VALUES (7,'site_builder','true');
INSERT INTO `Permissions` VALUES (8,'cp_access','true');
INSERT INTO `Permissions` VALUES (8,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (8,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (9,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (9,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (9,'change_limits','true');
INSERT INTO `Permissions` VALUES (9,'cp_access','true');
INSERT INTO `Permissions` VALUES (9,'create_domains','true');
INSERT INTO `Permissions` VALUES (9,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (9,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (9,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (9,'manage_dns','true');
INSERT INTO `Permissions` VALUES (9,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (9,'manage_log','true');
INSERT INTO `Permissions` VALUES (9,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (9,'manage_not_chroot_shell','true');
INSERT INTO `Permissions` VALUES (9,'manage_performance','true');
INSERT INTO `Permissions` VALUES (9,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (9,'manage_php_safe_mode','true');
INSERT INTO `Permissions` VALUES (9,'manage_quota','true');
INSERT INTO `Permissions` VALUES (9,'manage_sh_access','true');
INSERT INTO `Permissions` VALUES (9,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (9,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (9,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (9,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (9,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (9,'remote_access_interface','true');
INSERT INTO `Permissions` VALUES (9,'select_db_server','true');
INSERT INTO `Permissions` VALUES (9,'site_builder','true');
INSERT INTO `Permissions` VALUES (10,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (10,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (10,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (10,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (10,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (10,'manage_dns','true');
INSERT INTO `Permissions` VALUES (10,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (10,'manage_ftp_password','true');
INSERT INTO `Permissions` VALUES (10,'manage_log','true');
INSERT INTO `Permissions` VALUES (10,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (10,'manage_not_chroot_shell','true');
INSERT INTO `Permissions` VALUES (10,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (10,'manage_quota','true');
INSERT INTO `Permissions` VALUES (10,'manage_sh_access','true');
INSERT INTO `Permissions` VALUES (10,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (10,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (10,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (10,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (10,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (10,'select_db_server','true');
INSERT INTO `Permissions` VALUES (10,'site_builder','true');
INSERT INTO `Permissions` VALUES (11,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (11,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (11,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (11,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (11,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (11,'manage_dns','true');
INSERT INTO `Permissions` VALUES (11,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (11,'manage_ftp_password','true');
INSERT INTO `Permissions` VALUES (11,'manage_log','true');
INSERT INTO `Permissions` VALUES (11,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (11,'manage_not_chroot_shell','true');
INSERT INTO `Permissions` VALUES (11,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (11,'manage_quota','true');
INSERT INTO `Permissions` VALUES (11,'manage_sh_access','true');
INSERT INTO `Permissions` VALUES (11,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (11,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (11,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (11,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (11,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (11,'select_db_server','true');
INSERT INTO `Permissions` VALUES (11,'site_builder','true');
INSERT INTO `Permissions` VALUES (12,'allow_ftp_backups','true');
INSERT INTO `Permissions` VALUES (12,'allow_local_backups','true');
INSERT INTO `Permissions` VALUES (12,'manage_anonftp','true');
INSERT INTO `Permissions` VALUES (12,'manage_crontab','true');
INSERT INTO `Permissions` VALUES (12,'manage_dashboard','true');
INSERT INTO `Permissions` VALUES (12,'manage_dns','true');
INSERT INTO `Permissions` VALUES (12,'manage_domain_aliases','true');
INSERT INTO `Permissions` VALUES (12,'manage_ftp_password','true');
INSERT INTO `Permissions` VALUES (12,'manage_log','true');
INSERT INTO `Permissions` VALUES (12,'manage_maillists','true');
INSERT INTO `Permissions` VALUES (12,'manage_not_chroot_shell','true');
INSERT INTO `Permissions` VALUES (12,'manage_phosting','true');
INSERT INTO `Permissions` VALUES (12,'manage_quota','true');
INSERT INTO `Permissions` VALUES (12,'manage_sh_access','true');
INSERT INTO `Permissions` VALUES (12,'manage_spamfilter','true');
INSERT INTO `Permissions` VALUES (12,'manage_subdomains','true');
INSERT INTO `Permissions` VALUES (12,'manage_virusfilter','true');
INSERT INTO `Permissions` VALUES (12,'manage_webapps','true');
INSERT INTO `Permissions` VALUES (12,'manage_webstat','true');
INSERT INTO `Permissions` VALUES (12,'select_db_server','true');
INSERT INTO `Permissions` VALUES (12,'site_builder','true');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Permissions` ENABLE KEYS */;

--
-- Table structure for table `PersistentCache`
--

DROP TABLE IF EXISTS `PersistentCache`;
CREATE TABLE `PersistentCache` (
  `key` varchar(128) character set ascii NOT NULL default '',
  `uid` varchar(32) character set ascii NOT NULL default '',
  `expire` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `events` varchar(255) character set ascii NOT NULL default '',
  PRIMARY KEY  (`key`,`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `PersistentCache`
--


/*!40000 ALTER TABLE `PersistentCache` DISABLE KEYS */;
LOCK TABLES `PersistentCache` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `PersistentCache` ENABLE KEYS */;

--
-- Table structure for table `Repository`
--

DROP TABLE IF EXISTS `Repository`;
CREATE TABLE `Repository` (
  `rep_id` int(10) unsigned NOT NULL auto_increment,
  `component_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`rep_id`,`component_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Repository`
--


/*!40000 ALTER TABLE `Repository` DISABLE KEYS */;
LOCK TABLES `Repository` WRITE;
INSERT INTO `Repository` VALUES (1,1);
INSERT INTO `Repository` VALUES (2,1);
INSERT INTO `Repository` VALUES (3,2);
INSERT INTO `Repository` VALUES (4,3);
INSERT INTO `Repository` VALUES (5,3);
INSERT INTO `Repository` VALUES (5,4);
UNLOCK TABLES;
/*!40000 ALTER TABLE `Repository` ENABLE KEYS */;

--
-- Table structure for table `SBConfig`
--

DROP TABLE IF EXISTS `SBConfig`;
CREATE TABLE `SBConfig` (
  `param_name` varchar(255) character set ascii collate ascii_bin default NULL,
  `param_value` varchar(255) character set ascii collate ascii_bin default NULL,
  UNIQUE KEY `param_name` (`param_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SBConfig`
--


/*!40000 ALTER TABLE `SBConfig` DISABLE KEYS */;
LOCK TABLES `SBConfig` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `SBConfig` ENABLE KEYS */;

--
-- Table structure for table `SBResellers`
--

DROP TABLE IF EXISTS `SBResellers`;
CREATE TABLE `SBResellers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `client_id` int(10) unsigned NOT NULL default '0',
  `sb_client_login` varchar(255) character set utf8 NOT NULL default '',
  `sb_reseller_id` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `client_id` (`client_id`),
  UNIQUE KEY `sb_client_login` (`sb_client_login`),
  UNIQUE KEY `sb_reseller_id` (`sb_reseller_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SBResellers`
--


/*!40000 ALTER TABLE `SBResellers` DISABLE KEYS */;
LOCK TABLES `SBResellers` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `SBResellers` ENABLE KEYS */;

--
-- Table structure for table `SBSites`
--

DROP TABLE IF EXISTS `SBSites`;
CREATE TABLE `SBSites` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `virtualHost_id` int(10) unsigned NOT NULL default '0',
  `sb_site_id` varchar(255) character set ascii collate ascii_bin default NULL,
  `sb_siteowner_id` varchar(255) character set ascii collate ascii_bin default NULL,
  `sb_siteowner_login` varchar(255) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `virtualHost_id` (`virtualHost_id`),
  UNIQUE KEY `sb_site_id` (`sb_site_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SBSites`
--


/*!40000 ALTER TABLE `SBSites` DISABLE KEYS */;
LOCK TABLES `SBSites` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `SBSites` ENABLE KEYS */;

--
-- Table structure for table `SSOBranding`
--

DROP TABLE IF EXISTS `SSOBranding`;
CREATE TABLE `SSOBranding` (
  `http_request_domain` varchar(255) character set utf8 NOT NULL default '',
  `idp_url` varchar(255) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`http_request_domain`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SSOBranding`
--


/*!40000 ALTER TABLE `SSOBranding` DISABLE KEYS */;
LOCK TABLES `SSOBranding` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `SSOBranding` ENABLE KEYS */;

--
-- Table structure for table `SiteAppFiles`
--

DROP TABLE IF EXISTS `SiteAppFiles`;
CREATE TABLE `SiteAppFiles` (
  `instance_id` int(10) unsigned NOT NULL default '0',
  `prefix` enum('htdocs','cgi-bin') NOT NULL default 'htdocs',
  `file` varbinary(255) NOT NULL default '',
  KEY `instance_id` (`instance_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SiteAppFiles`
--


/*!40000 ALTER TABLE `SiteAppFiles` DISABLE KEYS */;
LOCK TABLES `SiteAppFiles` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `SiteAppFiles` ENABLE KEYS */;

--
-- Table structure for table `SiteAppPackages`
--

DROP TABLE IF EXISTS `SiteAppPackages`;
CREATE TABLE `SiteAppPackages` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `version` varchar(30) character set ascii collate ascii_bin NOT NULL default '',
  `release` varchar(30) character set ascii collate ascii_bin NOT NULL default '',
  `categories` varchar(255) character set utf8 default NULL,
  `description` varchar(255) character set utf8 default NULL,
  `access_level` int(10) unsigned NOT NULL default '0',
  `integrated` enum('false','true') NOT NULL default 'false',
  `package_type` int(10) unsigned NOT NULL default '0',
  `params_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`,`version`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SiteAppPackages`
--


/*!40000 ALTER TABLE `SiteAppPackages` DISABLE KEYS */;
LOCK TABLES `SiteAppPackages` WRITE;
INSERT INTO `SiteAppPackages` VALUES (1,'PPWSE','1.1','1.1','','Plesk Professional Web Site Editor',2,'false',0,NULL);
INSERT INTO `SiteAppPackages` VALUES (2,'phpBB','3.0.0','9','Web/Forum','phpBB is the most widely used open source bulletin board solution in the world.',0,'false',1,NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `SiteAppPackages` ENABLE KEYS */;

--
-- Table structure for table `SiteAppResources`
--

DROP TABLE IF EXISTS `SiteAppResources`;
CREATE TABLE `SiteAppResources` (
  `app_id` int(10) unsigned NOT NULL default '0',
  `type` enum('database','dbuser','custom_button') NOT NULL default 'database',
  `res_id` int(10) unsigned NOT NULL default '0',
  `res_param_1` varchar(255) character set ascii collate ascii_bin default '',
  UNIQUE KEY `type` (`type`,`res_id`),
  KEY `app_id` (`app_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SiteAppResources`
--


/*!40000 ALTER TABLE `SiteAppResources` DISABLE KEYS */;
LOCK TABLES `SiteAppResources` WRITE;
INSERT INTO `SiteAppResources` VALUES (1,'database',3,'');
INSERT INTO `SiteAppResources` VALUES (1,'dbuser',5,'');
UNLOCK TABLES;
/*!40000 ALTER TABLE `SiteAppResources` ENABLE KEYS */;

--
-- Table structure for table `SiteApps`
--

DROP TABLE IF EXISTS `SiteApps`;
CREATE TABLE `SiteApps` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `app_release` varchar(30) character set ascii collate ascii_bin NOT NULL default '',
  `dom_id` int(10) unsigned NOT NULL default '0',
  `dom_type` enum('domain','subdomain') NOT NULL default 'domain',
  `install_prefix` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `htdocs_directory` enum('httpdocs','httpsdocs') NOT NULL default 'httpdocs',
  `capp_item_id` int(10) unsigned NOT NULL default '0',
  `params_id` int(10) unsigned default NULL,
  `license_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `capp_item_id` (`capp_item_id`),
  KEY `params_id` (`params_id`),
  KEY `license_id` (`license_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SiteApps`
--


/*!40000 ALTER TABLE `SiteApps` DISABLE KEYS */;
LOCK TABLES `SiteApps` WRITE;
INSERT INTO `SiteApps` VALUES (1,'9',1,'domain','phpbb3','httpdocs',4,4,NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `SiteApps` ENABLE KEYS */;

--
-- Table structure for table `SiteAppsHitsStat`
--

DROP TABLE IF EXISTS `SiteAppsHitsStat`;
CREATE TABLE `SiteAppsHitsStat` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set utf8 NOT NULL default '',
  `count` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `SiteAppsHitsStat`
--


/*!40000 ALTER TABLE `SiteAppsHitsStat` DISABLE KEYS */;
LOCK TABLES `SiteAppsHitsStat` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `SiteAppsHitsStat` ENABLE KEYS */;

--
-- Table structure for table `Skins`
--

DROP TABLE IF EXISTS `Skins`;
CREATE TABLE `Skins` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set utf8 NOT NULL default '',
  `place` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`),
  KEY `place` (`place`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Skins`
--


/*!40000 ALTER TABLE `Skins` DISABLE KEYS */;
LOCK TABLES `Skins` WRITE;
INSERT INTO `Skins` VALUES (2,'WinXP Olivegreen','winxp.olivegreen');
INSERT INTO `Skins` VALUES (3,'WinXP Silver','winxp.silver');
INSERT INTO `Skins` VALUES (6,'WinXP Reloaded','winxp.new');
INSERT INTO `Skins` VALUES (7,'Aqua','aqua');
INSERT INTO `Skins` VALUES (10,'Longhorn Aero','longhorn.aero');
INSERT INTO `Skins` VALUES (11,'Longhorn Black','longhorn.black');
INSERT INTO `Skins` VALUES (17,'Plesk Reflection','plesk8.new');
INSERT INTO `Skins` VALUES (18,'Vista','vista');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Skins` ENABLE KEYS */;

--
-- Table structure for table `Templates`
--

DROP TABLE IF EXISTS `Templates`;
CREATE TABLE `Templates` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set utf8 NOT NULL default '',
  `note_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `note_id` (`note_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Templates`
--


/*!40000 ALTER TABLE `Templates` DISABLE KEYS */;
LOCK TABLES `Templates` WRITE;
INSERT INTO `Templates` VALUES (1,'Default Reseller',NULL);
INSERT INTO `Templates` VALUES (2,'Default Client',NULL);
INSERT INTO `Templates` VALUES (3,'Default Domain',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `Templates` ENABLE KEYS */;

--
-- Table structure for table `TmplData`
--

DROP TABLE IF EXISTS `TmplData`;
CREATE TABLE `TmplData` (
  `tmpl_id` int(10) unsigned NOT NULL default '0',
  `element` varchar(245) character set ascii NOT NULL default '',
  `value` varbinary(255) NOT NULL default '',
  PRIMARY KEY  (`tmpl_id`,`element`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `TmplData`
--


/*!40000 ALTER TABLE `TmplData` DISABLE KEYS */;
LOCK TABLES `TmplData` WRITE;
INSERT INTO `TmplData` VALUES (1,'allow_ftp_backups','true');
INSERT INTO `TmplData` VALUES (1,'allow_local_backups','true');
INSERT INTO `TmplData` VALUES (1,'allow_oversell','true');
INSERT INTO `TmplData` VALUES (1,'change_limits','true');
INSERT INTO `TmplData` VALUES (1,'cp_access','true');
INSERT INTO `TmplData` VALUES (1,'create_clients','true');
INSERT INTO `TmplData` VALUES (1,'create_domains','true');
INSERT INTO `TmplData` VALUES (1,'disk_space','314572800000');
INSERT INTO `TmplData` VALUES (1,'disk_space_soft','-1');
INSERT INTO `TmplData` VALUES (1,'excl_ip_num','0');
INSERT INTO `TmplData` VALUES (1,'expiration','31536000');
INSERT INTO `TmplData` VALUES (1,'manage_anonftp','false');
INSERT INTO `TmplData` VALUES (1,'manage_crontab','false');
INSERT INTO `TmplData` VALUES (1,'manage_dashboard','true');
INSERT INTO `TmplData` VALUES (1,'manage_dns','true');
INSERT INTO `TmplData` VALUES (1,'manage_domain_aliases','true');
INSERT INTO `TmplData` VALUES (1,'manage_ftp_password','true');
INSERT INTO `TmplData` VALUES (1,'manage_log','true');
INSERT INTO `TmplData` VALUES (1,'manage_maillists','true');
INSERT INTO `TmplData` VALUES (1,'manage_not_chroot_shell','false');
INSERT INTO `TmplData` VALUES (1,'manage_performance','false');
INSERT INTO `TmplData` VALUES (1,'manage_phosting','true');
INSERT INTO `TmplData` VALUES (1,'manage_php_safe_mode','false');
INSERT INTO `TmplData` VALUES (1,'manage_quota','true');
INSERT INTO `TmplData` VALUES (1,'manage_sh_access','false');
INSERT INTO `TmplData` VALUES (1,'manage_spamfilter','true');
INSERT INTO `TmplData` VALUES (1,'manage_subdomains','true');
INSERT INTO `TmplData` VALUES (1,'manage_virusfilter','true');
INSERT INTO `TmplData` VALUES (1,'manage_webapps','true');
INSERT INTO `TmplData` VALUES (1,'manage_webstat','true');
INSERT INTO `TmplData` VALUES (1,'max_box','1000');
INSERT INTO `TmplData` VALUES (1,'max_cl','1000');
INSERT INTO `TmplData` VALUES (1,'max_db','100');
INSERT INTO `TmplData` VALUES (1,'max_dom','-1');
INSERT INTO `TmplData` VALUES (1,'max_dom_aliases','-1');
INSERT INTO `TmplData` VALUES (1,'max_maillists','-1');
INSERT INTO `TmplData` VALUES (1,'max_mg','-1');
INSERT INTO `TmplData` VALUES (1,'max_redir','-1');
INSERT INTO `TmplData` VALUES (1,'max_resp','-1');
INSERT INTO `TmplData` VALUES (1,'max_subdom','-1');
INSERT INTO `TmplData` VALUES (1,'max_traffic','3145728000000');
INSERT INTO `TmplData` VALUES (1,'max_traffic_soft','-1');
INSERT INTO `TmplData` VALUES (1,'max_webapps','10');
INSERT INTO `TmplData` VALUES (1,'max_wu','-1');
INSERT INTO `TmplData` VALUES (1,'mbox_quota','102400000');
INSERT INTO `TmplData` VALUES (1,'oversell','true');
INSERT INTO `TmplData` VALUES (1,'overuse_block','false');
INSERT INTO `TmplData` VALUES (1,'overuse_notify','true');
INSERT INTO `TmplData` VALUES (1,'predefined_template','true');
INSERT INTO `TmplData` VALUES (1,'remote_access_interface','true');
INSERT INTO `TmplData` VALUES (1,'select_db_server','true');
INSERT INTO `TmplData` VALUES (1,'tmpl_pool_id','0');
INSERT INTO `TmplData` VALUES (2,'allow_ftp_backups','true');
INSERT INTO `TmplData` VALUES (2,'allow_local_backups','true');
INSERT INTO `TmplData` VALUES (2,'change_limits','true');
INSERT INTO `TmplData` VALUES (2,'cp_access','true');
INSERT INTO `TmplData` VALUES (2,'create_domains','true');
INSERT INTO `TmplData` VALUES (2,'disk_space','10485760000');
INSERT INTO `TmplData` VALUES (2,'disk_space_soft','-1');
INSERT INTO `TmplData` VALUES (2,'excl_ip_num','0');
INSERT INTO `TmplData` VALUES (2,'expiration','31536000');
INSERT INTO `TmplData` VALUES (2,'manage_anonftp','false');
INSERT INTO `TmplData` VALUES (2,'manage_crontab','false');
INSERT INTO `TmplData` VALUES (2,'manage_dashboard','true');
INSERT INTO `TmplData` VALUES (2,'manage_dns','true');
INSERT INTO `TmplData` VALUES (2,'manage_domain_aliases','true');
INSERT INTO `TmplData` VALUES (2,'manage_log','true');
INSERT INTO `TmplData` VALUES (2,'manage_maillists','true');
INSERT INTO `TmplData` VALUES (2,'manage_not_chroot_shell','false');
INSERT INTO `TmplData` VALUES (2,'manage_performance','false');
INSERT INTO `TmplData` VALUES (2,'manage_phosting','true');
INSERT INTO `TmplData` VALUES (2,'manage_php_safe_mode','false');
INSERT INTO `TmplData` VALUES (2,'manage_quota','true');
INSERT INTO `TmplData` VALUES (2,'manage_sh_access','false');
INSERT INTO `TmplData` VALUES (2,'manage_spamfilter','true');
INSERT INTO `TmplData` VALUES (2,'manage_subdomains','true');
INSERT INTO `TmplData` VALUES (2,'manage_virusfilter','true');
INSERT INTO `TmplData` VALUES (2,'manage_webapps','true');
INSERT INTO `TmplData` VALUES (2,'manage_webstat','true');
INSERT INTO `TmplData` VALUES (2,'max_box','100');
INSERT INTO `TmplData` VALUES (2,'max_db','10');
INSERT INTO `TmplData` VALUES (2,'max_dom','20');
INSERT INTO `TmplData` VALUES (2,'max_dom_aliases','-1');
INSERT INTO `TmplData` VALUES (2,'max_maillists','-1');
INSERT INTO `TmplData` VALUES (2,'max_mg','-1');
INSERT INTO `TmplData` VALUES (2,'max_redir','-1');
INSERT INTO `TmplData` VALUES (2,'max_resp','-1');
INSERT INTO `TmplData` VALUES (2,'max_subdom','-1');
INSERT INTO `TmplData` VALUES (2,'max_traffic','314572800000');
INSERT INTO `TmplData` VALUES (2,'max_traffic_soft','-1');
INSERT INTO `TmplData` VALUES (2,'max_webapps','3');
INSERT INTO `TmplData` VALUES (2,'max_wu','-1');
INSERT INTO `TmplData` VALUES (2,'mbox_quota','102400000');
INSERT INTO `TmplData` VALUES (2,'overuse_block','false');
INSERT INTO `TmplData` VALUES (2,'overuse_notify','true');
INSERT INTO `TmplData` VALUES (2,'predefined_template','true');
INSERT INTO `TmplData` VALUES (2,'remote_access_interface','false');
INSERT INTO `TmplData` VALUES (2,'select_db_server','true');
INSERT INTO `TmplData` VALUES (2,'shared_template','true');
INSERT INTO `TmplData` VALUES (2,'tmpl_pool_id','0');
INSERT INTO `TmplData` VALUES (3,'asp','false');
INSERT INTO `TmplData` VALUES (3,'bounce_mess','This address no longer accepts mail.');
INSERT INTO `TmplData` VALUES (3,'catch_addr','');
INSERT INTO `TmplData` VALUES (3,'cgi','true');
INSERT INTO `TmplData` VALUES (3,'coldfusion','false');
INSERT INTO `TmplData` VALUES (3,'disk_space','10485760000');
INSERT INTO `TmplData` VALUES (3,'disk_space_soft','-1');
INSERT INTO `TmplData` VALUES (3,'dns_type','master');
INSERT INTO `TmplData` VALUES (3,'errdocs','false');
INSERT INTO `TmplData` VALUES (3,'expiration','31536000');
INSERT INTO `TmplData` VALUES (3,'fastcgi','true');
INSERT INTO `TmplData` VALUES (3,'logrotation_id','1');
INSERT INTO `TmplData` VALUES (3,'maillists','false');
INSERT INTO `TmplData` VALUES (3,'max_box','100');
INSERT INTO `TmplData` VALUES (3,'max_db','1');
INSERT INTO `TmplData` VALUES (3,'max_dom_aliases','-1');
INSERT INTO `TmplData` VALUES (3,'max_maillists','-1');
INSERT INTO `TmplData` VALUES (3,'max_mg','-1');
INSERT INTO `TmplData` VALUES (3,'max_redir','-1');
INSERT INTO `TmplData` VALUES (3,'max_resp','-1');
INSERT INTO `TmplData` VALUES (3,'max_subdom','10');
INSERT INTO `TmplData` VALUES (3,'max_traffic','104857600000');
INSERT INTO `TmplData` VALUES (3,'max_traffic_soft','-1');
INSERT INTO `TmplData` VALUES (3,'max_webapps','3');
INSERT INTO `TmplData` VALUES (3,'max_wu','-1');
INSERT INTO `TmplData` VALUES (3,'mbox_quota','102400000');
INSERT INTO `TmplData` VALUES (3,'miva','false');
INSERT INTO `TmplData` VALUES (3,'nonexist_mail','reject');
INSERT INTO `TmplData` VALUES (3,'overuse_block','false');
INSERT INTO `TmplData` VALUES (3,'overuse_notify','true');
INSERT INTO `TmplData` VALUES (3,'pdir_plesk_stat','false');
INSERT INTO `TmplData` VALUES (3,'perl','true');
INSERT INTO `TmplData` VALUES (3,'php','true');
INSERT INTO `TmplData` VALUES (3,'php_handler_type','module');
INSERT INTO `TmplData` VALUES (3,'predefined_template','true');
INSERT INTO `TmplData` VALUES (3,'python','false');
INSERT INTO `TmplData` VALUES (3,'same_ssl','true');
INSERT INTO `TmplData` VALUES (3,'shared_template','true');
INSERT INTO `TmplData` VALUES (3,'shell','/bin/false');
INSERT INTO `TmplData` VALUES (3,'ssi','false');
INSERT INTO `TmplData` VALUES (3,'ssl','true');
INSERT INTO `TmplData` VALUES (3,'stat_ttl','3');
INSERT INTO `TmplData` VALUES (3,'vh_type','physical');
INSERT INTO `TmplData` VALUES (3,'webmail','horde');
INSERT INTO `TmplData` VALUES (3,'webstat','awstats');
INSERT INTO `TmplData` VALUES (3,'wu_script','false');
UNLOCK TABLES;
/*!40000 ALTER TABLE `TmplData` ENABLE KEYS */;

--
-- Table structure for table `WebApps`
--

DROP TABLE IF EXISTS `WebApps`;
CREATE TABLE `WebApps` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set ascii default NULL,
  `status` int(11) NOT NULL default '0',
  `domain_service_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `domain_service_id` (`domain_service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `WebApps`
--


/*!40000 ALTER TABLE `WebApps` DISABLE KEYS */;
LOCK TABLES `WebApps` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `WebApps` ENABLE KEYS */;

--
-- Table structure for table `Webmails`
--

DROP TABLE IF EXISTS `Webmails`;
CREATE TABLE `Webmails` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `product_id` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `name` varchar(255) character set utf8 NOT NULL default '',
  `version` varchar(255) character set utf8 NOT NULL default '',
  `release` varchar(255) character set utf8 NOT NULL default '',
  `docroot` varchar(255) character set utf8 NOT NULL default '',
  `enabled` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `product_id` (`product_id`),
  UNIQUE KEY `docroot` (`docroot`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `Webmails`
--


/*!40000 ALTER TABLE `Webmails` DISABLE KEYS */;
LOCK TABLES `Webmails` WRITE;
INSERT INTO `Webmails` VALUES (1,'horde','Horde','4.1.6','cos4.build90081107.23','/usr/share/psa-horde','true');
INSERT INTO `Webmails` VALUES (2,'atmail','AtMail','5.3','cos4.build90081107.23','/var/www/atmail','true');
UNLOCK TABLES;
/*!40000 ALTER TABLE `Webmails` ENABLE KEYS */;

--
-- Table structure for table `accounts`
--

DROP TABLE IF EXISTS `accounts`;
CREATE TABLE `accounts` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` varchar(32) character set ascii NOT NULL default 'plain',
  `password` text character set ascii collate ascii_bin,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `accounts`
--


/*!40000 ALTER TABLE `accounts` DISABLE KEYS */;
LOCK TABLES `accounts` WRITE;
INSERT INTO `accounts` VALUES (1,'plain','plesk');
INSERT INTO `accounts` VALUES (2,'plain','plesk');
INSERT INTO `accounts` VALUES (3,'plain','plesk');
INSERT INTO `accounts` VALUES (4,'plain','plesk');
INSERT INTO `accounts` VALUES (5,'plain','plesk');
INSERT INTO `accounts` VALUES (6,'plain','plesk');
INSERT INTO `accounts` VALUES (7,'plain','plesk');
INSERT INTO `accounts` VALUES (8,'plain','plesk');
INSERT INTO `accounts` VALUES (9,'plain','plesk');
INSERT INTO `accounts` VALUES (10,'plain','plesk');
INSERT INTO `accounts` VALUES (11,'plain','plesk');
INSERT INTO `accounts` VALUES (12,'plain','plesk');
INSERT INTO `accounts` VALUES (13,'plain','plesk');
INSERT INTO `accounts` VALUES (14,'plain','plesk');
INSERT INTO `accounts` VALUES (15,'plain','plesk');
INSERT INTO `accounts` VALUES (16,'plain','plesk');
INSERT INTO `accounts` VALUES (17,'plain','plesk');
INSERT INTO `accounts` VALUES (18,'plain','plesk');
INSERT INTO `accounts` VALUES (19,'plain','plesk');
INSERT INTO `accounts` VALUES (20,'plain','plesk');
INSERT INTO `accounts` VALUES (21,'plain','plesk');
INSERT INTO `accounts` VALUES (22,'plain','plesk');
INSERT INTO `accounts` VALUES (23,'plain','plesk');
INSERT INTO `accounts` VALUES (24,'plain','plesk');
INSERT INTO `accounts` VALUES (25,'plain','plesk');
INSERT INTO `accounts` VALUES (26,'plain','plesk');
INSERT INTO `accounts` VALUES (27,'plain','plesk');
UNLOCK TABLES;
/*!40000 ALTER TABLE `accounts` ENABLE KEYS */;

--
-- Table structure for table `actions`
--

DROP TABLE IF EXISTS `actions`;
CREATE TABLE `actions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set ascii NOT NULL default '',
  `descr` varchar(255) character set utf8 NOT NULL default '',
  `enabled` enum('false','true') NOT NULL default 'true',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `actions`
--


/*!40000 ALTER TABLE `actions` DISABLE KEYS */;
LOCK TABLES `actions` WRITE;
INSERT INTO `actions` VALUES (1,'admin_update','Update Administrator Information','true');
INSERT INTO `actions` VALUES (2,'service_stop','Stop Service','true');
INSERT INTO `actions` VALUES (3,'service_start','Start Service','true');
INSERT INTO `actions` VALUES (4,'service_restart','Restart Service','true');
INSERT INTO `actions` VALUES (5,'ip_address_create','Create IP Address','true');
INSERT INTO `actions` VALUES (6,'ip_address_update','Update IP Address','true');
INSERT INTO `actions` VALUES (7,'ip_address_delete','Delete IP Address','true');
INSERT INTO `actions` VALUES (8,'client_create','Create Client','true');
INSERT INTO `actions` VALUES (9,'client_update','Update Client','true');
INSERT INTO `actions` VALUES (10,'client_delete','Delete Client','true');
INSERT INTO `actions` VALUES (11,'client_status_update','Update Client Status','true');
INSERT INTO `actions` VALUES (12,'client_preferences_update','Update Client Preferences','true');
INSERT INTO `actions` VALUES (13,'client_ip_pool_update','Update Client IP Pool','true');
INSERT INTO `actions` VALUES (14,'client_siteapp_added','Site Application Package added to Client Pool','true');
INSERT INTO `actions` VALUES (15,'client_siteapp_removed','Site Application Package removed from Client Pool','true');
INSERT INTO `actions` VALUES (16,'client_limit_size_reached','Client\'s disk space limit reached','true');
INSERT INTO `actions` VALUES (17,'client_limit_traffic_reached','Client\'s traffic limit reached','true');
INSERT INTO `actions` VALUES (18,'reseller_create','Create Reseller','true');
INSERT INTO `actions` VALUES (19,'reseller_update','Update Reseller','true');
INSERT INTO `actions` VALUES (20,'reseller_delete','Delete Reseller','true');
INSERT INTO `actions` VALUES (21,'reseller_status_update','Update Reseller Status','true');
INSERT INTO `actions` VALUES (22,'reseller_preferences_update','Update Reseller Preferences','true');
INSERT INTO `actions` VALUES (23,'reseller_ip_pool_update','Update Reseller IP Pool','true');
INSERT INTO `actions` VALUES (24,'reseller_siteapp_added','Site Application Package added to Reseller Pool','true');
INSERT INTO `actions` VALUES (25,'reseller_siteapp_removed','Site Application Package removed from Reseller Pool','true');
INSERT INTO `actions` VALUES (26,'reseller_limit_size_reached','Reseller\'s disk space limit reached','true');
INSERT INTO `actions` VALUES (27,'reseller_limit_traffic_reached','Reseller\'s traffic limit reached','true');
INSERT INTO `actions` VALUES (28,'dashboard_preset_create','Create Desktop Preset','true');
INSERT INTO `actions` VALUES (29,'dashboard_preset_update','Update Desktop Preset','true');
INSERT INTO `actions` VALUES (30,'dashboard_preset_delete','Delete Desktop Preset','true');
INSERT INTO `actions` VALUES (31,'domain_create','Create Domain','true');
INSERT INTO `actions` VALUES (32,'domain_update','Update Domain','true');
INSERT INTO `actions` VALUES (33,'domain_delete','Delete Domain','true');
INSERT INTO `actions` VALUES (34,'domain_owner_change','Change Domain Owner','true');
INSERT INTO `actions` VALUES (35,'domain_status_update','Update Domain Status','true');
INSERT INTO `actions` VALUES (36,'domain_dns_update','Update Domain DNS Zone','true');
INSERT INTO `actions` VALUES (37,'domain_limit_size_reached','Domain\'s disk space limit reached','true');
INSERT INTO `actions` VALUES (38,'domain_limit_traffic_reached','Domain\'s traffic limit reached','true');
INSERT INTO `actions` VALUES (39,'subdomain_create','Create Subdomain','true');
INSERT INTO `actions` VALUES (40,'subdomain_update','Update Subdomain','true');
INSERT INTO `actions` VALUES (41,'subdomain_delete','Delete Subdomain','true');
INSERT INTO `actions` VALUES (42,'domain_alias_create','Create domain alias','true');
INSERT INTO `actions` VALUES (43,'domain_alias_update','Update domain alias','true');
INSERT INTO `actions` VALUES (44,'domain_alias_delete','Delete domain alias','true');
INSERT INTO `actions` VALUES (45,'domain_alias_dns_update','Update Domain alias DNS Zone','true');
INSERT INTO `actions` VALUES (46,'phys_hosting_create','Create Physical Hosting','true');
INSERT INTO `actions` VALUES (47,'phys_hosting_update','Update Physical Hosting','true');
INSERT INTO `actions` VALUES (48,'phys_hosting_delete','Delete Physical Hosting','true');
INSERT INTO `actions` VALUES (49,'forwarding_create','Create Standard/Frame forwarding','true');
INSERT INTO `actions` VALUES (50,'forwarding_update','Update Standard/Frame forwarding','true');
INSERT INTO `actions` VALUES (51,'forwarding_delete','Delete Standard/Frame forwarding','true');
INSERT INTO `actions` VALUES (52,'mailname_create','Create Mailname','true');
INSERT INTO `actions` VALUES (53,'mailname_update','Update Mailname','true');
INSERT INTO `actions` VALUES (54,'mailname_delete','Delete Mailname','true');
INSERT INTO `actions` VALUES (55,'webuser_create','Create WebUser','true');
INSERT INTO `actions` VALUES (56,'webuser_update','Update WebUser','true');
INSERT INTO `actions` VALUES (57,'webuser_delete','Delete WebUser','true');
INSERT INTO `actions` VALUES (58,'client_limits_update','Update Client Limits','true');
INSERT INTO `actions` VALUES (59,'reseller_limits_update','Update Reseller Limits','true');
INSERT INTO `actions` VALUES (60,'domain_limits_update','Update Domain Limits','true');
INSERT INTO `actions` VALUES (61,'client_permissions_update','Update Client Permissions','true');
INSERT INTO `actions` VALUES (62,'reseller_permissions_update','Update Reseller Permissions','true');
INSERT INTO `actions` VALUES (63,'maillist_create','Create Mail list','true');
INSERT INTO `actions` VALUES (64,'maillist_update','Update Mail list','true');
INSERT INTO `actions` VALUES (65,'maillist_delete','Delete Mail list','true');
INSERT INTO `actions` VALUES (66,'cp_user_login','CP User Login','true');
INSERT INTO `actions` VALUES (67,'cp_user_logout','CP User Logout','true');
INSERT INTO `actions` VALUES (68,'dl_user_update','Domain Administrator Update','true');
INSERT INTO `actions` VALUES (69,'siteapp_install','Install Site Application','true');
INSERT INTO `actions` VALUES (70,'siteapp_reconfigure','Reconfigure Site Application','true');
INSERT INTO `actions` VALUES (71,'siteapp_uninstall','Uninstall site application','true');
INSERT INTO `actions` VALUES (72,'siteapp_upgrade','Upgrade site application','true');
INSERT INTO `actions` VALUES (73,'license_update','License updated','true');
INSERT INTO `actions` VALUES (74,'license_expired','License expired','true');
INSERT INTO `actions` VALUES (75,'database_server_create','Create database server','true');
INSERT INTO `actions` VALUES (76,'database_server_update','Update database server','true');
INSERT INTO `actions` VALUES (77,'database_server_delete','Delete database server','true');
INSERT INTO `actions` VALUES (78,'database_create','Create database','true');
INSERT INTO `actions` VALUES (79,'database_delete','Delete database','true');
INSERT INTO `actions` VALUES (80,'database_user_create','Create database user','true');
INSERT INTO `actions` VALUES (81,'database_user_update','Update database user','true');
INSERT INTO `actions` VALUES (82,'database_user_delete','Delete database user','true');
INSERT INTO `actions` VALUES (83,'session_preferences_update','Login settings updated','true');
INSERT INTO `actions` VALUES (84,'plesk_component_upgrade','Plesk component upgrade','true');
INSERT INTO `actions` VALUES (85,'client_guid_update','Change Client GUID','true');
INSERT INTO `actions` VALUES (86,'reseller_guid_update','Change Reseller GUID','true');
INSERT INTO `actions` VALUES (87,'domain_guid_update','Change Domain GUID','true');
INSERT INTO `actions` VALUES (88,'template_client_create','Create client template','true');
INSERT INTO `actions` VALUES (89,'template_client_update','Update client template','true');
INSERT INTO `actions` VALUES (90,'template_client_delete','Delete client template','true');
INSERT INTO `actions` VALUES (91,'template_admin_create','Create domain template by admin','true');
INSERT INTO `actions` VALUES (92,'template_admin_update','Update domain template by admin','true');
INSERT INTO `actions` VALUES (93,'template_admin_delete','Delete domain template by admin','true');
INSERT INTO `actions` VALUES (94,'template_domain_create','Create domain template by client','true');
INSERT INTO `actions` VALUES (95,'template_domain_update','Update domain template by client','true');
INSERT INTO `actions` VALUES (96,'template_domain_delete','Delete domain template by client','true');
INSERT INTO `actions` VALUES (97,'template_reseller_create','Create reseller template','true');
INSERT INTO `actions` VALUES (98,'template_reseller_update','Update reseller template','true');
INSERT INTO `actions` VALUES (99,'template_reseller_delete','Delete reseller template','true');
INSERT INTO `actions` VALUES (100,'siteapppkg_install','Install Site Application Package','true');
INSERT INTO `actions` VALUES (101,'siteapppkg_update','Update of Site Application Package','true');
INSERT INTO `actions` VALUES (102,'siteapppkg_uninstall','Uninstall Site Application Package','true');
UNLOCK TABLES;
/*!40000 ALTER TABLE `actions` ENABLE KEYS */;

--
-- Table structure for table `ai_vendor_sources`
--

DROP TABLE IF EXISTS `ai_vendor_sources`;
CREATE TABLE `ai_vendor_sources` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` enum('repomd','directory') NOT NULL default 'repomd',
  `url` varbinary(255) NOT NULL default '',
  `priority` int(10) unsigned NOT NULL default '500',
  `enabled` enum('false','true') NOT NULL default 'true',
  `auth_required` enum('false','true') NOT NULL default 'false',
  `login` varbinary(255) default NULL,
  `password` varbinary(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `url` (`url`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ai_vendor_sources`
--


/*!40000 ALTER TABLE `ai_vendor_sources` DISABLE KEYS */;
LOCK TABLES `ai_vendor_sources` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `ai_vendor_sources` ENABLE KEYS */;

--
-- Table structure for table `anon_ftp`
--

DROP TABLE IF EXISTS `anon_ftp`;
CREATE TABLE `anon_ftp` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dom_id` int(10) unsigned NOT NULL default '0',
  `max_conn` int(10) unsigned default NULL,
  `bandwidth` int(10) unsigned default NULL,
  `incoming` enum('false','true') NOT NULL default 'false',
  `incoming_readable` enum('false','true') NOT NULL default 'false',
  `incoming_subdirs` enum('false','true') NOT NULL default 'false',
  `status` enum('false','true') NOT NULL default 'false',
  `quota` bigint(20) unsigned default '1048576',
  `display_login` enum('false','true') NOT NULL default 'false',
  `login_text` text character set utf8,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `dom_id` (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `anon_ftp`
--


/*!40000 ALTER TABLE `anon_ftp` DISABLE KEYS */;
LOCK TABLES `anon_ftp` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `anon_ftp` ENABLE KEYS */;

--
-- Table structure for table `apscategories`
--

DROP TABLE IF EXISTS `apscategories`;
CREATE TABLE `apscategories` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `category_name` varchar(255) character set utf8 default NULL,
  `parent_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `parent_id` (`parent_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `apscategories`
--


/*!40000 ALTER TABLE `apscategories` DISABLE KEYS */;
LOCK TABLES `apscategories` WRITE;
INSERT INTO `apscategories` VALUES (1,'Web',0);
INSERT INTO `apscategories` VALUES (2,'Web/Site editing',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `apscategories` ENABLE KEYS */;

--
-- Table structure for table `badmailfrom`
--

DROP TABLE IF EXISTS `badmailfrom`;
CREATE TABLE `badmailfrom` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `domain` varchar(255) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `domain` (`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `badmailfrom`
--


/*!40000 ALTER TABLE `badmailfrom` DISABLE KEYS */;
LOCK TABLES `badmailfrom` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `badmailfrom` ENABLE KEYS */;

--
-- Table structure for table `certificates`
--

DROP TABLE IF EXISTS `certificates`;
CREATE TABLE `certificates` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `csr` blob NOT NULL,
  `pvt_key` blob NOT NULL,
  `cert` blob NOT NULL,
  `cert_file` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `ca_cert` blob NOT NULL,
  `ca_file` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `name` varchar(255) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `certificates`
--


/*!40000 ALTER TABLE `certificates` DISABLE KEYS */;
LOCK TABLES `certificates` WRITE;
INSERT INTO `certificates` VALUES (1,'','%2D%2D%2D%2D%2DBEGIN+RSA+PRIVATE+KEY%2D%2D%2D%2D%2D%0AMIIEowIBAAKCAQEAqYEv1M6o2mkyW0e7GZnHxM9M3l0rWnzLLBQNiTjjoUnuLblZ%0AlX05uJ%2Bk0qIrRKGDKDb4XMGNKSga%2BRkufNASxkDys0NB%2FQEBHg2FIaCl8b%2FzAC8V%0AitV7ro7Vx6t8hqNmzSnWnxSQyy%2BgI4jLAUTEDhTlLnC15c9pxC4lAu%2BoN0GhZw5b%0A8uiDgf3lExSMCn7n98KT8GZYHkPRvHkHcudnOEQYitLvVV3nDdfzS00RaQvR1%2Blv%0AVA0N84d2MC7tHYrL5CTICJDfCTY%2Boep%2BiWxzBgEGTcPS2yQe8vqp2wvfop8oi8%2Bd%0AmwpZPilDlR80qfFsVRNjVIl14l8lvEwB9xb05QIDAQABAoIBADeldJltWtuRC3oR%0A%2B2d1J7MBxx99AL2NGHoY%2FzScW4ZYqfuSzMkZujhVGJwZpxC54T%2Fzg%2BeXlwr64pgC%0AX1OUT4WMTuDw5Jn1mXNPRvR6M%2BBAfrsBuhXA7gCpXZ9WOeRNgnM6F%2F5TlxFNSkpA%0AHz0EYUSqMW7ki6KtS%2FCeoYHsQZIZzecrO9lQDR05qE%2F7dc043DZkXaywHJuumIQW%0AAo0tPCZsXCq0Zl%2BFWrmU9CUylvtC%2BBFaybaI7BWeNHRrPsxbKo8GeGSkIyBPXYV1%0ASonvjo%2F0FA9G1hhIC4UkTbxK34OK6HCmiSu3MGVdApnqYVUOlHHA%2BMxjtPBa8ab%2F%0AJ%2FZghSUCgYEA0av5NwwgY93l69fVKgSztl6sLCCkwZ95NQOmP%2BJ5mNX%2FbxQJwUUc%0AfLf9e4F9c3XFHJ7K8n5O6pKGIdGhGNL4lD8oS%2BFp3rnHLnZUhbslb%2BkycxkI3o0R%0AXfr22S%2F96IdLKKP1%2F0z9eNm1ixeaOnv9OBwhgHhxVVBRZQdrfjIqH%2FcCgYEAzvUr%0AmMOodMXRNKtrSqVAfFescm%2B5eznZHURjeMTYWt0apAaJ9hrfVOgXiQEADespcfTA%0AQt9lmsysQM%2F5y5YRlPCQ%2Bbfkt2nnDSl4WB%2BUdGfYIScntzc879v4yVfpSLDmvwcG%0AXxWQISZ6mTiynh0%2FzV3HOQyom%2BM9YhCwgQnA0wMCgYB6OB7LYbw3uo9dzLArEBaZ%0AxdHi3xxq6UTEDF6Ker%2BawZNl8m5FRL34TV%2Fq8G5qMUo3BrESbWIfBk49xG59g%2Bz2%0ArWIV6U3HUM%2B0W7GlSpPmCi8oPH2ZDO4EtFfT%2Fk%2BpjcPX6stoiD5whad3bsiuMrxG%0ASs%2BUjaCytGDd3VdhdmhrvQKBgBslJTbAUxQd7jbOVSBRVIf6p%2B%2FKn7V9%2FPBNzA5H%0AI2mnnprtEKNrGuf0GUIrE2q%2F8Yu04pLi4lzPg7hsjwMZB%2B1VMG7Qo%2Fs6tMeRLOvC%0AGKK8DCktDZSGdkOvwo4GLd8O9PURYtCN732pomL%2BgM8kXv380ui0tFjeEWsPbVc%2F%0AhD8pAoGBAMwnA8k4ZEKuQfLwavuyNeLvgIXLSBVfTq%2FyHXLStq2EhHrCWP4YPqZP%0Ar6jDIzUhVCdkKrxURIcq%2B%2FAafjd4ZO6kuTIlTr8gWdFeGCN87Vtwp5isXwGBUl1r%0ANmzWwbpgJTnob1gLP%2BlP2Qq9jcYwSKsY6MEu2erlU10l77Q4l3V2%0A%2D%2D%2D%2D%2DEND+RSA+PRIVATE+KEY%2D%2D%2D%2D%2D%0A','%2D%2D%2D%2D%2DBEGIN+CERTIFICATE%2D%2D%2D%2D%2D%0AMIIDiDCCAnCgAwIBAgIESRVYuDANBgkqhkiG9w0BAQQFADCBhTELMAkGA1UEBhMC%0AVVMxETAPBgNVBAgTCFZpcmdpbmlhMRAwDgYDVQQHEwdIZXJuZG9uMRIwEAYDVQQK%0AEwlQYXJhbGxlbHMxDjAMBgNVBAsTBVBsZXNrMQ4wDAYDVQQDEwVwbGVzazEdMBsG%0ACSqGSIb3DQEJARYOaW5mb0BwbGVzay5jb20wHhcNMDgxMTA4MDkxNTM3WhcNMDkx%0AMTA4MDkxNTM3WjCBhTELMAkGA1UEBhMCVVMxETAPBgNVBAgTCFZpcmdpbmlhMRAw%0ADgYDVQQHEwdIZXJuZG9uMRIwEAYDVQQKEwlQYXJhbGxlbHMxDjAMBgNVBAsTBVBs%0AZXNrMQ4wDAYDVQQDEwVwbGVzazEdMBsGCSqGSIb3DQEJARYOaW5mb0BwbGVzay5j%0Ab20wggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCpgS%2FUzqjaaTJbR7sZ%0AmcfEz0zeXStafMssFA2JOOOhSe4tuVmVfTm4n6TSoitEoYMoNvhcwY0pKBr5GS58%0A0BLGQPKzQ0H9AQEeDYUhoKXxv%2FMALxWK1XuujtXHq3yGo2bNKdafFJDLL6AjiMsB%0ARMQOFOUucLXlz2nELiUC76g3QaFnDlvy6IOB%2FeUTFIwKfuf3wpPwZlgeQ9G8eQdy%0A52c4RBiK0u9VXecN1%2FNLTRFpC9HX6W9UDQ3zh3YwLu0disvkJMgIkN8JNj6h6n6J%0AbHMGAQZNw9LbJB7y%2BqnbC9%2BinyiLz52bClk%2BKUOVHzSp8WxVE2NUiXXiXyW8TAH3%0AFvTlAgMBAAEwDQYJKoZIhvcNAQEEBQADggEBAEF2Voik8%2BWzKX40OAAluaDkFzIV%0AoNKHMZrBOnQRLyY89TqD4bnvsqs34zehYSAuTaNlcHMwreX1uXIuqGiAj%2FbJk%2F2v%0A3cQE0rW%2FyODNxH8YR0N3TJ2W6OrIE%2BAmFU1MWJwYq%2FUlA0aCF6RPLCCmfwyIHmKc%0AG1uFFMmHaoprsMZgAJrdhiVKCtjsDvdJrAoTgvFJqDq6ZA0BtaJtt2by0cqJI3nC%0AQ0O9dF50AHT11cUwuULaBCDAuGc70LszYhXggLZcNgXKJAE7b1XTyaLZOwRJch1K%0A1cyYfYyyzLp5Dvsxa03zLPUHcE%2BFJYKijN9qoyZ%2FdPJMuyV7sBOfPlU7YjQ%3D%0A%2D%2D%2D%2D%2DEND+CERTIFICATE%2D%2D%2D%2D%2D%0A','certNM24370','','','default certificate');
INSERT INTO `certificates` VALUES (2,'','-----BEGIN RSA PRIVATE KEY-----\nMIICXQIBAAKBgQDaWgSEjX7c6ggx1MWWhQYxDrI6meayWTXHmaX+DTTExNsjCMqf\np434j9tf7X3kyXzaMKAjE+Qm94TXmAddfMTSc1EF6ummWdhAGnyHcdq6/fCIS5QO\nntFxfv8gUAoKMSyhImJJICfnsE3ME7m1fXm5XVK6fnDG19ySq6OcGBq0OQIDAQAB\nAoGBAMBPkjUQzlBRy3/gD1qftLFWaUFVtSsViVlQCTO1e+lmHD9CCfwNvevS//sA\nF+Z+U3l0ZEYgycxMKnMcEjiToGC9vB4FSifd2gFQPL+mrQJmz48cpgD8EZ+4I5ht\nru2FIIsPqHi4dWqdl4nm+aGQ0SkQd3ukI7JJxR3pQGzBFngBAkEA9J/zI2FG13Fi\n6T7qGRFkxfVUTQg2jCu2zexElof67ZUJptSZzGpTB444dJSR7GCjsRhoyOJLkwCp\nSPIbc4W7OQJBAOSBTuDG0+5zch0uKcP4wb/H1fbZzmvzThXY5KIyCAIHApp2xFLE\nxi6IhW5wyVhue8sRN+cipx307DoPyfLnwQECQBEDZteZFmI5gpWSSJnBue6Cp4BM\nB+8rwyUDP6nwfyUy7l7p/mBXLLsjyw1gn91+wyO3/OGry3HH4/4syHf6XxECQQC5\nf0dbLc1J26odiiYZks0mNMG7XOE3vRH8plAkY10g2DQC1LtXPapsiCNZnnG1OiuA\nk/+/wN/Nb9B86ehVKlIBAkBDJ7ky147wD9fuMy7T1G8bb/h8P8ZlB6Kqvxx0yiLE\nIKvqaUf5VFIHtGtAwjkutyfwHtY63NBhjLu0m7rb0Skt\n-----END RSA PRIVATE KEY-----\n','-----BEGIN RSA PUBLIC KEY-----\nMIGJAoGBANpaBISNftzqCDHUxZaFBjEOsjqZ5rJZNceZpf4NNMTE2yMIyp+njfiP\n21/tfeTJfNowoCMT5Cb3hNeYB118xNJzUQXq6aZZ2EAafIdx2rr98IhLlA6e0XF+\n/yBQCgoxLKEiYkkgJ+ewTcwTubV9ebldUrp+cMbX3JKro5wYGrQ5AgMBAAE=\n-----END RSA PUBLIC KEY-----\n','','','','');
INSERT INTO `certificates` VALUES (3,'-----BEGIN+CERTIFICATE+REQUEST-----%0AMIIBxzCCATACAQAwgYYxCzAJBgNVBAYTAlVTMQswCQYDVQQIEwJWQTEQMA4GA1UE%0ABxMHSGVybmRvbjESMBAGA1UEChMJUGFyYWxsZWxzMRswGQYDVQQDExJkZW1vLnBh%0AcmFsbGVscy5jb20xJzAlBgkqhkiG9w0BCQEWGHNhbGVzQGRlbW8ucGFyYWxsZWxz%0ALmNvbTCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEAz2XpSkAi0Tc3S%2BLBDhh7%0Alc2em4zir2T0Mnk4TaBvMB0qFxtarlew52Ij4Oi8o%2FM5jSaKJJE5TL9waB3keJBc%0AkGg2T7U%2FEErueOmwAHKjD6ocQ4p0%2BceevZKFfQ%2Fe%2FCVNpun9NKvOsQ%2BgD8GlLiUF%0ACFHj%2FYanUSTPBBYcfzigUkMCAwEAAaAAMA0GCSqGSIb3DQEBBQUAA4GBAGfdNA2a%0AJH7G6WFc9JnFgGwpd6zf8ROyADnabGtha0afyzffi9i8mXSAhUwdhJq2f3KzYyJn%0ALtoMJh5dAXCAxwAYeVkqKY9h4J01tI6X%2BqskdWy1Q5sRR%2FghvT3DMvgM4vWNbfub%0AGFBzQb%2F8SBLvu1Mo66E1LPJdetuPqdeDzgvU%0A-----END+CERTIFICATE+REQUEST-----','-----BEGIN+RSA+PRIVATE+KEY-----%0AMIICXQIBAAKBgQDEn4BDsMcXnM%2FhJuepod9OsvvioEogZSBxXw9Prb3hx3Xk0%2B%2F5%0ACuImi%2FfTs6VeX29vO3mvNjtzCJkJwzHvq2gcHEaM2qkgL0rjvEdekhl92CVqs1hm%0AvVYZpv23M8EduIVR9iHFzOJB4rvq6p1WxJMvVdbmCrpmR7dXkmKlvBDdTwIDAQAB%0AAoGAWAgJh0T4fmvo7qdahSpCLpwYBkk5pvNf6SJkWooxP4rsD72L7Xaf9h4ooRIH%0Acg9MdwKr4nRnfYNV8XcBPosBmvrK6AzRO1JPuf60xQO1G2QLpc8l6kUiVErg2TKL%0AgsnhNH5zYYFg67MgCtkgweIlnZhEZKTOMTS4vwMnSnFhCzECQQDzDrqpO%2BSEUl8E%0AbLmAzSvEd8ayoYGpfY3%2FPxxIWPrAWCvT9VEpIszXRygtCVFxTDK46dLWqHchgGun%0AQrB1EjCTAkEAzxfLSRgmDVLnUicBebJfXP3W3F6oiVPQIjHFPVfK1n%2FEwF70XM%2F4%0A7UVZ15BUhStiU5Yd47Dc9YOCXjNvZlah1QJBALCBObw76i7NQoMMEYofdHEwKfL%2B%0AphJXQw7g3cEMHMwhO3Ko609cHjUXT22lHqeQFiWCZ8HKhPinMYY9P7dEhlECQGhR%0Arxhp7rkletr6RRb9kGYyhCpMEI%2FkxWKEObw13jqA8CaLboLWTKmRFrmsvba7bPN4%0AGiRZMmUGUwSK2mHt3%2BUCQQDl%2FjtJdPMmxPHbmcCiuIDNv0oetEl3CL4P3giSxQI7%0AXEv7Jjq5tCAXpcLKkHih%2F%2B3WAit6vIXw0BioRstXaedm%0A-----END+RSA+PRIVATE+KEY-----','','','','','cert1');
INSERT INTO `certificates` VALUES (4,'','-----BEGIN+RSA+PRIVATE+KEY-----%0AMIICXQIBAAKBgQDEn4BDsMcXnM%2FhJuepod9OsvvioEogZSBxXw9Prb3hx3Xk0%2B%2F5%0ACuImi%2FfTs6VeX29vO3mvNjtzCJkJwzHvq2gcHEaM2qkgL0rjvEdekhl92CVqs1hm%0AvVYZpv23M8EduIVR9iHFzOJB4rvq6p1WxJMvVdbmCrpmR7dXkmKlvBDdTwIDAQAB%0AAoGAWAgJh0T4fmvo7qdahSpCLpwYBkk5pvNf6SJkWooxP4rsD72L7Xaf9h4ooRIH%0Acg9MdwKr4nRnfYNV8XcBPosBmvrK6AzRO1JPuf60xQO1G2QLpc8l6kUiVErg2TKL%0AgsnhNH5zYYFg67MgCtkgweIlnZhEZKTOMTS4vwMnSnFhCzECQQDzDrqpO%2BSEUl8E%0AbLmAzSvEd8ayoYGpfY3%2FPxxIWPrAWCvT9VEpIszXRygtCVFxTDK46dLWqHchgGun%0AQrB1EjCTAkEAzxfLSRgmDVLnUicBebJfXP3W3F6oiVPQIjHFPVfK1n%2FEwF70XM%2F4%0A7UVZ15BUhStiU5Yd47Dc9YOCXjNvZlah1QJBALCBObw76i7NQoMMEYofdHEwKfL%2B%0AphJXQw7g3cEMHMwhO3Ko609cHjUXT22lHqeQFiWCZ8HKhPinMYY9P7dEhlECQGhR%0Arxhp7rkletr6RRb9kGYyhCpMEI%2FkxWKEObw13jqA8CaLboLWTKmRFrmsvba7bPN4%0AGiRZMmUGUwSK2mHt3%2BUCQQDl%2FjtJdPMmxPHbmcCiuIDNv0oetEl3CL4P3giSxQI7%0AXEv7Jjq5tCAXpcLKkHih%2F%2B3WAit6vIXw0BioRstXaedm%0A-----END+RSA+PRIVATE+KEY-----','-----BEGIN+CERTIFICATE-----%0AMIIDcTCCAtqgAwIBAgIESR6eUzANBgkqhkiG9w0BAQUFADCBhjELMAkGA1UEBhMC%0AVVMxCzAJBgNVBAgTAlZBMRAwDgYDVQQHEwdIZXJuZG9uMRIwEAYDVQQKEwlQYXJh%0AbGxlbHMxGzAZBgNVBAMTEmRlbW8ucGFyYWxsZWxzLmNvbTEnMCUGCSqGSIb3DQEJ%0AARYYc2FsZXNAZGVtby5wYXJhbGxlbHMuY29tMB4XDTA4MTExNTEwMDMwMFoXDTA5%0AMTExNTEwMDMwMFowgYYxCzAJBgNVBAYTAlVTMQswCQYDVQQIEwJWQTEQMA4GA1UE%0ABxMHSGVybmRvbjESMBAGA1UEChMJUGFyYWxsZWxzMRswGQYDVQQDExJkZW1vLnBh%0AcmFsbGVscy5jb20xJzAlBgkqhkiG9w0BCQEWGHNhbGVzQGRlbW8ucGFyYWxsZWxz%0ALmNvbTCBnzANBgkqhkiG9w0BAQEFAAOBjQAwgYkCgYEAxJ%2BAQ7DHF5zP4SbnqaHf%0ATrL74qBKIGUgcV8PT6294cd15NPv%2BQriJov307OlXl9vbzt5rzY7cwiZCcMx76to%0AHBxGjNqpIC9K47xHXpIZfdglarNYZr1WGab9tzPBHbiFUfYhxcziQeK76uqdVsST%0AL1XW5gq6Zke3V5JipbwQ3U8CAwEAAaOB6TCB5jAdBgNVHQ4EFgQUNsNIjVzsnja1%0AnpHnOa9bPbi2x9AwgbYGA1UdIwSBrjCBq4AUNsNIjVzsnja1npHnOa9bPbi2x9Ch%0AgYykgYkwgYYxCzAJBgNVBAYTAlVTMQswCQYDVQQIEwJWQTEQMA4GA1UEBxMHSGVy%0AbmRvbjESMBAGA1UEChMJUGFyYWxsZWxzMRswGQYDVQQDExJkZW1vLnBhcmFsbGVs%0Acy5jb20xJzAlBgkqhkiG9w0BCQEWGHNhbGVzQGRlbW8ucGFyYWxsZWxzLmNvbYIE%0ASR6eUzAMBgNVHRMEBTADAQH%2FMA0GCSqGSIb3DQEBBQUAA4GBAGP7J3WqDF%2FqWsmT%0A%2B5NIkvafyoaCVJrdBdNGmf3hdov47cCPJzgMCaz3WJZu7N0IITef0ot5wn9d3oH1%0A%2BCG3Tlpw%2FWdrfyK894Z%2F5Ooff42nIlXGMxTUHPFLRJPzdqex4VLSfcNBU1%2F4ZyrW%0A5PKNEv%2FO%2FMtlywhlPeg2u8kPPd05%0A-----END+CERTIFICATE-----','','','','cert2');
UNLOCK TABLES;
/*!40000 ALTER TABLE `certificates` ENABLE KEYS */;

--
-- Table structure for table `cl_param`
--

DROP TABLE IF EXISTS `cl_param`;
CREATE TABLE `cl_param` (
  `cl_id` int(10) unsigned NOT NULL default '0',
  `param` varchar(245) character set ascii NOT NULL default '',
  `val` varbinary(255) default NULL,
  PRIMARY KEY  (`cl_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cl_param`
--


/*!40000 ALTER TABLE `cl_param` DISABLE KEYS */;
LOCK TABLES `cl_param` WRITE;
INSERT INTO `cl_param` VALUES (1,'last_dom_tmpl','3');
INSERT INTO `cl_param` VALUES (2,'custom_preset_id','8');
INSERT INTO `cl_param` VALUES (2,'last_dom_tmpl','3');
INSERT INTO `cl_param` VALUES (2,'multiply_login','true');
INSERT INTO `cl_param` VALUES (2,'skin_id','18');
INSERT INTO `cl_param` VALUES (3,'custom_preset_id','7');
INSERT INTO `cl_param` VALUES (3,'last_dom_tmpl','3');
INSERT INTO `cl_param` VALUES (3,'multiply_login','true');
INSERT INTO `cl_param` VALUES (3,'OveruseBlock','false');
INSERT INTO `cl_param` VALUES (3,'OveruseNotify','true');
INSERT INTO `cl_param` VALUES (3,'skin_id','18');
INSERT INTO `cl_param` VALUES (4,'DecompositionRule','oversell');
INSERT INTO `cl_param` VALUES (4,'multiply_login','true');
INSERT INTO `cl_param` VALUES (4,'OveruseBlock','false');
INSERT INTO `cl_param` VALUES (4,'OveruseNotify','true');
INSERT INTO `cl_param` VALUES (4,'skin_id','18');
INSERT INTO `cl_param` VALUES (5,'last_dom_tmpl','3');
INSERT INTO `cl_param` VALUES (5,'multiply_login','true');
INSERT INTO `cl_param` VALUES (5,'OveruseBlock','false');
INSERT INTO `cl_param` VALUES (5,'OveruseNotify','true');
INSERT INTO `cl_param` VALUES (5,'skin_id','18');
INSERT INTO `cl_param` VALUES (6,'last_dom_tmpl','3');
INSERT INTO `cl_param` VALUES (6,'multiply_login','true');
INSERT INTO `cl_param` VALUES (6,'OveruseBlock','false');
INSERT INTO `cl_param` VALUES (6,'OveruseNotify','true');
INSERT INTO `cl_param` VALUES (6,'skin_id','18');
UNLOCK TABLES;
/*!40000 ALTER TABLE `cl_param` ENABLE KEYS */;

--
-- Table structure for table `clients`
--

DROP TABLE IF EXISTS `clients`;
CREATE TABLE `clients` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `parent_id` int(10) unsigned default NULL,
  `type` enum('client','reseller','admin') NOT NULL default 'client',
  `cr_date` date default NULL,
  `cname` varchar(255) character set utf8 default NULL,
  `pname` varchar(255) character set utf8 NOT NULL default '',
  `login` varchar(20) character set utf8 NOT NULL default '',
  `account_id` int(10) unsigned NOT NULL default '0',
  `status` bigint(20) unsigned NOT NULL default '0',
  `phone` varchar(255) character set ascii collate ascii_bin default NULL,
  `fax` varchar(255) character set ascii collate ascii_bin default NULL,
  `email` varchar(255) character set utf8 default NULL,
  `address` varchar(255) character set utf8 default NULL,
  `city` varchar(255) character set utf8 default NULL,
  `state` varchar(255) character set utf8 default NULL,
  `pcode` varchar(10) character set ascii collate ascii_bin default NULL,
  `country` char(2) character set ascii collate ascii_bin default NULL,
  `locale` varchar(17) character set ascii collate ascii_bin NOT NULL default 'en-US',
  `limits_id` int(10) unsigned default NULL,
  `params_id` int(10) unsigned default NULL,
  `perm_id` int(10) unsigned default NULL,
  `pool_id` int(10) unsigned default NULL,
  `logo_id` int(10) unsigned default NULL,
  `tmpl_id` int(10) unsigned default NULL,
  `sapp_pool_id` int(10) unsigned default NULL,
  `guid` varchar(36) character set ascii collate ascii_bin NOT NULL default '00000000-0000-0000-0000-000000000000',
  `overuse` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `login` (`login`),
  KEY `parent_id` (`parent_id`),
  KEY `pname` (`pname`),
  KEY `account_id` (`account_id`),
  KEY `limits_id` (`limits_id`),
  KEY `params_id` (`params_id`),
  KEY `perm_id` (`perm_id`),
  KEY `pool_id` (`pool_id`),
  KEY `logo_id` (`logo_id`),
  KEY `tmpl_id` (`tmpl_id`),
  KEY `sapp_pool_id` (`sapp_pool_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `clients`
--


/*!40000 ALTER TABLE `clients` DISABLE KEYS */;
LOCK TABLES `clients` WRITE;
INSERT INTO `clients` VALUES (1,NULL,'admin','2008-11-08','Parallels','Demo Admin','admin',0,0,'+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US','en-US',NULL,NULL,NULL,1,NULL,NULL,NULL,'00000000-0000-0000-0000-000000000000','false');
INSERT INTO `clients` VALUES (2,1,'reseller','2008-11-08','Parallels','Demo Reseller','reseller',1,0,'+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US','en-US',0,NULL,1,2,NULL,NULL,NULL,'2b0b1348-769f-4ac6-8cea-ee1356bba197','false');
INSERT INTO `clients` VALUES (3,2,'client','2008-11-08','Parallels','Demo Client','client',2,0,'+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US','en-US',1,NULL,2,3,NULL,NULL,NULL,'4829ef3e-a029-4406-a8cc-660ff02ed3cb','false');
INSERT INTO `clients` VALUES (4,1,'reseller','2008-11-08','Parallels','Demo Reseller2','reseller2',6,0,'+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US','en-US',3,NULL,5,4,NULL,NULL,NULL,'f7b4466f-913e-46a8-b148-7c7ee9a00793','false');
INSERT INTO `clients` VALUES (5,2,'client','2008-11-08','Parallels','Demo Client2','client2',7,0,'+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US','en-US',4,NULL,6,5,NULL,NULL,NULL,'552e4516-85c3-49ea-a7ef-cc2307f4146b','false');
INSERT INTO `clients` VALUES (6,1,'client','2008-11-08','Parallels','Demo Client3','client3',11,0,'+1 (703) 815-5670','+1 (703) 815-5675','sales@demo.parallels.com','3755 Sunrise Valley Drive Suite 600','Herndon','VA','20151','US','en-US',6,NULL,9,6,NULL,NULL,NULL,'363a1e2e-9001-4fed-8049-1e7e174f8ab2','false');
UNLOCK TABLES;
/*!40000 ALTER TABLE `clients` ENABLE KEYS */;

--
-- Table structure for table `cp_access`
--

DROP TABLE IF EXISTS `cp_access`;
CREATE TABLE `cp_access` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` enum('allow','deny') NOT NULL default 'allow',
  `netaddr` varchar(15) character set ascii NOT NULL default '',
  `netmask` varchar(15) character set ascii NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `cp_access`
--


/*!40000 ALTER TABLE `cp_access` DISABLE KEYS */;
LOCK TABLES `cp_access` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `cp_access` ENABLE KEYS */;

--
-- Table structure for table `custom_buttons`
--

DROP TABLE IF EXISTS `custom_buttons`;
CREATE TABLE `custom_buttons` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `sort_key` int(10) unsigned NOT NULL default '100',
  `level` int(10) unsigned NOT NULL default '0',
  `level_id` int(10) unsigned NOT NULL default '0',
  `place` enum('domain','client','reseller','admin','navigation') NOT NULL default 'domain',
  `text` varchar(255) character set utf8 NOT NULL default '',
  `url` varchar(255) character set utf8 default NULL,
  `conhelp` text character set utf8,
  `options` int(10) unsigned NOT NULL default '0',
  `file` varchar(245) character set ascii collate ascii_bin NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `custom_buttons`
--


/*!40000 ALTER TABLE `custom_buttons` DISABLE KEYS */;
LOCK TABLES `custom_buttons` WRITE;
INSERT INTO `custom_buttons` VALUES (1,100,1,0,'admin','phpBB 3.0.0','/server/sapp_img_list.php?id=2','',0,'');
INSERT INTO `custom_buttons` VALUES (2,100,2,2,'reseller','phpBB 3.0.0','/server/sapp_img_list.php?id=2','',0,'');
INSERT INTO `custom_buttons` VALUES (3,100,4,3,'client','phpBB 3.0.0','/server/sapp_img_list.php?id=2','',0,'');
INSERT INTO `custom_buttons` VALUES (4,100,8,1,'domain','phpBB 3.0.0','/server/sapp_img_list.php?id=2','',0,'');
UNLOCK TABLES;
/*!40000 ALTER TABLE `custom_buttons` ENABLE KEYS */;

--
-- Table structure for table `data_bases`
--

DROP TABLE IF EXISTS `data_bases`;
CREATE TABLE `data_bases` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(63) character set ascii collate ascii_bin NOT NULL default '',
  `type` enum('mysql','postgresql','mssql') NOT NULL default 'mysql',
  `dom_id` int(10) unsigned NOT NULL default '0',
  `db_server_id` int(10) unsigned NOT NULL default '0',
  `default_user_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`,`db_server_id`),
  KEY `dom_id` (`dom_id`),
  KEY `db_server_id` (`db_server_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `data_bases`
--


/*!40000 ALTER TABLE `data_bases` DISABLE KEYS */;
LOCK TABLES `data_bases` WRITE;
INSERT INTO `data_bases` VALUES (1,'client_mysqldb','mysql',1,1,1);
INSERT INTO `data_bases` VALUES (2,'client_postgresqldb','postgresql',1,2,3);
INSERT INTO `data_bases` VALUES (3,'client_mysql583f627e932c01cda420bfabf21d0633','mysql',1,1,0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `data_bases` ENABLE KEYS */;

--
-- Table structure for table `db_users`
--

DROP TABLE IF EXISTS `db_users`;
CREATE TABLE `db_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `login` varchar(16) character set ascii collate ascii_bin NOT NULL default '',
  `account_id` int(10) unsigned NOT NULL default '0',
  `db_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `db_id` (`db_id`,`login`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `db_users`
--


/*!40000 ALTER TABLE `db_users` DISABLE KEYS */;
LOCK TABLES `db_users` WRITE;
INSERT INTO `db_users` VALUES (1,'dbuser1',22,1);
INSERT INTO `db_users` VALUES (2,'dbuser2',23,1);
INSERT INTO `db_users` VALUES (3,'dbuser1',24,2);
INSERT INTO `db_users` VALUES (4,'dbuser2',25,2);
INSERT INTO `db_users` VALUES (5,'usrab3d15848bf83',27,3);
UNLOCK TABLES;
/*!40000 ALTER TABLE `db_users` ENABLE KEYS */;

--
-- Table structure for table `disk_usage`
--

DROP TABLE IF EXISTS `disk_usage`;
CREATE TABLE `disk_usage` (
  `dom_id` int(10) unsigned NOT NULL default '0',
  `httpdocs` bigint(20) unsigned default '0',
  `httpsdocs` bigint(20) unsigned default '0',
  `subdomains` bigint(20) unsigned default '0',
  `web_users` bigint(20) unsigned default '0',
  `anonftp` bigint(20) unsigned default '0',
  `logs` bigint(20) unsigned default '0',
  `dbases` bigint(20) unsigned default '0',
  `mailboxes` bigint(20) unsigned default '0',
  `webapps` bigint(20) unsigned default '0',
  `maillists` bigint(20) unsigned default '0',
  `domaindumps` bigint(20) unsigned default '0',
  `configs` bigint(20) unsigned default '0',
  `chroot` bigint(20) unsigned default '0',
  PRIMARY KEY  (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `disk_usage`
--


/*!40000 ALTER TABLE `disk_usage` DISABLE KEYS */;
LOCK TABLES `disk_usage` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `disk_usage` ENABLE KEYS */;

--
-- Table structure for table `dns_recs`
--

DROP TABLE IF EXISTS `dns_recs`;
CREATE TABLE `dns_recs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dns_zone_id` int(10) unsigned default NULL,
  `type` enum('NS','A','CNAME','MX','PTR','TXT','SRV','master','none') NOT NULL default 'A',
  `displayHost` varchar(255) character set utf8 NOT NULL default '',
  `host` varchar(255) character set ascii NOT NULL default '',
  `displayVal` varchar(255) character set utf8 NOT NULL default '',
  `val` varchar(255) character set ascii NOT NULL default '',
  `opt` varchar(255) character set ascii NOT NULL default '',
  `time_stamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  KEY `type` (`type`),
  KEY `dns_zone_id` (`dns_zone_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dns_recs`
--


/*!40000 ALTER TABLE `dns_recs` DISABLE KEYS */;
LOCK TABLES `dns_recs` WRITE;
INSERT INTO `dns_recs` VALUES (1,1,'PTR','10.53.129.143','10.53.129.143','p9democe4dim.plesk.ru.','p9democe4dim.plesk.ru.','24','2008-11-08 17:06:57');
INSERT INTO `dns_recs` VALUES (3,2,'NS','demo.parallels.com.','demo.parallels.com.','ns.demo.parallels.com.','ns.demo.parallels.com.','','2008-11-08 15:16:01');
INSERT INTO `dns_recs` VALUES (4,2,'A','ns.demo.parallels.com.','ns.demo.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:02');
INSERT INTO `dns_recs` VALUES (5,2,'A','demo.parallels.com.','demo.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:03');
INSERT INTO `dns_recs` VALUES (6,2,'A','webmail.demo.parallels.com.','webmail.demo.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:04');
INSERT INTO `dns_recs` VALUES (7,2,'MX','demo.parallels.com.','demo.parallels.com.','mail.demo.parallels.com.','mail.demo.parallels.com.','10','2008-11-08 15:16:05');
INSERT INTO `dns_recs` VALUES (8,2,'A','mail.demo.parallels.com.','mail.demo.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:06');
INSERT INTO `dns_recs` VALUES (9,2,'CNAME','ftp.demo.parallels.com.','ftp.demo.parallels.com.','demo.parallels.com.','demo.parallels.com.','','2008-11-08 15:16:07');
INSERT INTO `dns_recs` VALUES (10,2,'PTR','10.53.129.143','10.53.129.143','demo.parallels.com.','demo.parallels.com.','24','2008-11-08 15:16:08');
INSERT INTO `dns_recs` VALUES (11,2,'CNAME','www.demo.parallels.com.','www.demo.parallels.com.','demo.parallels.com.','demo.parallels.com.','','2008-11-08 17:47:49');
INSERT INTO `dns_recs` VALUES (12,2,'CNAME','*.webmail.demo.parallels.com.','*.webmail.demo.parallels.com.','demo.parallels.com.','demo.parallels.com.','','2008-11-08 17:47:49');
INSERT INTO `dns_recs` VALUES (13,3,'NS','demo2.parallels.com.','demo2.parallels.com.','ns.demo2.parallels.com.','ns.demo2.parallels.com.','','2008-11-08 15:16:01');
INSERT INTO `dns_recs` VALUES (14,3,'A','ns.demo2.parallels.com.','ns.demo2.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:02');
INSERT INTO `dns_recs` VALUES (15,3,'A','demo2.parallels.com.','demo2.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:03');
INSERT INTO `dns_recs` VALUES (16,3,'A','webmail.demo2.parallels.com.','webmail.demo2.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:04');
INSERT INTO `dns_recs` VALUES (17,3,'MX','demo2.parallels.com.','demo2.parallels.com.','mail.demo2.parallels.com.','mail.demo2.parallels.com.','10','2008-11-08 15:16:05');
INSERT INTO `dns_recs` VALUES (18,3,'A','mail.demo2.parallels.com.','mail.demo2.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:06');
INSERT INTO `dns_recs` VALUES (19,3,'CNAME','ftp.demo2.parallels.com.','ftp.demo2.parallels.com.','demo2.parallels.com.','demo2.parallels.com.','','2008-11-08 15:16:07');
INSERT INTO `dns_recs` VALUES (20,3,'PTR','123.123.123.123','123.123.123.123','demo2.parallels.com.','demo2.parallels.com.','24','2008-11-08 15:16:08');
INSERT INTO `dns_recs` VALUES (21,3,'CNAME','www.demo2.parallels.com.','www.demo2.parallels.com.','demo2.parallels.com.','demo2.parallels.com.','','2008-11-08 18:54:09');
INSERT INTO `dns_recs` VALUES (22,3,'CNAME','*.webmail.demo2.parallels.com.','*.webmail.demo2.parallels.com.','demo2.parallels.com.','demo2.parallels.com.','','2008-11-08 18:54:09');
INSERT INTO `dns_recs` VALUES (23,4,'NS','demo3.parallels.com.','demo3.parallels.com.','ns.demo3.parallels.com.','ns.demo3.parallels.com.','','2008-11-08 15:16:01');
INSERT INTO `dns_recs` VALUES (24,4,'A','ns.demo3.parallels.com.','ns.demo3.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:02');
INSERT INTO `dns_recs` VALUES (25,4,'A','demo3.parallels.com.','demo3.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:03');
INSERT INTO `dns_recs` VALUES (26,4,'A','webmail.demo3.parallels.com.','webmail.demo3.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:04');
INSERT INTO `dns_recs` VALUES (27,4,'MX','demo3.parallels.com.','demo3.parallels.com.','mail.demo3.parallels.com.','mail.demo3.parallels.com.','10','2008-11-08 15:16:05');
INSERT INTO `dns_recs` VALUES (28,4,'A','mail.demo3.parallels.com.','mail.demo3.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:06');
INSERT INTO `dns_recs` VALUES (29,4,'CNAME','ftp.demo3.parallels.com.','ftp.demo3.parallels.com.','demo3.parallels.com.','demo3.parallels.com.','','2008-11-08 15:16:07');
INSERT INTO `dns_recs` VALUES (30,4,'PTR','123.123.123.123','123.123.123.123','demo3.parallels.com.','demo3.parallels.com.','24','2008-11-08 15:16:08');
INSERT INTO `dns_recs` VALUES (31,4,'CNAME','*.webmail.demo3.parallels.com.','*.webmail.demo3.parallels.com.','demo3.parallels.com.','demo3.parallels.com.','','2008-11-15 19:44:43');
INSERT INTO `dns_recs` VALUES (32,5,'NS','demo4.parallels.com.','demo4.parallels.com.','ns.demo4.parallels.com.','ns.demo4.parallels.com.','','2008-11-08 15:16:01');
INSERT INTO `dns_recs` VALUES (33,5,'A','ns.demo4.parallels.com.','ns.demo4.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:02');
INSERT INTO `dns_recs` VALUES (34,5,'A','demo4.parallels.com.','demo4.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:03');
INSERT INTO `dns_recs` VALUES (35,5,'A','webmail.demo4.parallels.com.','webmail.demo4.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:04');
INSERT INTO `dns_recs` VALUES (36,5,'MX','demo4.parallels.com.','demo4.parallels.com.','mail.demo4.parallels.com.','mail.demo4.parallels.com.','10','2008-11-08 15:16:05');
INSERT INTO `dns_recs` VALUES (37,5,'A','mail.demo4.parallels.com.','mail.demo4.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:06');
INSERT INTO `dns_recs` VALUES (38,5,'CNAME','ftp.demo4.parallels.com.','ftp.demo4.parallels.com.','demo4.parallels.com.','demo4.parallels.com.','','2008-11-08 15:16:07');
INSERT INTO `dns_recs` VALUES (39,5,'PTR','123.123.123.123','123.123.123.123','demo4.parallels.com.','demo4.parallels.com.','24','2008-11-08 15:16:08');
INSERT INTO `dns_recs` VALUES (40,5,'CNAME','*.webmail.demo4.parallels.com.','*.webmail.demo4.parallels.com.','demo4.parallels.com.','demo4.parallels.com.','','2008-11-15 19:50:45');
INSERT INTO `dns_recs` VALUES (41,6,'NS','demo5.parallels.com.','demo5.parallels.com.','ns.demo5.parallels.com.','ns.demo5.parallels.com.','','2008-11-08 15:16:01');
INSERT INTO `dns_recs` VALUES (42,6,'A','ns.demo5.parallels.com.','ns.demo5.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:02');
INSERT INTO `dns_recs` VALUES (43,6,'A','demo5.parallels.com.','demo5.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:03');
INSERT INTO `dns_recs` VALUES (44,6,'A','webmail.demo5.parallels.com.','webmail.demo5.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:04');
INSERT INTO `dns_recs` VALUES (45,6,'MX','demo5.parallels.com.','demo5.parallels.com.','mail.demo5.parallels.com.','mail.demo5.parallels.com.','10','2008-11-08 15:16:05');
INSERT INTO `dns_recs` VALUES (46,6,'A','mail.demo5.parallels.com.','mail.demo5.parallels.com.','123.123.123.123','123.123.123.123','','2008-11-08 15:16:06');
INSERT INTO `dns_recs` VALUES (47,6,'CNAME','ftp.demo5.parallels.com.','ftp.demo5.parallels.com.','demo5.parallels.com.','demo5.parallels.com.','','2008-11-08 15:16:07');
INSERT INTO `dns_recs` VALUES (48,6,'PTR','123.123.123.123','123.123.123.123','demo5.parallels.com.','demo5.parallels.com.','24','2008-11-08 15:16:08');
INSERT INTO `dns_recs` VALUES (49,6,'CNAME','*.webmail.demo5.parallels.com.','*.webmail.demo5.parallels.com.','demo5.parallels.com.','demo5.parallels.com.','','2008-11-15 19:53:59');
INSERT INTO `dns_recs` VALUES (50,7,'NS','demoalias1.parallels.com.','demoalias1.parallels.com.','ns.demoalias1.parallels.com.','ns.demoalias1.parallels.com.','','2008-11-08 15:16:01');
INSERT INTO `dns_recs` VALUES (51,7,'A','ns.demoalias1.parallels.com.','ns.demoalias1.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:02');
INSERT INTO `dns_recs` VALUES (52,7,'A','demoalias1.parallels.com.','demoalias1.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:03');
INSERT INTO `dns_recs` VALUES (53,7,'A','webmail.demoalias1.parallels.com.','webmail.demoalias1.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:04');
INSERT INTO `dns_recs` VALUES (54,7,'MX','demoalias1.parallels.com.','demoalias1.parallels.com.','mail.demoalias1.parallels.com.','mail.demoalias1.parallels.com.','10','2008-11-08 15:16:05');
INSERT INTO `dns_recs` VALUES (55,7,'A','mail.demoalias1.parallels.com.','mail.demoalias1.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:06');
INSERT INTO `dns_recs` VALUES (56,7,'CNAME','ftp.demoalias1.parallels.com.','ftp.demoalias1.parallels.com.','demoalias1.parallels.com.','demoalias1.parallels.com.','','2008-11-08 15:16:07');
INSERT INTO `dns_recs` VALUES (57,7,'PTR','10.53.129.143','10.53.129.143','demoalias1.parallels.com.','demoalias1.parallels.com.','24','2008-11-08 15:16:08');
INSERT INTO `dns_recs` VALUES (58,7,'CNAME','www.demoalias1.parallels.com.','www.demoalias1.parallels.com.','demoalias1.parallels.com.','demoalias1.parallels.com.','','2008-11-08 17:47:49');
INSERT INTO `dns_recs` VALUES (59,7,'CNAME','*.webmail.demoalias1.parallels.com.','*.webmail.demoalias1.parallels.com.','demoalias1.parallels.com.','demoalias1.parallels.com.','','2008-11-08 17:47:49');
INSERT INTO `dns_recs` VALUES (60,8,'NS','demoalias2.parallels.com.','demoalias2.parallels.com.','ns.demoalias2.parallels.com.','ns.demoalias2.parallels.com.','','2008-11-08 15:16:01');
INSERT INTO `dns_recs` VALUES (61,8,'A','ns.demoalias2.parallels.com.','ns.demoalias2.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:02');
INSERT INTO `dns_recs` VALUES (62,8,'A','demoalias2.parallels.com.','demoalias2.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:03');
INSERT INTO `dns_recs` VALUES (63,8,'A','webmail.demoalias2.parallels.com.','webmail.demoalias2.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:04');
INSERT INTO `dns_recs` VALUES (64,8,'MX','demoalias2.parallels.com.','demoalias2.parallels.com.','mail.demoalias2.parallels.com.','mail.demoalias2.parallels.com.','10','2008-11-08 15:16:05');
INSERT INTO `dns_recs` VALUES (65,8,'A','mail.demoalias2.parallels.com.','mail.demoalias2.parallels.com.','10.53.129.143','10.53.129.143','','2008-11-08 15:16:06');
INSERT INTO `dns_recs` VALUES (66,8,'CNAME','ftp.demoalias2.parallels.com.','ftp.demoalias2.parallels.com.','demoalias2.parallels.com.','demoalias2.parallels.com.','','2008-11-08 15:16:07');
INSERT INTO `dns_recs` VALUES (67,8,'PTR','10.53.129.143','10.53.129.143','demoalias2.parallels.com.','demoalias2.parallels.com.','24','2008-11-08 15:16:08');
INSERT INTO `dns_recs` VALUES (68,8,'CNAME','www.demoalias2.parallels.com.','www.demoalias2.parallels.com.','demoalias2.parallels.com.','demoalias2.parallels.com.','','2008-11-08 17:47:49');
INSERT INTO `dns_recs` VALUES (69,8,'CNAME','*.webmail.demoalias2.parallels.com.','*.webmail.demoalias2.parallels.com.','demoalias2.parallels.com.','demoalias2.parallels.com.','','2008-11-08 17:47:49');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dns_recs` ENABLE KEYS */;

--
-- Table structure for table `dns_recs_t`
--

DROP TABLE IF EXISTS `dns_recs_t`;
CREATE TABLE `dns_recs_t` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` enum('NS','A','CNAME','MX','PTR','TXT','SRV') NOT NULL default 'A',
  `displayHost` varchar(255) character set utf8 NOT NULL default '',
  `host` varchar(255) character set ascii NOT NULL default '',
  `displayVal` varchar(255) character set utf8 NOT NULL default '',
  `val` varchar(255) character set ascii NOT NULL default '',
  `opt` varchar(255) character set ascii NOT NULL default '',
  `time_stamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dns_recs_t`
--


/*!40000 ALTER TABLE `dns_recs_t` DISABLE KEYS */;
LOCK TABLES `dns_recs_t` WRITE;
INSERT INTO `dns_recs_t` VALUES (1,'NS','<domain>.','<domain>.','ns.<domain>.','ns.<domain>.','','2008-11-08 15:16:01');
INSERT INTO `dns_recs_t` VALUES (2,'A','ns.<domain>.','ns.<domain>.','<ip>','<ip>','','2008-11-08 15:16:02');
INSERT INTO `dns_recs_t` VALUES (3,'A','<domain>.','<domain>.','<ip>','<ip>','','2008-11-08 15:16:03');
INSERT INTO `dns_recs_t` VALUES (4,'A','webmail.<domain>.','webmail.<domain>.','<ip>','<ip>','','2008-11-08 15:16:04');
INSERT INTO `dns_recs_t` VALUES (5,'MX','<domain>.','<domain>.','mail.<domain>.','mail.<domain>.','10','2008-11-08 15:16:05');
INSERT INTO `dns_recs_t` VALUES (6,'A','mail.<domain>.','mail.<domain>.','<ip>','<ip>','','2008-11-08 15:16:06');
INSERT INTO `dns_recs_t` VALUES (7,'CNAME','ftp.<domain>.','ftp.<domain>.','<domain>.','<domain>.','','2008-11-08 15:16:07');
INSERT INTO `dns_recs_t` VALUES (8,'PTR','<ip>','<ip>','<domain>.','<domain>.','24','2008-11-08 15:16:08');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dns_recs_t` ENABLE KEYS */;

--
-- Table structure for table `dns_zone`
--

DROP TABLE IF EXISTS `dns_zone`;
CREATE TABLE `dns_zone` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set ascii NOT NULL default '',
  `displayName` varchar(255) character set utf8 NOT NULL default '',
  `status` int(10) unsigned NOT NULL default '0',
  `email` varchar(255) character set utf8 default NULL,
  `type` enum('slave','master') NOT NULL default 'master',
  `ttl` int(10) unsigned NOT NULL default '86400',
  `ttl_unit` int(10) unsigned NOT NULL default '1',
  `refresh` int(10) unsigned NOT NULL default '10800',
  `refresh_unit` int(10) unsigned NOT NULL default '1',
  `retry` int(10) unsigned NOT NULL default '3600',
  `retry_unit` int(10) unsigned NOT NULL default '1',
  `expire` int(10) unsigned NOT NULL default '604800',
  `expire_unit` int(10) unsigned NOT NULL default '1',
  `minimum` int(10) unsigned NOT NULL default '10800',
  `minimum_unit` int(10) unsigned NOT NULL default '1',
  `serial_format` enum('UNIXTIMESTAMP','YYYYMMDDNN') NOT NULL default 'UNIXTIMESTAMP',
  `serial` varchar(12) character set ascii collate ascii_bin NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dns_zone`
--


/*!40000 ALTER TABLE `dns_zone` DISABLE KEYS */;
LOCK TABLES `dns_zone` WRITE;
INSERT INTO `dns_zone` VALUES (1,'p9democe4dim.plesk.ru','p9democe4dim.plesk.ru',0,'sales@demo.parallels.com','master',86400,1,10800,1,3600,1,604800,1,10800,1,'UNIXTIMESTAMP','0');
INSERT INTO `dns_zone` VALUES (2,'demo.parallels.com','demo.parallels.com',0,'sales@demo.parallels.com','master',86400,86400,10800,3600,3600,3600,604800,86400,10800,3600,'UNIXTIMESTAMP','1226144869');
INSERT INTO `dns_zone` VALUES (3,'demo2.parallels.com','demo2.parallels.com',0,'sales@demo.parallels.com','master',86400,86400,10800,3600,3600,3600,604800,86400,10800,3600,'UNIXTIMESTAMP','1226148849');
INSERT INTO `dns_zone` VALUES (4,'demo3.parallels.com','demo3.parallels.com',0,'sales@demo.parallels.com','master',86400,86400,10800,3600,3600,3600,604800,86400,10800,3600,'UNIXTIMESTAMP','1226756683');
INSERT INTO `dns_zone` VALUES (5,'demo4.parallels.com','demo4.parallels.com',0,'sales@demo.parallels.com','master',86400,86400,10800,3600,3600,3600,604800,86400,10800,3600,'UNIXTIMESTAMP','1226757045');
INSERT INTO `dns_zone` VALUES (6,'demo5.parallels.com','demo5.parallels.com',0,'sales@demo.parallels.com','master',86400,86400,10800,3600,3600,3600,604800,86400,10800,3600,'UNIXTIMESTAMP','1226757239');
INSERT INTO `dns_zone` VALUES (7,'demoalias1.parallels.com','demoalias1.parallels.com',0,'sales@demo.parallels.com','master',86400,86400,10800,3600,3600,3600,604800,86400,10800,3600,'UNIXTIMESTAMP','1226759642');
INSERT INTO `dns_zone` VALUES (8,'demoalias2.parallels.com','demoalias2.parallels.com',0,'sales@demo.parallels.com','master',86400,86400,10800,3600,3600,3600,604800,86400,10800,3600,'UNIXTIMESTAMP','1226759659');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dns_zone` ENABLE KEYS */;

--
-- Table structure for table `dom_level_usrs`
--

DROP TABLE IF EXISTS `dom_level_usrs`;
CREATE TABLE `dom_level_usrs` (
  `dom_id` int(10) unsigned NOT NULL default '0',
  `account_id` int(10) unsigned default NULL,
  `state` enum('false','true') NOT NULL default 'false',
  `card_id` int(10) unsigned default NULL,
  `perm_id` int(10) unsigned default NULL,
  PRIMARY KEY  (`dom_id`),
  KEY `dom_id` (`dom_id`),
  KEY `account_id` (`account_id`),
  KEY `card_id` (`card_id`),
  KEY `perm_id` (`perm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dom_level_usrs`
--


/*!40000 ALTER TABLE `dom_level_usrs` DISABLE KEYS */;
LOCK TABLES `dom_level_usrs` WRITE;
INSERT INTO `dom_level_usrs` VALUES (1,4,'true',1,3);
INSERT INTO `dom_level_usrs` VALUES (2,9,'true',2,7);
INSERT INTO `dom_level_usrs` VALUES (3,13,'true',3,10);
INSERT INTO `dom_level_usrs` VALUES (4,15,'true',4,11);
INSERT INTO `dom_level_usrs` VALUES (5,17,'true',5,12);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dom_level_usrs` ENABLE KEYS */;

--
-- Table structure for table `dom_param`
--

DROP TABLE IF EXISTS `dom_param`;
CREATE TABLE `dom_param` (
  `dom_id` int(10) unsigned NOT NULL default '0',
  `param` varchar(245) character set ascii NOT NULL default '',
  `val` varbinary(255) default NULL,
  PRIMARY KEY  (`dom_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `dom_param`
--


/*!40000 ALTER TABLE `dom_param` DISABLE KEYS */;
LOCK TABLES `dom_param` WRITE;
INSERT INTO `dom_param` VALUES (1,'apacheErrorDocs','true');
INSERT INTO `dom_param` VALUES (1,'custom_preset_id','6');
INSERT INTO `dom_param` VALUES (1,'disable_lock_screen','false');
INSERT INTO `dom_param` VALUES (1,'locale','en-US');
INSERT INTO `dom_param` VALUES (1,'logrotation_id','2');
INSERT INTO `dom_param` VALUES (1,'max_button_length','');
INSERT INTO `dom_param` VALUES (1,'multiply_login','true');
INSERT INTO `dom_param` VALUES (1,'preset_id','3');
INSERT INTO `dom_param` VALUES (1,'skin_id','18');
INSERT INTO `dom_param` VALUES (1,'stat_ttl','3');
INSERT INTO `dom_param` VALUES (1,'webmail','atmail');
INSERT INTO `dom_param` VALUES (1,'wu_script','true');
INSERT INTO `dom_param` VALUES (2,'apacheErrorDocs','');
INSERT INTO `dom_param` VALUES (2,'disable_lock_screen','false');
INSERT INTO `dom_param` VALUES (2,'locale','en-US');
INSERT INTO `dom_param` VALUES (2,'logrotation_id','3');
INSERT INTO `dom_param` VALUES (2,'max_button_length','');
INSERT INTO `dom_param` VALUES (2,'multiply_login','true');
INSERT INTO `dom_param` VALUES (2,'preset_id','3');
INSERT INTO `dom_param` VALUES (2,'skin_id','18');
INSERT INTO `dom_param` VALUES (2,'stat_ttl','3');
INSERT INTO `dom_param` VALUES (2,'webmail','atmail');
INSERT INTO `dom_param` VALUES (2,'wu_script','false');
INSERT INTO `dom_param` VALUES (3,'apacheErrorDocs','true');
INSERT INTO `dom_param` VALUES (3,'disable_lock_screen','false');
INSERT INTO `dom_param` VALUES (3,'locale','en-US');
INSERT INTO `dom_param` VALUES (3,'logrotation_id','4');
INSERT INTO `dom_param` VALUES (3,'max_button_length','');
INSERT INTO `dom_param` VALUES (3,'multiply_login','true');
INSERT INTO `dom_param` VALUES (3,'preset_id','3');
INSERT INTO `dom_param` VALUES (3,'skin_id','18');
INSERT INTO `dom_param` VALUES (3,'stat_ttl','3');
INSERT INTO `dom_param` VALUES (3,'webmail','horde');
INSERT INTO `dom_param` VALUES (3,'wu_script','false');
INSERT INTO `dom_param` VALUES (4,'apacheErrorDocs','true');
INSERT INTO `dom_param` VALUES (4,'disable_lock_screen','false');
INSERT INTO `dom_param` VALUES (4,'locale','en-US');
INSERT INTO `dom_param` VALUES (4,'logrotation_id','5');
INSERT INTO `dom_param` VALUES (4,'max_button_length','');
INSERT INTO `dom_param` VALUES (4,'multiply_login','true');
INSERT INTO `dom_param` VALUES (4,'preset_id','3');
INSERT INTO `dom_param` VALUES (4,'skin_id','18');
INSERT INTO `dom_param` VALUES (4,'stat_ttl','3');
INSERT INTO `dom_param` VALUES (4,'webmail','horde');
INSERT INTO `dom_param` VALUES (4,'wu_script','false');
INSERT INTO `dom_param` VALUES (5,'apacheErrorDocs','true');
INSERT INTO `dom_param` VALUES (5,'disable_lock_screen','false');
INSERT INTO `dom_param` VALUES (5,'locale','en-US');
INSERT INTO `dom_param` VALUES (5,'logrotation_id','6');
INSERT INTO `dom_param` VALUES (5,'max_button_length','');
INSERT INTO `dom_param` VALUES (5,'multiply_login','true');
INSERT INTO `dom_param` VALUES (5,'preset_id','3');
INSERT INTO `dom_param` VALUES (5,'skin_id','18');
INSERT INTO `dom_param` VALUES (5,'stat_ttl','3');
INSERT INTO `dom_param` VALUES (5,'webmail','horde');
INSERT INTO `dom_param` VALUES (5,'wu_script','false');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dom_param` ENABLE KEYS */;

--
-- Table structure for table `domainaliases`
--

DROP TABLE IF EXISTS `domainaliases`;
CREATE TABLE `domainaliases` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dom_id` int(10) unsigned NOT NULL default '0',
  `dns_zone_id` int(10) unsigned NOT NULL default '0',
  `status` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) character set ascii NOT NULL default '',
  `displayName` varchar(255) character set utf8 NOT NULL default '',
  `dns` enum('false','true') NOT NULL default 'false',
  `mail` enum('false','true') NOT NULL default 'false',
  `web` enum('false','true') NOT NULL default 'false',
  `tomcat` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `dom_id` (`dom_id`),
  KEY `dns_zone_id` (`dns_zone_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `domainaliases`
--


/*!40000 ALTER TABLE `domainaliases` DISABLE KEYS */;
LOCK TABLES `domainaliases` WRITE;
INSERT INTO `domainaliases` VALUES (1,1,7,0,'demoalias1.parallels.com','demoalias1.parallels.com','true','true','true','true');
INSERT INTO `domainaliases` VALUES (2,1,8,0,'demoalias2.parallels.com','demoalias2.parallels.com','true','true','true','true');
UNLOCK TABLES;
/*!40000 ALTER TABLE `domainaliases` ENABLE KEYS */;

--
-- Table structure for table `domains`
--

DROP TABLE IF EXISTS `domains`;
CREATE TABLE `domains` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `cr_date` date default NULL,
  `name` varchar(255) character set ascii NOT NULL default '',
  `displayName` varchar(255) character set utf8 NOT NULL default '',
  `dns_zone_id` int(10) unsigned NOT NULL default '0',
  `status` bigint(20) unsigned NOT NULL default '0',
  `htype` enum('none','vrt_hst','std_fwd','frm_fwd') NOT NULL default 'none',
  `real_size` bigint(20) unsigned default '0',
  `cl_id` int(10) unsigned NOT NULL default '0',
  `cert_rep_id` int(10) unsigned default NULL,
  `limits_id` int(10) unsigned default NULL,
  `params_id` int(10) unsigned default NULL,
  `guid` varchar(36) character set ascii collate ascii_bin NOT NULL default '00000000-0000-0000-0000-000000000000',
  `overuse` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `displayName` (`displayName`),
  KEY `cl_id` (`cl_id`),
  KEY `cert_rep_id` (`cert_rep_id`),
  KEY `limits_id` (`limits_id`),
  KEY `params_id` (`params_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `domains`
--


/*!40000 ALTER TABLE `domains` DISABLE KEYS */;
LOCK TABLES `domains` WRITE;
INSERT INTO `domains` VALUES (1,'2008-11-08','demo.parallels.com','demo.parallels.com',2,0,'vrt_hst',35734957,3,5,2,NULL,'c632bf6f-7679-4f09-871f-03f5ceb64d04','false');
INSERT INTO `domains` VALUES (2,'2008-11-08','demo2.parallels.com','demo2.parallels.com',3,0,'vrt_hst',28637566,3,NULL,5,NULL,'32f22d47-97f8-4d86-9849-6a24fa40bbd8','false');
INSERT INTO `domains` VALUES (3,'2008-11-15','demo3.parallels.com','demo3.parallels.com',4,0,'vrt_hst',13329646,1,NULL,7,NULL,'3063ced4-e261-4240-b0be-c2d847f4c188','false');
INSERT INTO `domains` VALUES (4,'2008-11-15','demo4.parallels.com','demo4.parallels.com',5,0,'vrt_hst',65237298,2,NULL,8,NULL,'518999e6-4ce9-46dc-afb4-6470e1f436cb','false');
INSERT INTO `domains` VALUES (5,'2008-11-15','demo5.parallels.com','demo5.parallels.com',6,0,'vrt_hst',47596671,6,NULL,9,NULL,'3ee87096-5b69-4d90-929b-59914cd26623','false');
UNLOCK TABLES;
/*!40000 ALTER TABLE `domains` ENABLE KEYS */;

--
-- Table structure for table `event_handlers`
--

DROP TABLE IF EXISTS `event_handlers`;
CREATE TABLE `event_handlers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `action_id` int(10) unsigned NOT NULL default '0',
  `priority` int(10) unsigned NOT NULL default '0',
  `user` varchar(255) character set utf8 NOT NULL default 'nobody',
  `command` text character set utf8 collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `action_id` (`action_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `event_handlers`
--


/*!40000 ALTER TABLE `event_handlers` DISABLE KEYS */;
LOCK TABLES `event_handlers` WRITE;
INSERT INTO `event_handlers` VALUES (1,2,0,'root','/usr/local/psa/admin/bin/modules/watchdog/wd --unmonit-service=<new_service> --plesk-name');
INSERT INTO `event_handlers` VALUES (2,10,0,'psaadm','/usr/local/psa/admin/plib/modules/bf2/update_operator.php --remove');
UNLOCK TABLES;
/*!40000 ALTER TABLE `event_handlers` ENABLE KEYS */;

--
-- Table structure for table `exp_event`
--

DROP TABLE IF EXISTS `exp_event`;
CREATE TABLE `exp_event` (
  `id` bigint(10) unsigned NOT NULL auto_increment,
  `source` enum('pa','plesk') default NULL,
  `event_type` enum('started','stopped','created','updated','deleted','status_changed','terminated','flushed','installed','uninstalled','siteapp_added','siteapp_removed','expired','exceeded','guid_changed') NOT NULL default 'started',
  `event_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `obj_class` enum('license','service','ip_address','admin_info','siteapp','session_preferences','plesk_component','client','client_limits','client_status','client_prefs','client_perms','client_ip_pool','client_limit_traffic','client_limit_size','reseller','reseller_limits','reseller_status','reseller_prefs','reseller_perms','reseller_ip_pool','reseller_limit_traffic','reseller_limit_size','domain','domain_limits','domain_user','domain_alias','domain_limit_traffic','domain_limit_size','domain_status','phosting','fhosting','db_server','domain_alias','subdomain','mailname','webuser','maillist','dns_zone','mailname_antivirus','mailname_spamfilter','mailname_mailgroup','mailname_autoresponder','mailname_attachment','db','db_user','dashboard_preset','dashboard_preset_type','dashboard_preset_name','template_domain','template_client','template_admin','template_reseller') NOT NULL default 'license',
  `obj_id` varchar(255) character set utf8 NOT NULL default '',
  `host` varchar(255) character set utf8 NOT NULL default '',
  `user` varchar(255) character set ascii NOT NULL default '',
  `flushed` enum('true','false') NOT NULL default 'false',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `exp_event`
--


/*!40000 ALTER TABLE `exp_event` DISABLE KEYS */;
LOCK TABLES `exp_event` WRITE;
INSERT INTO `exp_event` VALUES (1,'plesk','updated','2008-11-08 17:05:12','plesk_component','SSHTerm','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (2,'plesk','updated','2008-11-08 17:05:13','plesk_component','awstats','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (3,'plesk','updated','2008-11-08 17:05:13','plesk_component','bind','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (4,'plesk','updated','2008-11-08 17:05:13','plesk_component','coldfusion','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (5,'plesk','updated','2008-11-08 17:05:13','plesk_component','coldfusion-support','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (6,'plesk','updated','2008-11-08 17:05:13','plesk_component','courier-imap','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (7,'plesk','updated','2008-11-08 17:05:13','plesk_component','drweb','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (8,'plesk','updated','2008-11-08 17:05:13','plesk_component','frontpage','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (9,'plesk','updated','2008-11-08 17:05:13','plesk_component','httpd','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (10,'plesk','updated','2008-11-08 17:05:13','plesk_component','mailman','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (11,'plesk','updated','2008-11-08 17:05:13','plesk_component','mod_bw','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (12,'plesk','updated','2008-11-08 17:05:13','plesk_component','mod_perl','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (13,'plesk','updated','2008-11-08 17:05:13','plesk_component','mod_python','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (14,'plesk','updated','2008-11-08 17:05:13','plesk_component','mysql','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (15,'plesk','updated','2008-11-08 17:05:13','plesk_component','perl-Apache-ASP','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (16,'plesk','updated','2008-11-08 17:05:13','plesk_component','php','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (17,'plesk','updated','2008-11-08 17:05:13','plesk_component','plesk-billing','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (18,'plesk','updated','2008-11-08 17:05:13','plesk_component','postfix','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (19,'plesk','updated','2008-11-08 17:05:13','plesk_component','postgresql-server','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (20,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (21,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-api-rpc','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (22,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-atmail','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (23,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-autoinstaller','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (24,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-backup-manager','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (25,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-drweb-configurator','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (26,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-horde','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (27,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-imp','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (28,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-logrotate','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (29,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-manual-custom-skin-guide','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (30,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-migration-manager','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (31,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-miva','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (32,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-mod-fcgid-configurator','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (33,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-proftpd','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (34,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-qmail','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (35,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-qmail-rblsmtpd','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (36,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-rubyrails-configurator','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (37,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-tomcat-configurator','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (38,'plesk','updated','2008-11-08 17:05:13','plesk_component','psa-turba','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (39,'plesk','updated','2008-11-08 17:05:13','plesk_component','ruby','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (40,'plesk','updated','2008-11-08 17:05:13','plesk_component','samba','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (41,'plesk','updated','2008-11-08 17:05:13','plesk_component','sitebuilder','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (42,'plesk','updated','2008-11-08 17:05:13','plesk_component','spamassassin','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (43,'plesk','updated','2008-11-08 17:05:13','plesk_component','tomcat','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (44,'plesk','updated','2008-11-08 17:05:13','plesk_component','webalizer','192.168.62.237','','false');
INSERT INTO `exp_event` VALUES (45,'plesk','installed','2008-11-08 17:05:42','siteapp','PPWSE-1.1-1.1','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (46,'plesk','updated','2008-11-08 17:14:05','admin_info','admin','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (47,'plesk','updated','2008-11-08 17:18:42','ip_address','123.123.123.123','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (48,'plesk','updated','2008-11-08 17:21:20','reseller_limits','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (49,'plesk','created','2008-11-08 17:21:20','reseller','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (50,'plesk','status_changed','2008-11-08 17:21:20','reseller','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (51,'plesk','guid_changed','2008-11-08 17:21:20','reseller','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (52,'plesk','updated','2008-11-08 17:21:20','reseller_prefs','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (53,'plesk','updated','2008-11-08 17:25:45','reseller_limits','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (54,'plesk','updated','2008-11-08 17:26:34','reseller_perms','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (55,'plesk','updated','2008-11-08 17:26:35','reseller','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (56,'plesk','status_changed','2008-11-08 17:26:35','reseller','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (57,'plesk','guid_changed','2008-11-08 17:26:35','reseller','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (58,'plesk','updated','2008-11-08 17:26:55','reseller_ip_pool','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (59,'plesk','updated','2008-11-08 17:38:20','reseller_ip_pool','reseller','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (60,'plesk','updated','2008-11-08 17:41:36','client_limits','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (61,'plesk','updated','2008-11-08 17:41:37','client_perms','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (62,'plesk','created','2008-11-08 17:41:37','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (63,'plesk','status_changed','2008-11-08 17:41:37','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (64,'plesk','guid_changed','2008-11-08 17:41:37','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (65,'plesk','updated','2008-11-08 17:41:38','client_prefs','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (66,'plesk','updated','2008-11-08 17:42:08','client_limits','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (67,'plesk','updated','2008-11-08 17:42:29','client_perms','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (68,'plesk','updated','2008-11-08 17:42:29','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (69,'plesk','status_changed','2008-11-08 17:42:29','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (70,'plesk','guid_changed','2008-11-08 17:42:29','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (71,'plesk','updated','2008-11-08 17:42:43','client_perms','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (72,'plesk','updated','2008-11-08 17:42:43','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (73,'plesk','status_changed','2008-11-08 17:42:43','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (74,'plesk','guid_changed','2008-11-08 17:42:43','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (75,'plesk','updated','2008-11-08 17:43:02','client_ip_pool','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (76,'plesk','updated','2008-11-08 17:43:02','client_ip_pool','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (77,'plesk','updated','2008-11-08 17:43:19','client_perms','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (78,'plesk','updated','2008-11-08 17:43:19','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (79,'plesk','status_changed','2008-11-08 17:43:19','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (80,'plesk','guid_changed','2008-11-08 17:43:19','client','client','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (81,'plesk','updated','2008-11-08 17:47:45','phosting','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (82,'plesk','created','2008-11-08 17:47:48','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (83,'plesk','updated','2008-11-08 17:47:49','dns_zone','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (84,'plesk','updated','2008-11-08 17:47:50','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (85,'plesk','updated','2008-11-08 17:47:50','domain_limits','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (86,'plesk','status_changed','2008-11-08 17:47:50','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (87,'plesk','guid_changed','2008-11-08 17:47:50','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (88,'plesk','updated','2008-11-08 17:47:50','phosting','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (89,'plesk','updated','2008-11-08 17:47:51','domain_limits','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (90,'plesk','status_changed','2008-11-08 17:47:51','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (91,'plesk','guid_changed','2008-11-08 17:47:51','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (92,'plesk','updated','2008-11-08 17:47:55','ip_address','10.53.129.143','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (93,'plesk','status_changed','2008-11-08 17:47:57','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (94,'plesk','guid_changed','2008-11-08 17:47:57','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (95,'plesk','updated','2008-11-08 17:47:57','ip_address','10.53.129.143','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (96,'plesk','created','2008-11-08 17:47:57','phosting','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (97,'plesk','status_changed','2008-11-08 18:06:06','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (98,'plesk','guid_changed','2008-11-08 18:06:06','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (99,'plesk','updated','2008-11-08 18:06:07','phosting','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (100,'plesk','updated','2008-11-08 18:06:31','domain_limits','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (101,'plesk','updated','2008-11-08 18:34:09','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (102,'plesk','updated','2008-11-08 18:34:09','domain_user','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (103,'plesk','updated','2008-11-08 18:34:10','domain_user','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (104,'plesk','updated','2008-11-08 18:36:12','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (105,'plesk','updated','2008-11-08 18:36:12','domain_user','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (106,'plesk','updated','2008-11-08 18:36:12','domain_user','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (107,'plesk','created','2008-11-08 18:37:21','mailname','mailuser@demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (108,'plesk','updated','2008-11-08 18:47:12','reseller_limits','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (109,'plesk','updated','2008-11-08 18:47:12','reseller_perms','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (110,'plesk','created','2008-11-08 18:47:12','reseller','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (111,'plesk','status_changed','2008-11-08 18:47:12','reseller','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (112,'plesk','guid_changed','2008-11-08 18:47:13','reseller','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (113,'plesk','updated','2008-11-08 18:47:13','reseller_prefs','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (114,'plesk','updated','2008-11-08 18:48:23','reseller_limits','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (115,'plesk','updated','2008-11-08 18:48:39','reseller_perms','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (116,'plesk','updated','2008-11-08 18:48:39','reseller','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (117,'plesk','status_changed','2008-11-08 18:48:39','reseller','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (118,'plesk','guid_changed','2008-11-08 18:48:39','reseller','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (119,'plesk','updated','2008-11-08 18:49:26','reseller_ip_pool','reseller2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (120,'plesk','updated','2008-11-08 18:52:08','client_limits','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (121,'plesk','updated','2008-11-08 18:52:09','client_perms','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (122,'plesk','created','2008-11-08 18:52:09','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (123,'plesk','status_changed','2008-11-08 18:52:09','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (124,'plesk','guid_changed','2008-11-08 18:52:09','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (125,'plesk','updated','2008-11-08 18:52:09','client_prefs','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (126,'plesk','updated','2008-11-08 18:52:29','client_limits','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (127,'plesk','updated','2008-11-08 18:52:43','client_perms','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (128,'plesk','updated','2008-11-08 18:52:43','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (129,'plesk','status_changed','2008-11-08 18:52:43','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (130,'plesk','guid_changed','2008-11-08 18:52:43','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (131,'plesk','updated','2008-11-08 18:52:56','client_ip_pool','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (132,'plesk','updated','2008-11-08 18:53:17','client_perms','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (133,'plesk','updated','2008-11-08 18:53:17','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (134,'plesk','status_changed','2008-11-08 18:53:17','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (135,'plesk','guid_changed','2008-11-08 18:53:17','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (136,'plesk','updated','2008-11-08 18:54:06','phosting','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (137,'plesk','created','2008-11-08 18:54:08','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (138,'plesk','updated','2008-11-08 18:54:09','dns_zone','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (139,'plesk','updated','2008-11-08 18:54:10','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (140,'plesk','updated','2008-11-08 18:54:11','domain_limits','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (141,'plesk','status_changed','2008-11-08 18:54:11','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (142,'plesk','guid_changed','2008-11-08 18:54:11','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (143,'plesk','updated','2008-11-08 18:54:11','phosting','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (144,'plesk','updated','2008-11-08 18:54:12','domain_limits','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (145,'plesk','status_changed','2008-11-08 18:54:12','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (146,'plesk','guid_changed','2008-11-08 18:54:12','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (147,'plesk','status_changed','2008-11-08 18:54:17','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (148,'plesk','guid_changed','2008-11-08 18:54:17','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (149,'plesk','updated','2008-11-08 18:54:17','ip_address','123.123.123.123','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (150,'plesk','created','2008-11-08 18:54:17','phosting','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (151,'plesk','status_changed','2008-11-08 18:54:41','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (152,'plesk','guid_changed','2008-11-08 18:54:41','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (153,'plesk','updated','2008-11-08 18:54:41','phosting','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (154,'plesk','updated','2008-11-08 18:55:10','domain_limits','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (155,'plesk','updated','2008-11-08 18:57:30','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (156,'plesk','updated','2008-11-08 18:57:30','domain_user','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (157,'plesk','updated','2008-11-08 18:57:30','domain_user','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (158,'plesk','created','2008-11-08 18:59:10','mailname','mailuser@demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (159,'plesk','updated','2008-11-08 19:04:05','session_preferences','login_timeout','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (160,'plesk','updated','2008-11-08 19:05:57','db_server','2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (161,'plesk','updated','2008-11-08 19:54:44','plesk_component','psa-atmail','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (162,'plesk','status_changed','2008-11-08 19:59:05','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (163,'plesk','guid_changed','2008-11-08 19:59:05','domain','demo.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (164,'plesk','status_changed','2008-11-08 20:00:38','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (165,'plesk','guid_changed','2008-11-08 20:00:38','domain','demo2.parallels.com','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (166,'plesk','updated','2008-11-08 20:21:25','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (167,'plesk','status_changed','2008-11-08 20:21:25','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (168,'plesk','guid_changed','2008-11-08 20:21:25','client','client2','192.168.62.237','admin','false');
INSERT INTO `exp_event` VALUES (169,'plesk','updated','2008-11-08 20:22:56','domain','demo2.parallels.com','192.168.62.237','admin','false');
UNLOCK TABLES;
/*!40000 ALTER TABLE `exp_event` ENABLE KEYS */;

--
-- Table structure for table `forwarding`
--

DROP TABLE IF EXISTS `forwarding`;
CREATE TABLE `forwarding` (
  `dom_id` int(10) unsigned NOT NULL default '0',
  `ip_address_id` int(10) unsigned NOT NULL default '0',
  `redirect` varchar(255) character set utf8 default NULL,
  PRIMARY KEY  (`dom_id`),
  KEY `ip_address_id` (`ip_address_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `forwarding`
--


/*!40000 ALTER TABLE `forwarding` DISABLE KEYS */;
LOCK TABLES `forwarding` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `forwarding` ENABLE KEYS */;

--
-- Table structure for table `hosting`
--

DROP TABLE IF EXISTS `hosting`;
CREATE TABLE `hosting` (
  `dom_id` int(10) unsigned NOT NULL default '0',
  `sys_user_id` int(10) unsigned NOT NULL default '0',
  `ip_address_id` int(10) unsigned NOT NULL default '0',
  `real_traffic` bigint(20) unsigned default '0',
  `fp` enum('false','true') NOT NULL default 'false',
  `fp_ssl` enum('false','true') NOT NULL default 'false',
  `fp_enable` enum('false','true') NOT NULL default 'false',
  `fp_adm` varchar(16) character set ascii collate ascii_bin NOT NULL default '',
  `fp_pass` varchar(20) character set ascii collate ascii_bin NOT NULL default '',
  `ssi` enum('false','true') NOT NULL default 'false',
  `php` enum('false','true') NOT NULL default 'false',
  `php_safe_mode` enum('false','true') NOT NULL default 'true',
  `cgi` enum('false','true') NOT NULL default 'false',
  `perl` enum('false','true') NOT NULL default 'false',
  `python` enum('false','true') NOT NULL default 'false',
  `fastcgi` enum('false','true') NOT NULL default 'false',
  `miva` enum('false','true') NOT NULL default 'false',
  `coldfusion` enum('false','true') NOT NULL default 'false',
  `asp` enum('false','true') NOT NULL default 'false',
  `asp_dot_net` enum('false','true') NOT NULL default 'false',
  `ssl` enum('false','true') NOT NULL default 'false',
  `webstat` enum('none','webalizer','awstats') NOT NULL default 'none',
  `same_ssl` enum('false','true') NOT NULL default 'false',
  `traffic_bandwidth` int(11) default '-1',
  `max_connection` int(11) default '-1',
  `php_handler_type` enum('cgi','fastcgi','module') NOT NULL default 'module',
  PRIMARY KEY  (`dom_id`),
  UNIQUE KEY `sys_user_id` (`sys_user_id`),
  KEY `ip_address_id` (`ip_address_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `hosting`
--


/*!40000 ALTER TABLE `hosting` DISABLE KEYS */;
LOCK TABLES `hosting` WRITE;
INSERT INTO `hosting` VALUES (1,1,1,0,'true','true','true','fpuser1','plesk','true','true','true','true','true','true','true','true','false','true','false','true','awstats','true',-1,-1,'module');
INSERT INTO `hosting` VALUES (2,2,2,0,'true','false','true','fpuser2','plesk','true','true','true','true','true','true','true','true','false','true','false','true','awstats','true',-1,-1,'module');
INSERT INTO `hosting` VALUES (3,3,2,0,'true','false','true','fpuser3','plesk','true','true','true','true','true','true','true','true','false','true','false','true','awstats','true',-1,-1,'module');
INSERT INTO `hosting` VALUES (4,4,2,0,'true','false','true','fpuser4','plesk','true','true','true','true','true','true','true','true','false','true','false','true','awstats','true',-1,-1,'module');
INSERT INTO `hosting` VALUES (5,5,2,0,'true','false','true','fpuser5','plesk','true','true','true','true','true','true','true','true','false','true','false','true','awstats','true',-1,-1,'module');
UNLOCK TABLES;
/*!40000 ALTER TABLE `hosting` ENABLE KEYS */;

--
-- Table structure for table `ip_pool`
--

DROP TABLE IF EXISTS `ip_pool`;
CREATE TABLE `ip_pool` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ip_address_id` int(10) unsigned NOT NULL default '0',
  `type` enum('shared','exclusive') default NULL,
  PRIMARY KEY  (`id`,`ip_address_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ip_pool`
--


/*!40000 ALTER TABLE `ip_pool` DISABLE KEYS */;
LOCK TABLES `ip_pool` WRITE;
INSERT INTO `ip_pool` VALUES (1,1,'exclusive');
INSERT INTO `ip_pool` VALUES (1,2,'shared');
INSERT INTO `ip_pool` VALUES (2,1,'exclusive');
INSERT INTO `ip_pool` VALUES (2,2,'shared');
INSERT INTO `ip_pool` VALUES (3,1,'exclusive');
INSERT INTO `ip_pool` VALUES (3,2,'shared');
INSERT INTO `ip_pool` VALUES (4,2,'shared');
INSERT INTO `ip_pool` VALUES (5,2,'shared');
INSERT INTO `ip_pool` VALUES (6,2,'shared');
UNLOCK TABLES;
/*!40000 ALTER TABLE `ip_pool` ENABLE KEYS */;

--
-- Table structure for table `itmpl`
--

DROP TABLE IF EXISTS `itmpl`;
CREATE TABLE `itmpl` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set utf8 default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `itmpl`
--


/*!40000 ALTER TABLE `itmpl` DISABLE KEYS */;
LOCK TABLES `itmpl` WRITE;
INSERT INTO `itmpl` VALUES (1,'Interface customization template');
UNLOCK TABLES;
/*!40000 ALTER TABLE `itmpl` ENABLE KEYS */;

--
-- Table structure for table `itmpl_data`
--

DROP TABLE IF EXISTS `itmpl_data`;
CREATE TABLE `itmpl_data` (
  `itmpl_id` int(10) unsigned NOT NULL default '0',
  `page` varchar(127) character set ascii collate ascii_bin NOT NULL default '',
  `control` varchar(127) character set ascii collate ascii_bin NOT NULL default '',
  `state` enum('hide','adminOnly','show') NOT NULL default 'hide',
  `control_type` enum('button','formControl') NOT NULL default 'button',
  PRIMARY KEY  (`itmpl_id`,`page`,`control`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `itmpl_data`
--


/*!40000 ALTER TABLE `itmpl_data` DISABLE KEYS */;
LOCK TABLES `itmpl_data` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `itmpl_data` ENABLE KEYS */;

--
-- Table structure for table `key_history`
--

DROP TABLE IF EXISTS `key_history`;
CREATE TABLE `key_history` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `plesk_key_id` varchar(63) character set ascii collate ascii_bin default NULL,
  `name` varchar(255) character set ascii collate ascii_bin default NULL,
  `filename` varchar(255) character set ascii collate ascii_bin default NULL,
  `register_date` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `update_disabled` enum('false','true') NOT NULL default 'false',
  `options` varchar(255) character set ascii collate ascii_bin default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `key_history`
--


/*!40000 ALTER TABLE `key_history` DISABLE KEYS */;
LOCK TABLES `key_history` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `key_history` ENABLE KEYS */;

--
-- Table structure for table `key_history_params`
--

DROP TABLE IF EXISTS `key_history_params`;
CREATE TABLE `key_history_params` (
  `key_id` int(10) unsigned NOT NULL default '0',
  `param` varchar(63) character set ascii NOT NULL default '',
  `val` varbinary(255) NOT NULL default '',
  PRIMARY KEY  (`key_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `key_history_params`
--


/*!40000 ALTER TABLE `key_history_params` DISABLE KEYS */;
LOCK TABLES `key_history_params` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `key_history_params` ENABLE KEYS */;

--
-- Table structure for table `locales`
--

DROP TABLE IF EXISTS `locales`;
CREATE TABLE `locales` (
  `id` varchar(17) character set ascii collate ascii_bin NOT NULL default '',
  `active` enum('false','true') NOT NULL default 'true',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `locales`
--


/*!40000 ALTER TABLE `locales` DISABLE KEYS */;
LOCK TABLES `locales` WRITE;
INSERT INTO `locales` VALUES ('de-DE','true');
INSERT INTO `locales` VALUES ('en-US','true');
INSERT INTO `locales` VALUES ('es-ES','true');
INSERT INTO `locales` VALUES ('fr-FR','true');
INSERT INTO `locales` VALUES ('it-IT','true');
INSERT INTO `locales` VALUES ('ja-JP','true');
INSERT INTO `locales` VALUES ('nl-NL','true');
INSERT INTO `locales` VALUES ('ru-RU','true');
INSERT INTO `locales` VALUES ('zh-CN','true');
INSERT INTO `locales` VALUES ('zh-TW','true');
UNLOCK TABLES;
/*!40000 ALTER TABLE `locales` ENABLE KEYS */;

--
-- Table structure for table `lockout`
--

DROP TABLE IF EXISTS `lockout`;
CREATE TABLE `lockout` (
  `login` varchar(20) character set utf8 NOT NULL default '',
  `last_wrong` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `attempts` int(11) NOT NULL default '1',
  PRIMARY KEY  (`login`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `lockout`
--


/*!40000 ALTER TABLE `lockout` DISABLE KEYS */;
LOCK TABLES `lockout` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `lockout` ENABLE KEYS */;

--
-- Table structure for table `log_actions`
--

DROP TABLE IF EXISTS `log_actions`;
CREATE TABLE `log_actions` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `ip_address` varchar(15) character set ascii NOT NULL default '',
  `user` varchar(255) character set utf8 NOT NULL default '',
  `action_id` int(10) unsigned NOT NULL default '0',
  `object_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `action_id` (`action_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `log_actions`
--


/*!40000 ALTER TABLE `log_actions` DISABLE KEYS */;
LOCK TABLES `log_actions` WRITE;
INSERT INTO `log_actions` VALUES (1,'2008-11-08 17:41:36','192.168.62.237','admin',58,3);
INSERT INTO `log_actions` VALUES (2,'2008-11-08 17:41:37','192.168.62.237','admin',61,3);
INSERT INTO `log_actions` VALUES (3,'2008-11-08 17:41:37','192.168.62.237','admin',8,3);
INSERT INTO `log_actions` VALUES (4,'2008-11-08 17:41:38','192.168.62.237','admin',12,0);
INSERT INTO `log_actions` VALUES (5,'2008-11-08 17:42:08','192.168.62.237','admin',58,3);
INSERT INTO `log_actions` VALUES (6,'2008-11-08 17:42:29','192.168.62.237','admin',61,3);
INSERT INTO `log_actions` VALUES (7,'2008-11-08 17:42:43','192.168.62.237','admin',61,3);
INSERT INTO `log_actions` VALUES (8,'2008-11-08 17:43:02','192.168.62.237','admin',13,3);
INSERT INTO `log_actions` VALUES (9,'2008-11-08 17:43:02','192.168.62.237','admin',13,3);
INSERT INTO `log_actions` VALUES (10,'2008-11-08 17:47:48','192.168.62.237','admin',31,1);
INSERT INTO `log_actions` VALUES (11,'2008-11-08 17:47:49','192.168.62.237','admin',36,1);
INSERT INTO `log_actions` VALUES (12,'2008-11-08 17:47:50','192.168.62.237','admin',32,0);
INSERT INTO `log_actions` VALUES (13,'2008-11-08 17:47:50','192.168.62.237','admin',60,1);
INSERT INTO `log_actions` VALUES (14,'2008-11-08 17:47:57','192.168.62.237','admin',46,1);
INSERT INTO `log_actions` VALUES (15,'2008-11-08 18:06:07','192.168.62.237','admin',47,1);
INSERT INTO `log_actions` VALUES (16,'2008-11-08 18:06:31','192.168.62.237','admin',60,1);
INSERT INTO `log_actions` VALUES (17,'2008-11-08 18:34:09','192.168.62.237','admin',68,1);
INSERT INTO `log_actions` VALUES (18,'2008-11-08 18:34:10','192.168.62.237','admin',68,1);
INSERT INTO `log_actions` VALUES (19,'2008-11-08 18:36:12','192.168.62.237','admin',68,1);
INSERT INTO `log_actions` VALUES (20,'2008-11-08 18:37:21','192.168.62.237','admin',52,1);
INSERT INTO `log_actions` VALUES (21,'2008-11-08 18:40:03','192.168.62.237','mailuser@demo.parallels.com',66,1);
INSERT INTO `log_actions` VALUES (22,'2008-11-08 18:40:33','192.168.62.237','mailuser@demo.parallels.com',67,0);
INSERT INTO `log_actions` VALUES (23,'2008-11-08 18:40:48','192.168.62.237','demo.parallels.com',66,1);
INSERT INTO `log_actions` VALUES (24,'2008-11-08 18:41:27','192.168.62.237','demo.parallels.com',67,0);
INSERT INTO `log_actions` VALUES (25,'2008-11-08 18:41:44','192.168.62.237','client',66,3);
INSERT INTO `log_actions` VALUES (26,'2008-11-08 18:42:46','192.168.62.237','client',67,0);
INSERT INTO `log_actions` VALUES (27,'2008-11-08 18:43:03','192.168.62.237','reseller',66,2);
INSERT INTO `log_actions` VALUES (28,'2008-11-08 18:44:40','192.168.62.237','reseller',67,0);
INSERT INTO `log_actions` VALUES (29,'2008-11-08 18:47:12','192.168.62.237','admin',59,4);
INSERT INTO `log_actions` VALUES (30,'2008-11-08 18:47:12','192.168.62.237','admin',62,4);
INSERT INTO `log_actions` VALUES (31,'2008-11-08 18:47:12','192.168.62.237','admin',18,4);
INSERT INTO `log_actions` VALUES (32,'2008-11-08 18:47:13','192.168.62.237','admin',22,0);
INSERT INTO `log_actions` VALUES (33,'2008-11-08 18:48:23','192.168.62.237','admin',59,4);
INSERT INTO `log_actions` VALUES (34,'2008-11-08 18:48:39','192.168.62.237','admin',62,4);
INSERT INTO `log_actions` VALUES (35,'2008-11-08 18:49:26','192.168.62.237','admin',23,4);
INSERT INTO `log_actions` VALUES (36,'2008-11-08 18:52:08','192.168.62.237','admin',58,5);
INSERT INTO `log_actions` VALUES (37,'2008-11-08 18:52:09','192.168.62.237','admin',61,5);
INSERT INTO `log_actions` VALUES (38,'2008-11-08 18:52:09','192.168.62.237','admin',8,5);
INSERT INTO `log_actions` VALUES (39,'2008-11-08 18:52:09','192.168.62.237','admin',12,0);
INSERT INTO `log_actions` VALUES (40,'2008-11-08 18:52:29','192.168.62.237','admin',58,5);
INSERT INTO `log_actions` VALUES (41,'2008-11-08 18:52:43','192.168.62.237','admin',61,5);
INSERT INTO `log_actions` VALUES (42,'2008-11-08 18:52:56','192.168.62.237','admin',13,5);
INSERT INTO `log_actions` VALUES (43,'2008-11-08 18:54:08','192.168.62.237','admin',31,2);
INSERT INTO `log_actions` VALUES (44,'2008-11-08 18:54:09','192.168.62.237','admin',36,2);
INSERT INTO `log_actions` VALUES (45,'2008-11-08 18:54:10','192.168.62.237','admin',32,0);
INSERT INTO `log_actions` VALUES (46,'2008-11-08 18:54:11','192.168.62.237','admin',60,2);
INSERT INTO `log_actions` VALUES (47,'2008-11-08 18:54:17','192.168.62.237','admin',46,2);
INSERT INTO `log_actions` VALUES (48,'2008-11-08 18:54:41','192.168.62.237','admin',47,2);
INSERT INTO `log_actions` VALUES (49,'2008-11-08 18:55:10','192.168.62.237','admin',60,2);
INSERT INTO `log_actions` VALUES (50,'2008-11-08 18:57:30','192.168.62.237','admin',68,2);
INSERT INTO `log_actions` VALUES (51,'2008-11-08 18:57:30','192.168.62.237','admin',68,2);
INSERT INTO `log_actions` VALUES (52,'2008-11-08 18:59:10','192.168.62.237','admin',52,2);
INSERT INTO `log_actions` VALUES (53,'2008-11-08 19:04:05','192.168.62.237','admin',83,0);
INSERT INTO `log_actions` VALUES (54,'2008-11-08 19:05:57','192.168.62.237','admin',76,2);
INSERT INTO `log_actions` VALUES (55,'2008-11-08 19:54:44','192.168.62.237','admin',84,0);
INSERT INTO `log_actions` VALUES (56,'2008-11-08 20:17:35','192.168.62.237','mailuser2@demo2.parallels.com',66,2);
INSERT INTO `log_actions` VALUES (57,'2008-11-08 20:22:56','192.168.62.237','admin',34,2);
UNLOCK TABLES;
/*!40000 ALTER TABLE `log_actions` ENABLE KEYS */;

--
-- Table structure for table `log_components`
--

DROP TABLE IF EXISTS `log_components`;
CREATE TABLE `log_components` (
  `action_id` int(10) unsigned NOT NULL default '0',
  `component` varchar(245) character set ascii NOT NULL default '',
  `old_value` varbinary(255) NOT NULL default '',
  `new_value` varbinary(255) NOT NULL default '',
  PRIMARY KEY  (`action_id`,`component`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `log_components`
--


/*!40000 ALTER TABLE `log_components` DISABLE KEYS */;
LOCK TABLES `log_components` WRITE;
INSERT INTO `log_components` VALUES (1,'Expiration Date','unlimited','2009-11-08 00:00:00');
INSERT INTO `log_components` VALUES (1,'Login Name','client','client');
INSERT INTO `log_components` VALUES (1,'Maximum Databases','unlimited','10');
INSERT INTO `log_components` VALUES (1,'Maximum Disk Space','unlimited','10485760000');
INSERT INTO `log_components` VALUES (1,'Maximum Domains','unlimited','20');
INSERT INTO `log_components` VALUES (1,'Maximum Mailbox Quota','unlimited','102400000');
INSERT INTO `log_components` VALUES (1,'Maximum Mailboxes','unlimited','100');
INSERT INTO `log_components` VALUES (1,'Maximum Tomcat Web Applications','unlimited','3');
INSERT INTO `log_components` VALUES (1,'Maximum Traffic','unlimited','314572800000');
INSERT INTO `log_components` VALUES (2,'Ability to manage spamfilter','false','true');
INSERT INTO `log_components` VALUES (2,'Ability to manage virusfilter','false','true');
INSERT INTO `log_components` VALUES (2,'Ability to select the database server','false','true');
INSERT INTO `log_components` VALUES (2,'Backup/restore functions use FTP repository','false','true');
INSERT INTO `log_components` VALUES (2,'Backup/restore functions use local repository','false','true');
INSERT INTO `log_components` VALUES (2,'DNS zone management','false','true');
INSERT INTO `log_components` VALUES (2,'Domain aliases management','false','true');
INSERT INTO `log_components` VALUES (2,'Domain creation','false','true');
INSERT INTO `log_components` VALUES (2,'Hard disk quota assignment','false','true');
INSERT INTO `log_components` VALUES (2,'Limits adjustment','false','true');
INSERT INTO `log_components` VALUES (2,'Log rotation management','false','true');
INSERT INTO `log_components` VALUES (2,'Login Name','client','client');
INSERT INTO `log_components` VALUES (2,'Mailing lists management','false','true');
INSERT INTO `log_components` VALUES (2,'Physical hosting management','false','true');
INSERT INTO `log_components` VALUES (2,'Subdomains management','false','true');
INSERT INTO `log_components` VALUES (2,'Web applications management','false','true');
INSERT INTO `log_components` VALUES (3,'Address','','3755 Sunrise Valley Drive Suite 600');
INSERT INTO `log_components` VALUES (3,'City','','Herndon');
INSERT INTO `log_components` VALUES (3,'Company Name','','Parallels');
INSERT INTO `log_components` VALUES (3,'Contact Name','','Demo Client');
INSERT INTO `log_components` VALUES (3,'Country','','US');
INSERT INTO `log_components` VALUES (3,'E-mail','','sales@demo.parallels.com');
INSERT INTO `log_components` VALUES (3,'Fax','','+1 (703) 815-5675');
INSERT INTO `log_components` VALUES (3,'Login Name','','client');
INSERT INTO `log_components` VALUES (3,'Phone','','+1 (703) 815-5670');
INSERT INTO `log_components` VALUES (3,'Postal/ZIP Code','','20151');
INSERT INTO `log_components` VALUES (3,'State/Province','','VA');
INSERT INTO `log_components` VALUES (4,'Contact Name','Demo Client','Demo Client');
INSERT INTO `log_components` VALUES (4,'Interface skin','0','18');
INSERT INTO `log_components` VALUES (4,'Login Name','client','client');
INSERT INTO `log_components` VALUES (5,'Expiration Date','2009-11-08 00:00:00','unlimited');
INSERT INTO `log_components` VALUES (5,'Login Name','client','client');
INSERT INTO `log_components` VALUES (5,'Maximum Databases','10','unlimited');
INSERT INTO `log_components` VALUES (5,'Maximum Disk Space','10485760000','unlimited');
INSERT INTO `log_components` VALUES (5,'Maximum Domains','20','unlimited');
INSERT INTO `log_components` VALUES (5,'Maximum Tomcat Web Applications','3','unlimited');
INSERT INTO `log_components` VALUES (5,'Maximum Traffic','314572800000','unlimited');
INSERT INTO `log_components` VALUES (6,'Ability to manage hosting performance','false','true');
INSERT INTO `log_components` VALUES (6,'Ability to use remote XML interface','false','true');
INSERT INTO `log_components` VALUES (6,'Login Name','client','client');
INSERT INTO `log_components` VALUES (6,'Non-chrooted shell management','false','true');
INSERT INTO `log_components` VALUES (6,'PHP safe mode management','false','true');
INSERT INTO `log_components` VALUES (6,'Site Builder','false','true');
INSERT INTO `log_components` VALUES (6,'System access management','false','true');
INSERT INTO `log_components` VALUES (7,'Anonymous FTP management','false','true');
INSERT INTO `log_components` VALUES (7,'Crontab management','false','true');
INSERT INTO `log_components` VALUES (7,'Login Name','client','client');
INSERT INTO `log_components` VALUES (8,'IP Address','10.53.129.143','10.53.129.143');
INSERT INTO `log_components` VALUES (8,'Login Name','client','client');
INSERT INTO `log_components` VALUES (8,'Status','false','true');
INSERT INTO `log_components` VALUES (9,'IP Address','123.123.123.123','123.123.123.123');
INSERT INTO `log_components` VALUES (9,'Login Name','client','client');
INSERT INTO `log_components` VALUES (9,'Status','false','true');
INSERT INTO `log_components` VALUES (10,'Domain Name','','demo.parallels.com');
INSERT INTO `log_components` VALUES (10,'IP Address','','10.53.129.143');
INSERT INTO `log_components` VALUES (11,'Domain Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (12,'Domain Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (12,'Mail preferences','false','true');
INSERT INTO `log_components` VALUES (13,'Domain Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (13,'Expiration Date','unlimited','2009-11-08 17:47:44');
INSERT INTO `log_components` VALUES (13,'Maximum Databases','unlimited','1');
INSERT INTO `log_components` VALUES (13,'Maximum Disk Space','unlimited','10485760000');
INSERT INTO `log_components` VALUES (13,'Maximum Mailbox Quota','unlimited','102400000');
INSERT INTO `log_components` VALUES (13,'Maximum Mailboxes','unlimited','100');
INSERT INTO `log_components` VALUES (13,'Maximum Subdomains','unlimited','10');
INSERT INTO `log_components` VALUES (13,'Maximum Tomcat Web Applications','unlimited','3');
INSERT INTO `log_components` VALUES (13,'Maximum Traffic','unlimited','104857600000');
INSERT INTO `log_components` VALUES (14,'CGI Support','false','true');
INSERT INTO `log_components` VALUES (14,'Domain Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (14,'IP Address','','10.53.129.143');
INSERT INTO `log_components` VALUES (14,'Mod FastCGI Support','false','true');
INSERT INTO `log_components` VALUES (14,'Mod Perl Support','false','true');
INSERT INTO `log_components` VALUES (14,'PHP Support','false','true');
INSERT INTO `log_components` VALUES (14,'SSL Support','false','true');
INSERT INTO `log_components` VALUES (14,'System Shell','','/bin/false');
INSERT INTO `log_components` VALUES (14,'System User','','demo');
INSERT INTO `log_components` VALUES (14,'System User Password','++++++','xxxxxx');
INSERT INTO `log_components` VALUES (14,'Web Statistics','none','awstats');
INSERT INTO `log_components` VALUES (15,'Apache ASP Support','false','true');
INSERT INTO `log_components` VALUES (15,'Domain Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (15,'Miva Support','false','true');
INSERT INTO `log_components` VALUES (15,'Mod Python Support','false','true');
INSERT INTO `log_components` VALUES (15,'SSI Support','false','true');
INSERT INTO `log_components` VALUES (16,'Domain Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (16,'Expiration Date','2009-11-08 17:47:44','unlimited');
INSERT INTO `log_components` VALUES (16,'Maximum Databases','1','unlimited');
INSERT INTO `log_components` VALUES (16,'Maximum Disk Space','10485760000','unlimited');
INSERT INTO `log_components` VALUES (16,'Maximum Tomcat Web Applications','3','unlimited');
INSERT INTO `log_components` VALUES (16,'Maximum Traffic','104857600000','unlimited');
INSERT INTO `log_components` VALUES (17,'Ability to manage spamfilter','false','true');
INSERT INTO `log_components` VALUES (17,'Ability to manage virusfilter','false','true');
INSERT INTO `log_components` VALUES (17,'Ability to select the database server','false','true');
INSERT INTO `log_components` VALUES (17,'Anonymous FTP management','false','true');
INSERT INTO `log_components` VALUES (17,'Backup/restore functions use FTP repository','false','true');
INSERT INTO `log_components` VALUES (17,'Backup/restore functions use local repository','false','true');
INSERT INTO `log_components` VALUES (17,'Crontab management','false','true');
INSERT INTO `log_components` VALUES (17,'DNS zone management','false','true');
INSERT INTO `log_components` VALUES (17,'Domain aliases management','false','true');
INSERT INTO `log_components` VALUES (17,'Hard disk quota assignment','false','true');
INSERT INTO `log_components` VALUES (17,'Log rotation management','false','true');
INSERT INTO `log_components` VALUES (17,'Login Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (17,'Mailing lists management','false','true');
INSERT INTO `log_components` VALUES (17,'Manage FTP password','false','true');
INSERT INTO `log_components` VALUES (17,'Non-chrooted shell management','false','true');
INSERT INTO `log_components` VALUES (17,'Physical hosting management','false','true');
INSERT INTO `log_components` VALUES (17,'Site Builder','false','true');
INSERT INTO `log_components` VALUES (17,'Subdomains management','false','true');
INSERT INTO `log_components` VALUES (17,'System access management','false','true');
INSERT INTO `log_components` VALUES (17,'Web applications management','false','true');
INSERT INTO `log_components` VALUES (18,'Allow Domain User Access','false','true');
INSERT INTO `log_components` VALUES (18,'Country','','US');
INSERT INTO `log_components` VALUES (18,'Domain Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (18,'Login Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (19,'Address','','Address: 3755 Sunrise Valley Drive Suite 600');
INSERT INTO `log_components` VALUES (19,'City','','Herndon');
INSERT INTO `log_components` VALUES (19,'Company Name','','Parallels');
INSERT INTO `log_components` VALUES (19,'Contact Name','','Demo Domain Level User');
INSERT INTO `log_components` VALUES (19,'Domain Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (19,'E-mail','','sales@demo.parallels.com');
INSERT INTO `log_components` VALUES (19,'Fax','','+1 (703) 815-5675');
INSERT INTO `log_components` VALUES (19,'Login Name','demo.parallels.com','demo.parallels.com');
INSERT INTO `log_components` VALUES (19,'Phone','','+1 (703) 815-5670');
INSERT INTO `log_components` VALUES (19,'Postal/ZIP Code','','20151');
INSERT INTO `log_components` VALUES (19,'State/Province','','VA');
INSERT INTO `log_components` VALUES (20,'Antivirus','','none');
INSERT INTO `log_components` VALUES (20,'Domain Id','','1');
INSERT INTO `log_components` VALUES (20,'Domain Name','','demo.parallels.com');
INSERT INTO `log_components` VALUES (20,'Mailname','','mailuser@demo.parallels.com');
INSERT INTO `log_components` VALUES (22,'Contact Name','','');
INSERT INTO `log_components` VALUES (23,'Contact Name','','Demo Domain Level User');
INSERT INTO `log_components` VALUES (24,'Contact Name','Demo Domain Level User','');
INSERT INTO `log_components` VALUES (25,'Contact Name','','Demo Client');
INSERT INTO `log_components` VALUES (26,'Contact Name','Demo Client','');
INSERT INTO `log_components` VALUES (27,'Contact Name','','Demo Reseller');
INSERT INTO `log_components` VALUES (28,'Contact Name','Demo Reseller','');
INSERT INTO `log_components` VALUES (29,'Expiration Date','unlimited','2009-11-08 00:00:00');
INSERT INTO `log_components` VALUES (29,'Login Name','reseller2','reseller2');
INSERT INTO `log_components` VALUES (29,'Maximum Clients','unlimited','1000');
INSERT INTO `log_components` VALUES (29,'Maximum Databases','unlimited','100');
INSERT INTO `log_components` VALUES (29,'Maximum Disk Space','unlimited','314572800000');
INSERT INTO `log_components` VALUES (29,'Maximum Mailbox Quota','unlimited','102400000');
INSERT INTO `log_components` VALUES (29,'Maximum Mailboxes','unlimited','1000');
INSERT INTO `log_components` VALUES (29,'Maximum Tomcat Web Applications','unlimited','10');
INSERT INTO `log_components` VALUES (29,'Maximum Traffic','unlimited','3145728000000');
INSERT INTO `log_components` VALUES (30,'Ability to manage spamfilter','false','true');
INSERT INTO `log_components` VALUES (30,'Ability to manage virusfilter','false','true');
INSERT INTO `log_components` VALUES (30,'Ability to select the database server','false','true');
INSERT INTO `log_components` VALUES (30,'Ability to use remote XML interface','false','true');
INSERT INTO `log_components` VALUES (30,'Backup/restore functions use FTP repository','false','true');
INSERT INTO `log_components` VALUES (30,'Backup/restore functions use local repository','false','true');
INSERT INTO `log_components` VALUES (30,'Client creation','false','true');
INSERT INTO `log_components` VALUES (30,'DNS zone management','false','true');
INSERT INTO `log_components` VALUES (30,'Domain aliases management','false','true');
INSERT INTO `log_components` VALUES (30,'Domain creation','false','true');
INSERT INTO `log_components` VALUES (30,'Hard disk quota assignment','false','true');
INSERT INTO `log_components` VALUES (30,'Limits adjustment','false','true');
INSERT INTO `log_components` VALUES (30,'Log rotation management','false','true');
INSERT INTO `log_components` VALUES (30,'Login Name','reseller2','reseller2');
INSERT INTO `log_components` VALUES (30,'Mailing lists management','false','true');
INSERT INTO `log_components` VALUES (30,'Oversell management','false','true');
INSERT INTO `log_components` VALUES (30,'Physical hosting management','false','true');
INSERT INTO `log_components` VALUES (30,'Subdomains management','false','true');
INSERT INTO `log_components` VALUES (30,'Web applications management','false','true');
INSERT INTO `log_components` VALUES (31,'Address','','3755 Sunrise Valley Drive Suite 600');
INSERT INTO `log_components` VALUES (31,'City','','Herndon');
INSERT INTO `log_components` VALUES (31,'Company Name','','Parallels');
INSERT INTO `log_components` VALUES (31,'Contact Name','','Demo Reseller2');
INSERT INTO `log_components` VALUES (31,'Country','','US');
INSERT INTO `log_components` VALUES (31,'E-mail','','sales@demo.parallels.com');
INSERT INTO `log_components` VALUES (31,'Fax','','+1 (703) 815-5675');
INSERT INTO `log_components` VALUES (31,'Login Name','','reseller2');
INSERT INTO `log_components` VALUES (31,'Phone','','+1 (703) 815-5670');
INSERT INTO `log_components` VALUES (31,'Postal/ZIP Code','','20151');
INSERT INTO `log_components` VALUES (31,'State/Province','','VA');
INSERT INTO `log_components` VALUES (32,'Contact Name','Demo Reseller2','Demo Reseller2');
INSERT INTO `log_components` VALUES (32,'Interface skin','0','18');
INSERT INTO `log_components` VALUES (32,'Login Name','reseller2','reseller2');
INSERT INTO `log_components` VALUES (33,'Expiration Date','2009-11-08 00:00:00','unlimited');
INSERT INTO `log_components` VALUES (33,'Login Name','reseller2','reseller2');
INSERT INTO `log_components` VALUES (34,'Ability to manage hosting performance','false','true');
INSERT INTO `log_components` VALUES (34,'Anonymous FTP management','false','true');
INSERT INTO `log_components` VALUES (34,'Crontab management','false','true');
INSERT INTO `log_components` VALUES (34,'Login Name','reseller2','reseller2');
INSERT INTO `log_components` VALUES (34,'PHP safe mode management','false','true');
INSERT INTO `log_components` VALUES (34,'Site Builder','false','true');
INSERT INTO `log_components` VALUES (35,'IP Address','123.123.123.123','123.123.123.123');
INSERT INTO `log_components` VALUES (35,'Login Name','reseller2','reseller2');
INSERT INTO `log_components` VALUES (35,'Status','false','true');
INSERT INTO `log_components` VALUES (36,'Expiration Date','unlimited','2009-11-08 00:00:00');
INSERT INTO `log_components` VALUES (36,'Login Name','client2','client2');
INSERT INTO `log_components` VALUES (36,'Maximum Databases','unlimited','10');
INSERT INTO `log_components` VALUES (36,'Maximum Disk Space','unlimited','10485760000');
INSERT INTO `log_components` VALUES (36,'Maximum Domains','unlimited','20');
INSERT INTO `log_components` VALUES (36,'Maximum Mailbox Quota','unlimited','102400000');
INSERT INTO `log_components` VALUES (36,'Maximum Mailboxes','unlimited','100');
INSERT INTO `log_components` VALUES (36,'Maximum Tomcat Web Applications','unlimited','3');
INSERT INTO `log_components` VALUES (36,'Maximum Traffic','unlimited','314572800000');
INSERT INTO `log_components` VALUES (37,'Ability to manage spamfilter','false','true');
INSERT INTO `log_components` VALUES (37,'Ability to manage virusfilter','false','true');
INSERT INTO `log_components` VALUES (37,'Ability to select the database server','false','true');
INSERT INTO `log_components` VALUES (37,'Backup/restore functions use FTP repository','false','true');
INSERT INTO `log_components` VALUES (37,'Backup/restore functions use local repository','false','true');
INSERT INTO `log_components` VALUES (37,'DNS zone management','false','true');
INSERT INTO `log_components` VALUES (37,'Domain aliases management','false','true');
INSERT INTO `log_components` VALUES (37,'Domain creation','false','true');
INSERT INTO `log_components` VALUES (37,'Hard disk quota assignment','false','true');
INSERT INTO `log_components` VALUES (37,'Limits adjustment','false','true');
INSERT INTO `log_components` VALUES (37,'Log rotation management','false','true');
INSERT INTO `log_components` VALUES (37,'Login Name','client2','client2');
INSERT INTO `log_components` VALUES (37,'Mailing lists management','false','true');
INSERT INTO `log_components` VALUES (37,'Physical hosting management','false','true');
INSERT INTO `log_components` VALUES (37,'Subdomains management','false','true');
INSERT INTO `log_components` VALUES (37,'Web applications management','false','true');
INSERT INTO `log_components` VALUES (38,'Address','','3755 Sunrise Valley Drive Suite 600');
INSERT INTO `log_components` VALUES (38,'City','','Herndon');
INSERT INTO `log_components` VALUES (38,'Company Name','','Parallels');
INSERT INTO `log_components` VALUES (38,'Contact Name','','Demo Client2');
INSERT INTO `log_components` VALUES (38,'Country','','US');
INSERT INTO `log_components` VALUES (38,'E-mail','','sales@demo.parallels.com');
INSERT INTO `log_components` VALUES (38,'Fax','','+1 (703) 815-5675');
INSERT INTO `log_components` VALUES (38,'Login Name','','client2');
INSERT INTO `log_components` VALUES (38,'Phone','','+1 (703) 815-5670');
INSERT INTO `log_components` VALUES (38,'Postal/ZIP Code','','20151');
INSERT INTO `log_components` VALUES (38,'State/Province','','VA');
INSERT INTO `log_components` VALUES (39,'Contact Name','Demo Client2','Demo Client2');
INSERT INTO `log_components` VALUES (39,'Interface skin','0','18');
INSERT INTO `log_components` VALUES (39,'Login Name','client2','client2');
INSERT INTO `log_components` VALUES (40,'Expiration Date','2009-11-08 00:00:00','unlimited');
INSERT INTO `log_components` VALUES (40,'Login Name','client2','client2');
INSERT INTO `log_components` VALUES (40,'Maximum Databases','10','unlimited');
INSERT INTO `log_components` VALUES (40,'Maximum Disk Space','10485760000','unlimited');
INSERT INTO `log_components` VALUES (40,'Maximum Domains','20','unlimited');
INSERT INTO `log_components` VALUES (40,'Maximum Tomcat Web Applications','3','unlimited');
INSERT INTO `log_components` VALUES (40,'Maximum Traffic','314572800000','unlimited');
INSERT INTO `log_components` VALUES (41,'Ability to manage hosting performance','false','true');
INSERT INTO `log_components` VALUES (41,'Ability to use remote XML interface','false','true');
INSERT INTO `log_components` VALUES (41,'Anonymous FTP management','false','true');
INSERT INTO `log_components` VALUES (41,'Crontab management','false','true');
INSERT INTO `log_components` VALUES (41,'Login Name','client2','client2');
INSERT INTO `log_components` VALUES (41,'PHP safe mode management','false','true');
INSERT INTO `log_components` VALUES (41,'Site Builder','false','true');
INSERT INTO `log_components` VALUES (42,'IP Address','123.123.123.123','123.123.123.123');
INSERT INTO `log_components` VALUES (42,'Login Name','client2','client2');
INSERT INTO `log_components` VALUES (42,'Status','false','true');
INSERT INTO `log_components` VALUES (43,'Domain Name','','demo2.parallels.com');
INSERT INTO `log_components` VALUES (43,'IP Address','','123.123.123.123');
INSERT INTO `log_components` VALUES (44,'Domain Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (45,'Domain Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (45,'Mail preferences','false','true');
INSERT INTO `log_components` VALUES (46,'Domain Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (46,'Expiration Date','unlimited','2009-11-08 18:54:06');
INSERT INTO `log_components` VALUES (46,'Maximum Databases','unlimited','1');
INSERT INTO `log_components` VALUES (46,'Maximum Disk Space','unlimited','10485760000');
INSERT INTO `log_components` VALUES (46,'Maximum Mailbox Quota','unlimited','102400000');
INSERT INTO `log_components` VALUES (46,'Maximum Mailboxes','unlimited','100');
INSERT INTO `log_components` VALUES (46,'Maximum Subdomains','unlimited','10');
INSERT INTO `log_components` VALUES (46,'Maximum Tomcat Web Applications','unlimited','3');
INSERT INTO `log_components` VALUES (46,'Maximum Traffic','unlimited','104857600000');
INSERT INTO `log_components` VALUES (47,'CGI Support','false','true');
INSERT INTO `log_components` VALUES (47,'Domain Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (47,'IP Address','','123.123.123.123');
INSERT INTO `log_components` VALUES (47,'IP Type','exclusive','shared');
INSERT INTO `log_components` VALUES (47,'Mod FastCGI Support','false','true');
INSERT INTO `log_components` VALUES (47,'Mod Perl Support','false','true');
INSERT INTO `log_components` VALUES (47,'PHP Support','false','true');
INSERT INTO `log_components` VALUES (47,'SSL Support','false','true');
INSERT INTO `log_components` VALUES (47,'System Shell','','/bin/false');
INSERT INTO `log_components` VALUES (47,'System User','','demo2');
INSERT INTO `log_components` VALUES (47,'System User Password','++++++','xxxxxx');
INSERT INTO `log_components` VALUES (47,'Web Statistics','none','awstats');
INSERT INTO `log_components` VALUES (48,'Apache ASP Support','false','true');
INSERT INTO `log_components` VALUES (48,'Domain Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (48,'Miva Support','false','true');
INSERT INTO `log_components` VALUES (48,'Mod Python Support','false','true');
INSERT INTO `log_components` VALUES (48,'SSI Support','false','true');
INSERT INTO `log_components` VALUES (49,'Domain Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (49,'Expiration Date','2009-11-08 18:54:06','unlimited');
INSERT INTO `log_components` VALUES (49,'Maximum Databases','1','unlimited');
INSERT INTO `log_components` VALUES (49,'Maximum Disk Space','10485760000','unlimited');
INSERT INTO `log_components` VALUES (49,'Maximum Mailbox Quota','102400000','unlimited');
INSERT INTO `log_components` VALUES (49,'Maximum Mailboxes','100','unlimited');
INSERT INTO `log_components` VALUES (49,'Maximum Subdomains','10','unlimited');
INSERT INTO `log_components` VALUES (49,'Maximum Tomcat Web Applications','3','unlimited');
INSERT INTO `log_components` VALUES (49,'Maximum Traffic','104857600000','unlimited');
INSERT INTO `log_components` VALUES (50,'Ability to manage spamfilter','false','true');
INSERT INTO `log_components` VALUES (50,'Ability to manage virusfilter','false','true');
INSERT INTO `log_components` VALUES (50,'Ability to select the database server','false','true');
INSERT INTO `log_components` VALUES (50,'Anonymous FTP management','false','true');
INSERT INTO `log_components` VALUES (50,'Backup/restore functions use FTP repository','false','true');
INSERT INTO `log_components` VALUES (50,'Backup/restore functions use local repository','false','true');
INSERT INTO `log_components` VALUES (50,'Crontab management','false','true');
INSERT INTO `log_components` VALUES (50,'DNS zone management','false','true');
INSERT INTO `log_components` VALUES (50,'Domain aliases management','false','true');
INSERT INTO `log_components` VALUES (50,'Hard disk quota assignment','false','true');
INSERT INTO `log_components` VALUES (50,'Log rotation management','false','true');
INSERT INTO `log_components` VALUES (50,'Login Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (50,'Mailing lists management','false','true');
INSERT INTO `log_components` VALUES (50,'Manage FTP password','false','true');
INSERT INTO `log_components` VALUES (50,'Physical hosting management','false','true');
INSERT INTO `log_components` VALUES (50,'Site Builder','false','true');
INSERT INTO `log_components` VALUES (50,'Subdomains management','false','true');
INSERT INTO `log_components` VALUES (50,'Web applications management','false','true');
INSERT INTO `log_components` VALUES (51,'Address','','3755 Sunrise Valley Drive Suite 600');
INSERT INTO `log_components` VALUES (51,'Allow Domain User Access','false','true');
INSERT INTO `log_components` VALUES (51,'City','','Herndon');
INSERT INTO `log_components` VALUES (51,'Company Name','','Parallels');
INSERT INTO `log_components` VALUES (51,'Contact Name','','Demo Domain2 Level User');
INSERT INTO `log_components` VALUES (51,'Country','','US');
INSERT INTO `log_components` VALUES (51,'Domain Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (51,'E-mail','','sales@demo.parallels.com');
INSERT INTO `log_components` VALUES (51,'Fax','','+1 (703) 815-5675');
INSERT INTO `log_components` VALUES (51,'Login Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (51,'Phone','','+1 (703) 815-5670');
INSERT INTO `log_components` VALUES (51,'Postal/ZIP Code','','20151');
INSERT INTO `log_components` VALUES (51,'State/Province','','VA');
INSERT INTO `log_components` VALUES (52,'Antivirus','','none');
INSERT INTO `log_components` VALUES (52,'Domain Id','','2');
INSERT INTO `log_components` VALUES (52,'Domain Name','','demo2.parallels.com');
INSERT INTO `log_components` VALUES (52,'Mailname','','mailuser@demo2.parallels.com');
INSERT INTO `log_components` VALUES (53,'Session idle time','30','999');
INSERT INTO `log_components` VALUES (55,'Plesk component name','psa-atmail','psa-atmail');
INSERT INTO `log_components` VALUES (57,'Domain Name','demo2.parallels.com','demo2.parallels.com');
INSERT INTO `log_components` VALUES (57,'Login Name','client2','client');
UNLOCK TABLES;
/*!40000 ALTER TABLE `log_components` ENABLE KEYS */;

--
-- Table structure for table `log_rotation`
--

DROP TABLE IF EXISTS `log_rotation`;
CREATE TABLE `log_rotation` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `period_type` enum('by_time','by_size') NOT NULL default 'by_time',
  `period` varchar(50) character set ascii collate ascii_bin default NULL,
  `max_number_of_logfiles` bigint(20) unsigned default '0',
  `compress_enable` enum('false','true') NOT NULL default 'false',
  `email` varchar(255) character set utf8 default NULL,
  `turned_on` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `log_rotation`
--


/*!40000 ALTER TABLE `log_rotation` DISABLE KEYS */;
LOCK TABLES `log_rotation` WRITE;
INSERT INTO `log_rotation` VALUES (1,'by_size','204800000',10,'true','','true');
INSERT INTO `log_rotation` VALUES (2,'by_size','204800000',10,'true','','true');
INSERT INTO `log_rotation` VALUES (3,'by_size','204800000',10,'true','','true');
INSERT INTO `log_rotation` VALUES (4,'by_size','204800000',10,'true','','true');
INSERT INTO `log_rotation` VALUES (5,'by_size','204800000',10,'true','','true');
INSERT INTO `log_rotation` VALUES (6,'by_size','204800000',10,'true','','true');
UNLOCK TABLES;
/*!40000 ALTER TABLE `log_rotation` ENABLE KEYS */;

--
-- Table structure for table `longtaskparams`
--

DROP TABLE IF EXISTS `longtaskparams`;
CREATE TABLE `longtaskparams` (
  `task_id` int(10) unsigned NOT NULL default '0',
  `param` varchar(245) character set ascii NOT NULL default '',
  `val` varbinary(255) default NULL,
  PRIMARY KEY  (`task_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `longtaskparams`
--


/*!40000 ALTER TABLE `longtaskparams` DISABLE KEYS */;
LOCK TABLES `longtaskparams` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `longtaskparams` ENABLE KEYS */;

--
-- Table structure for table `longtasks`
--

DROP TABLE IF EXISTS `longtasks`;
CREATE TABLE `longtasks` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` varchar(255) character set utf8 NOT NULL default '',
  `title` varchar(255) character set utf8 NOT NULL default '',
  `status` enum('not_started','cancel_pending','canceled','error','fatal_error','done','started') NOT NULL default 'not_started',
  `progress_text` varchar(245) character set utf8 NOT NULL default '',
  `progress_max` int(10) unsigned NOT NULL default '1',
  `progress_value` int(10) unsigned NOT NULL default '0',
  `start_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `finish_time` timestamp NOT NULL default '0000-00-00 00:00:00',
  `owner_type` smallint(5) unsigned NOT NULL default '0',
  `owner` int(10) unsigned NOT NULL default '0',
  `can_cancel` enum('false','true') NOT NULL default 'false',
  `pid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `longtasks`
--


/*!40000 ALTER TABLE `longtasks` DISABLE KEYS */;
LOCK TABLES `longtasks` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `longtasks` ENABLE KEYS */;

--
-- Table structure for table `mail`
--

DROP TABLE IF EXISTS `mail`;
CREATE TABLE `mail` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `mail_name` varchar(245) character set ascii NOT NULL default '',
  `perm_id` int(10) unsigned NOT NULL default '0',
  `postbox` enum('false','true') NOT NULL default 'false',
  `account_id` int(10) unsigned NOT NULL default '0',
  `redirect` enum('false','true') NOT NULL default 'false',
  `redir_addr` varchar(255) character set utf8 default NULL,
  `mail_group` enum('false','true') NOT NULL default 'false',
  `autoresponder` enum('false','true') NOT NULL default 'false',
  `spamfilter` enum('false','true') NOT NULL default 'false',
  `virusfilter` enum('none','incoming','outgoing','any') NOT NULL default 'none',
  `mbox_quota` bigint(20) NOT NULL default '-1',
  `dom_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `dom_id` (`dom_id`,`mail_name`),
  KEY `account_id` (`account_id`),
  KEY `perm_id` (`perm_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mail`
--


/*!40000 ALTER TABLE `mail` DISABLE KEYS */;
LOCK TABLES `mail` WRITE;
INSERT INTO `mail` VALUES (1,'mailuser',4,'true',5,'false','','false','false','true','any',-1,1);
INSERT INTO `mail` VALUES (2,'mailuser2',8,'true',10,'false','','false','false','true','any',-1,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `mail` ENABLE KEYS */;

--
-- Table structure for table `mail_aliases`
--

DROP TABLE IF EXISTS `mail_aliases`;
CREATE TABLE `mail_aliases` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `mn_id` int(10) unsigned NOT NULL default '0',
  `alias` varchar(245) character set ascii NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `mn_id` (`mn_id`,`alias`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mail_aliases`
--


/*!40000 ALTER TABLE `mail_aliases` DISABLE KEYS */;
LOCK TABLES `mail_aliases` WRITE;
INSERT INTO `mail_aliases` VALUES (1,1,'mailalias1');
INSERT INTO `mail_aliases` VALUES (2,1,'mailalias2');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mail_aliases` ENABLE KEYS */;

--
-- Table structure for table `mail_redir`
--

DROP TABLE IF EXISTS `mail_redir`;
CREATE TABLE `mail_redir` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `mn_id` int(10) unsigned NOT NULL default '0',
  `address` varchar(245) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mail_redir`
--


/*!40000 ALTER TABLE `mail_redir` DISABLE KEYS */;
LOCK TABLES `mail_redir` WRITE;
INSERT INTO `mail_redir` VALUES (1,1,'mailuser4@demo.parallels.com');
INSERT INTO `mail_redir` VALUES (2,1,'mailuser3@demo.parallels.com');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mail_redir` ENABLE KEYS */;

--
-- Table structure for table `mail_resp`
--

DROP TABLE IF EXISTS `mail_resp`;
CREATE TABLE `mail_resp` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `mn_id` int(10) unsigned NOT NULL default '0',
  `resp_name` varchar(245) character set utf8 NOT NULL default '',
  `keystr` varchar(255) character set utf8 default NULL,
  `key_where` enum('subj','body','no') NOT NULL default 'no',
  `subject` varchar(255) character set utf8 default NULL,
  `reply_to` varchar(255) character set utf8 default NULL,
  `content_type` varchar(245) character set utf8 NOT NULL default 'text/plain',
  `charset` varchar(245) character set ascii collate ascii_bin NOT NULL default 'UTF-8',
  `text` mediumtext character set utf8,
  `resp_on` enum('false','true') NOT NULL default 'false',
  `ans_freq` int(11) default '10',
  `mem_limit` int(11) default '1000',
  PRIMARY KEY  (`id`),
  KEY `mn_id_resp_name` (`mn_id`,`resp_name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mail_resp`
--


/*!40000 ALTER TABLE `mail_resp` DISABLE KEYS */;
LOCK TABLES `mail_resp` WRITE;
INSERT INTO `mail_resp` VALUES (1,1,'autoresponder1','','no','Re: <request_subject>','','text/plain','UTF-8','','true',10,100);
INSERT INTO `mail_resp` VALUES (2,1,'autoresponder2','','no','Re: <request_subject>','','text/plain','UTF-8','','true',10,100);
UNLOCK TABLES;
/*!40000 ALTER TABLE `mail_resp` ENABLE KEYS */;

--
-- Table structure for table `mass_mail`
--

DROP TABLE IF EXISTS `mass_mail`;
CREATE TABLE `mass_mail` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set utf8 NOT NULL default '',
  `from_email` varchar(255) character set utf8 NOT NULL default '',
  `to_admin` enum('false','true') NOT NULL default 'false',
  `to_resellers` enum('false','true') NOT NULL default 'false',
  `to_resellers_mode` enum('all','select','except') NOT NULL default 'all',
  `to_clients` enum('false','true') NOT NULL default 'false',
  `to_clients_mode` enum('all','select','except') NOT NULL default 'all',
  `to_domains` enum('false','true') NOT NULL default 'false',
  `to_domains_mode` enum('all','select','except') NOT NULL default 'all',
  `subject` varchar(255) character set utf8 NOT NULL default '',
  `body` text character set utf8 NOT NULL,
  `cdate` date default NULL,
  PRIMARY KEY  (`id`),
  KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mass_mail`
--


/*!40000 ALTER TABLE `mass_mail` DISABLE KEYS */;
LOCK TABLES `mass_mail` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mass_mail` ENABLE KEYS */;

--
-- Table structure for table `mass_mail_clients`
--

DROP TABLE IF EXISTS `mass_mail_clients`;
CREATE TABLE `mass_mail_clients` (
  `mm_id` int(10) unsigned NOT NULL default '0',
  `cl_id` int(10) unsigned NOT NULL default '0',
  UNIQUE KEY `mm_id_2` (`mm_id`,`cl_id`),
  KEY `mm_id` (`mm_id`),
  KEY `cl_id` (`cl_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mass_mail_clients`
--


/*!40000 ALTER TABLE `mass_mail_clients` DISABLE KEYS */;
LOCK TABLES `mass_mail_clients` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mass_mail_clients` ENABLE KEYS */;

--
-- Table structure for table `mass_mail_domains`
--

DROP TABLE IF EXISTS `mass_mail_domains`;
CREATE TABLE `mass_mail_domains` (
  `mm_id` int(10) unsigned NOT NULL default '0',
  `dom_id` int(10) unsigned NOT NULL default '0',
  UNIQUE KEY `mm_id_2` (`mm_id`,`dom_id`),
  KEY `mm_id` (`mm_id`),
  KEY `dom_id` (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mass_mail_domains`
--


/*!40000 ALTER TABLE `mass_mail_domains` DISABLE KEYS */;
LOCK TABLES `mass_mail_domains` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mass_mail_domains` ENABLE KEYS */;

--
-- Table structure for table `misc`
--

DROP TABLE IF EXISTS `misc`;
CREATE TABLE `misc` (
  `param` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `val` varbinary(255) NOT NULL default '',
  PRIMARY KEY  (`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `misc`
--


/*!40000 ALTER TABLE `misc` DISABLE KEYS */;
LOCK TABLES `misc` WRITE;
INSERT INTO `misc` VALUES ('FullHostName','plesk9.demo.parallels.com');
INSERT INTO `misc` VALUES ('actionlog_rot_num_periods','30');
INSERT INTO `misc` VALUES ('actionlog_rot_num_records','3000');
INSERT INTO `misc` VALUES ('actionlog_rot_period','day');
INSERT INTO `misc` VALUES ('actionlog_rot_type','by_period');
INSERT INTO `misc` VALUES ('admin_address','3755 Sunrise Valley Drive Suite 600');
INSERT INTO `misc` VALUES ('admin_city','Herndon');
INSERT INTO `misc` VALUES ('admin_cname','Parallels');
INSERT INTO `misc` VALUES ('admin_country','US');
INSERT INTO `misc` VALUES ('admin_custom_preset_id','5');
INSERT INTO `misc` VALUES ('admin_email','sales@demo.parallels.com');
INSERT INTO `misc` VALUES ('admin_fax','+1 (703) 815-5675');
INSERT INTO `misc` VALUES ('admin_itmpl_id','1');
INSERT INTO `misc` VALUES ('admin_pcode','20151');
INSERT INTO `misc` VALUES ('admin_phone','+1 (703) 815-5670');
INSERT INTO `misc` VALUES ('admin_pname','Demo Admin');
INSERT INTO `misc` VALUES ('admin_preset_id','1');
INSERT INTO `misc` VALUES ('admin_skin_id','18');
INSERT INTO `misc` VALUES ('admin_state','VA');
INSERT INTO `misc` VALUES ('allow_short_pop3_names','disabled');
INSERT INTO `misc` VALUES ('allow_siteapp_local_db','true');
INSERT INTO `misc` VALUES ('billing_cache_update_time','2008-11-09 02:27:09');
INSERT INTO `misc` VALUES ('bu_cert_id','2');
INSERT INTO `misc` VALUES ('cert_rep_id','1');
INSERT INTO `misc` VALUES ('cl_tmpl_list_id','3');
INSERT INTO `misc` VALUES ('def_admin_preset_id','1');
INSERT INTO `misc` VALUES ('def_client_preset_id','2');
INSERT INTO `misc` VALUES ('def_domain_preset_id','3');
INSERT INTO `misc` VALUES ('def_ip_id','1');
INSERT INTO `misc` VALUES ('def_itmpl_id','1');
INSERT INTO `misc` VALUES ('def_locale','en-US');
INSERT INTO `misc` VALUES ('def_reseller_preset_id','4');
INSERT INTO `misc` VALUES ('def_skin_id','18');
INSERT INTO `misc` VALUES ('default_certificate_id','1');
INSERT INTO `misc` VALUES ('default_dns_zone_id','1');
INSERT INTO `misc` VALUES ('default_server_mysql','1');
INSERT INTO `misc` VALUES ('default_server_postgresql','2');
INSERT INTO `misc` VALUES ('disable_pop_auth','1');
INSERT INTO `misc` VALUES ('disable_smtp_auth','0');
INSERT INTO `misc` VALUES ('disable_updater','false');
INSERT INTO `misc` VALUES ('dns_recursion','localnets');
INSERT INTO `misc` VALUES ('dom_tmpl_list_id','4');
INSERT INTO `misc` VALUES ('force_db_prefix','false');
INSERT INTO `misc` VALUES ('force_db_user_prefix','false');
INSERT INTO `misc` VALUES ('include_databases','true');
INSERT INTO `misc` VALUES ('include_domaindumps','true');
INSERT INTO `misc` VALUES ('include_logs','true');
INSERT INTO `misc` VALUES ('include_mailboxes','true');
INSERT INTO `misc` VALUES ('include_maillists','true');
INSERT INTO `misc` VALUES ('include_webapps','true');
INSERT INTO `misc` VALUES ('last_cl_tmpl','2');
INSERT INTO `misc` VALUES ('latest_apache_restart','2008-11-08 18:54:42');
INSERT INTO `misc` VALUES ('lock_attempts','5');
INSERT INTO `misc` VALUES ('lock_interval','3');
INSERT INTO `misc` VALUES ('lock_time','30');
INSERT INTO `misc` VALUES ('login_timeout','999');
INSERT INTO `misc` VALUES ('master_services_list_for_obligatory_status_checking','pop3,smtp,http,ftp,dns');
INSERT INTO `misc` VALUES ('max_bu_proc_number','10');
INSERT INTO `misc` VALUES ('message_submission','false');
INSERT INTO `misc` VALUES ('multiply_login','true');
INSERT INTO `misc` VALUES ('mysql41_compatible','true');
INSERT INTO `misc` VALUES ('not_showLicense','true');
INSERT INTO `misc` VALUES ('poplock_time','20');
INSERT INTO `misc` VALUES ('psa_configured','true');
INSERT INTO `misc` VALUES ('relay','auth');
INSERT INTO `misc` VALUES ('res_tmpl_list_id','2');
INSERT INTO `misc` VALUES ('restart_apache_interval','0');
INSERT INTO `misc` VALUES ('send_announce','true');
INSERT INTO `misc` VALUES ('size_count_type','block');
INSERT INTO `misc` VALUES ('slave_request_timeout','20');
INSERT INTO `misc` VALUES ('slave_services_list_with_non_obligatory_status_checking','tomcat,postgresql,coldfusion,spamd');
INSERT INTO `misc` VALUES ('soa_serial_format','UNIXTIMESTAMP');
INSERT INTO `misc` VALUES ('spamfilter_enabled','true');
INSERT INTO `misc` VALUES ('spamfilter_max_children','1');
INSERT INTO `misc` VALUES ('spamfilter_use_mailuser_prefs','true');
INSERT INTO `misc` VALUES ('spf_behavior','1');
INSERT INTO `misc` VALUES ('use_vocabulary','false');
INSERT INTO `misc` VALUES ('version','0900');
INSERT INTO `misc` VALUES ('virusfilter','drweb');
INSERT INTO `misc` VALUES ('domain_keys_sign','true');
INSERT INTO `misc` VALUES ('debug_util_exec','true');
UNLOCK TABLES;
/*!40000 ALTER TABLE `misc` ENABLE KEYS */;

--
-- Table structure for table `mn_param`
--

DROP TABLE IF EXISTS `mn_param`;
CREATE TABLE `mn_param` (
  `mn_id` int(10) unsigned NOT NULL default '0',
  `param` varchar(245) character set ascii NOT NULL default '',
  `val` varbinary(255) default NULL,
  PRIMARY KEY  (`mn_id`,`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `mn_param`
--


/*!40000 ALTER TABLE `mn_param` DISABLE KEYS */;
LOCK TABLES `mn_param` WRITE;
INSERT INTO `mn_param` VALUES (1,'disable_lock_screen','false');
INSERT INTO `mn_param` VALUES (1,'locale','en-US');
INSERT INTO `mn_param` VALUES (1,'multiply_login','true');
INSERT INTO `mn_param` VALUES (1,'skin_id','18');
INSERT INTO `mn_param` VALUES (2,'disable_lock_screen','false');
INSERT INTO `mn_param` VALUES (2,'locale','en-US');
INSERT INTO `mn_param` VALUES (2,'multiply_login','true');
INSERT INTO `mn_param` VALUES (2,'skin_id','18');
UNLOCK TABLES;
/*!40000 ALTER TABLE `mn_param` ENABLE KEYS */;

--
-- Table structure for table `module_3_sbm_config`
--

DROP TABLE IF EXISTS `module_3_sbm_config`;
CREATE TABLE `module_3_sbm_config` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `param_name` varchar(255) default NULL,
  `param_value` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `param_name` (`param_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_3_sbm_config`
--


/*!40000 ALTER TABLE `module_3_sbm_config` DISABLE KEYS */;
LOCK TABLES `module_3_sbm_config` WRITE;
INSERT INTO `module_3_sbm_config` VALUES (3,'version','5.0.35');
INSERT INTO `module_3_sbm_config` VALUES (1,'current_sb_server',NULL);
INSERT INTO `module_3_sbm_config` VALUES (2,'local_sb_server',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_3_sbm_config` ENABLE KEYS */;

--
-- Table structure for table `module_3_sbm_domains`
--

DROP TABLE IF EXISTS `module_3_sbm_domains`;
CREATE TABLE `module_3_sbm_domains` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `domain_id` int(10) unsigned NOT NULL default '0',
  `subdom_id` int(10) NOT NULL default '0',
  `site_identity` varchar(255) default NULL,
  `sb_server_id` int(10) NOT NULL default '0',
  `site_owner` varchar(255) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_3_sbm_domains`
--


/*!40000 ALTER TABLE `module_3_sbm_domains` DISABLE KEYS */;
LOCK TABLES `module_3_sbm_domains` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_3_sbm_domains` ENABLE KEYS */;

--
-- Table structure for table `module_3_sbm_resellers`
--

DROP TABLE IF EXISTS `module_3_sbm_resellers`;
CREATE TABLE `module_3_sbm_resellers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `domain_id` int(10) unsigned NOT NULL default '0',
  `sb_server_id` int(10) NOT NULL default '0',
  `sb_login` varchar(255) NOT NULL default '',
  `sb_id` varchar(255) NOT NULL default '',
  `sb_hostid` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_3_sbm_resellers`
--


/*!40000 ALTER TABLE `module_3_sbm_resellers` DISABLE KEYS */;
LOCK TABLES `module_3_sbm_resellers` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_3_sbm_resellers` ENABLE KEYS */;

--
-- Table structure for table `module_3_sbm_sbservers`
--

DROP TABLE IF EXISTS `module_3_sbm_sbservers`;
CREATE TABLE `module_3_sbm_sbservers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `sbserver_name` varchar(255) default NULL,
  `sbserver_ipaddress` varchar(255) default NULL,
  `sbserver_username` varchar(255) default 'admin',
  `sbserver_password` varchar(255) default 'admin',
  `version` varchar(31) default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `sbserver_name` (`sbserver_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_3_sbm_sbservers`
--


/*!40000 ALTER TABLE `module_3_sbm_sbservers` DISABLE KEYS */;
LOCK TABLES `module_3_sbm_sbservers` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_3_sbm_sbservers` ENABLE KEYS */;

--
-- Table structure for table `module_bf1942_hostings`
--

DROP TABLE IF EXISTS `module_bf1942_hostings`;
CREATE TABLE `module_bf1942_hostings` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `op_id` int(10) unsigned NOT NULL default '0',
  `address` varchar(255) character set ascii NOT NULL default '',
  `login` varchar(63) character set ascii NOT NULL default '',
  `password` varchar(63) character set ascii collate ascii_bin NOT NULL default '',
  `srv_dir` varbinary(255) NOT NULL default '',
  `install_status` enum('not_install','installing','install') NOT NULL default 'not_install',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_bf1942_hostings`
--


/*!40000 ALTER TABLE `module_bf1942_hostings` DISABLE KEYS */;
LOCK TABLES `module_bf1942_hostings` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_bf1942_hostings` ENABLE KEYS */;

--
-- Table structure for table `module_bf1942_operators`
--

DROP TABLE IF EXISTS `module_bf1942_operators`;
CREATE TABLE `module_bf1942_operators` (
  `client_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`client_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_bf1942_operators`
--


/*!40000 ALTER TABLE `module_bf1942_operators` DISABLE KEYS */;
LOCK TABLES `module_bf1942_operators` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_bf1942_operators` ENABLE KEYS */;

--
-- Table structure for table `module_bf1942_params`
--

DROP TABLE IF EXISTS `module_bf1942_params`;
CREATE TABLE `module_bf1942_params` (
  `param` varchar(255) character set ascii NOT NULL default '',
  `val` varbinary(255) default NULL,
  PRIMARY KEY  (`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_bf1942_params`
--


/*!40000 ALTER TABLE `module_bf1942_params` DISABLE KEYS */;
LOCK TABLES `module_bf1942_params` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_bf1942_params` ENABLE KEYS */;

--
-- Table structure for table `module_bf1942_servers`
--

DROP TABLE IF EXISTS `module_bf1942_servers`;
CREATE TABLE `module_bf1942_servers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` enum('mng','view') NOT NULL default 'mng',
  `rcon` enum('on','off') NOT NULL default 'off',
  `rcon_username` varchar(32) character set ascii NOT NULL default '',
  `rcon_password` varchar(32) character set ascii collate ascii_bin NOT NULL default '',
  `rcon_port` smallint(5) unsigned NOT NULL default '4711',
  `host` varchar(63) character set ascii NOT NULL default '',
  `lst_spy_port` smallint(5) unsigned NOT NULL default '23000',
  `hst_id` int(10) unsigned NOT NULL default '0',
  `cfg_dir` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `status` enum('stop','start') NOT NULL default 'stop',
  `name` varchar(31) character set ascii NOT NULL default '',
  `max_players` smallint(5) unsigned NOT NULL default '32',
  `net_type` enum('internet','lan') NOT NULL default 'lan',
  `srv_bandwidth` enum('0','8','16','32','64','128','256','512') NOT NULL default '0',
  `cl_bandwidth` enum('CTModem56Kbps','CTCable128Kbps','CTCable256Kbps','CTLanT1') NOT NULL default 'CTLanT1',
  `ip` varchar(15) character set ascii collate ascii_bin NOT NULL default '0.0.0.0',
  `port` smallint(5) unsigned NOT NULL default '14567',
  `spy_lan_port` smallint(5) unsigned NOT NULL default '0',
  `spy_port` smallint(5) unsigned NOT NULL default '0',
  `game_time` smallint(5) unsigned NOT NULL default '0',
  `score_lim` smallint(5) unsigned NOT NULL default '0',
  `round_num` smallint(5) unsigned NOT NULL default '3',
  `remote_admin` enum('on','off') NOT NULL default 'off',
  `remote_admin_passwd` varchar(32) character set ascii collate ascii_bin NOT NULL default '',
  `srv_passwd` varchar(32) character set ascii collate ascii_bin NOT NULL default '',
  `punk_buster` enum('on','off') NOT NULL default 'on',
  PRIMARY KEY  (`id`),
  KEY `hst_id` (`hst_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_bf1942_servers`
--


/*!40000 ALTER TABLE `module_bf1942_servers` DISABLE KEYS */;
LOCK TABLES `module_bf1942_servers` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_bf1942_servers` ENABLE KEYS */;

--
-- Table structure for table `module_bf2_operators`
--

DROP TABLE IF EXISTS `module_bf2_operators`;
CREATE TABLE `module_bf2_operators` (
  `client_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`client_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_bf2_operators`
--


/*!40000 ALTER TABLE `module_bf2_operators` DISABLE KEYS */;
LOCK TABLES `module_bf2_operators` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_bf2_operators` ENABLE KEYS */;

--
-- Table structure for table `module_bf2_params`
--

DROP TABLE IF EXISTS `module_bf2_params`;
CREATE TABLE `module_bf2_params` (
  `param` varchar(255) NOT NULL default '',
  `val` varchar(255) default NULL,
  PRIMARY KEY  (`param`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_bf2_params`
--


/*!40000 ALTER TABLE `module_bf2_params` DISABLE KEYS */;
LOCK TABLES `module_bf2_params` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_bf2_params` ENABLE KEYS */;

--
-- Table structure for table `module_bf2_servers`
--

DROP TABLE IF EXISTS `module_bf2_servers`;
CREATE TABLE `module_bf2_servers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `op_id` int(10) unsigned NOT NULL default '0',
  `hosting_address` varchar(255) NOT NULL default '',
  `hosting_login` varchar(63) NOT NULL default '',
  `hosting_password` varchar(63) NOT NULL default '',
  `hosting_srv_dir` varchar(255) NOT NULL default '',
  `hosting_install_status` enum('not_installed','installing','installed','not_configured','install_failed') NOT NULL default 'not_installed',
  `hosting_remember_password` enum('on','off') NOT NULL default 'on',
  `type` enum('mng','view') NOT NULL default 'mng',
  `rcon` enum('on','off') NOT NULL default 'off',
  `rcon_username` varchar(32) NOT NULL default '',
  `rcon_password` varchar(32) NOT NULL default '',
  `rcon_port` smallint(5) unsigned NOT NULL default '4711',
  `host` varchar(63) NOT NULL default '',
  `lst_spy_port` smallint(5) unsigned NOT NULL default '23000',
  `hst_id` int(10) unsigned NOT NULL default '0',
  `cfg_dir` varchar(255) NOT NULL default '',
  `status` enum('stop','start') NOT NULL default 'stop',
  `name` varchar(31) NOT NULL default '',
  `max_players` smallint(5) unsigned NOT NULL default '32',
  `net_type` enum('internet','lan') NOT NULL default 'lan',
  `srv_bandwidth` enum('0','8','16','32','64','128','256','512') NOT NULL default '0',
  `cl_bandwidth` enum('CTModem56Kbps','CTCable128Kbps','CTCable256Kbps','CTLanT1') NOT NULL default 'CTLanT1',
  `ip` varchar(15) NOT NULL default '0.0.0.0',
  `port` smallint(5) unsigned NOT NULL default '14567',
  `spy_port` smallint(5) unsigned NOT NULL default '0',
  `game_time` smallint(5) unsigned NOT NULL default '0',
  `score_lim` smallint(5) unsigned NOT NULL default '0',
  `round_num` smallint(5) unsigned NOT NULL default '3',
  `remote_admin` enum('on','off') NOT NULL default 'off',
  `remote_admin_passwd` varchar(32) NOT NULL default '',
  `srv_passwd` varchar(32) NOT NULL default '',
  `punk_buster` enum('on','off') NOT NULL default 'on',
  PRIMARY KEY  (`id`),
  KEY `hst_id` (`hst_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_bf2_servers`
--


/*!40000 ALTER TABLE `module_bf2_servers` DISABLE KEYS */;
LOCK TABLES `module_bf2_servers` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_bf2_servers` ENABLE KEYS */;

--
-- Table structure for table `module_cs_gs_configs`
--

DROP TABLE IF EXISTS `module_cs_gs_configs`;
CREATE TABLE `module_cs_gs_configs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `game` varchar(31) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `game` (`game`,`name`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_cs_gs_configs`
--


/*!40000 ALTER TABLE `module_cs_gs_configs` DISABLE KEYS */;
LOCK TABLES `module_cs_gs_configs` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_cs_gs_configs` ENABLE KEYS */;

--
-- Table structure for table `module_cs_gs_parameters`
--

DROP TABLE IF EXISTS `module_cs_gs_parameters`;
CREATE TABLE `module_cs_gs_parameters` (
  `param` varchar(255) NOT NULL default '',
  `val` varchar(255) default NULL,
  PRIMARY KEY  (`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_cs_gs_parameters`
--


/*!40000 ALTER TABLE `module_cs_gs_parameters` DISABLE KEYS */;
LOCK TABLES `module_cs_gs_parameters` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_cs_gs_parameters` ENABLE KEYS */;

--
-- Table structure for table `module_cs_gs_servers`
--

DROP TABLE IF EXISTS `module_cs_gs_servers`;
CREATE TABLE `module_cs_gs_servers` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `game` varchar(31) NOT NULL default '',
  `name` varchar(255) NOT NULL default '',
  `ip_address` varchar(15) default NULL,
  `port` smallint(5) unsigned NOT NULL default '0',
  `mode` enum('LAN','LAN&INET') NOT NULL default 'LAN',
  `max_players` smallint(5) unsigned NOT NULL default '16',
  `autoupdate` enum('yes','no') NOT NULL default 'yes',
  `master` enum('yes','no') NOT NULL default 'yes',
  `config_id` int(10) unsigned NOT NULL default '0',
  `secure` enum('yes','no') NOT NULL default 'yes',
  `rcon_password` varchar(61) NOT NULL default '',
  `sv_password` varchar(61) NOT NULL default '',
  `default_map` varchar(61) NOT NULL default '',
  `total_traffic` bigint(20) unsigned NOT NULL default '0',
  `period_traffic` bigint(20) unsigned NOT NULL default '0',
  `begin_period_date` date NOT NULL default '0000-00-00',
  `end_period_date` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ip_address` (`ip_address`,`port`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_cs_gs_servers`
--


/*!40000 ALTER TABLE `module_cs_gs_servers` DISABLE KEYS */;
LOCK TABLES `module_cs_gs_servers` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_cs_gs_servers` ENABLE KEYS */;

--
-- Table structure for table `module_fileserver_hosts`
--

DROP TABLE IF EXISTS `module_fileserver_hosts`;
CREATE TABLE `module_fileserver_hosts` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set ascii NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_fileserver_hosts`
--


/*!40000 ALTER TABLE `module_fileserver_hosts` DISABLE KEYS */;
LOCK TABLES `module_fileserver_hosts` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_fileserver_hosts` ENABLE KEYS */;

--
-- Table structure for table `module_fileserver_params`
--

DROP TABLE IF EXISTS `module_fileserver_params`;
CREATE TABLE `module_fileserver_params` (
  `param` varchar(255) character set ascii NOT NULL default '',
  `val` varbinary(255) NOT NULL default '',
  PRIMARY KEY  (`param`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_fileserver_params`
--


/*!40000 ALTER TABLE `module_fileserver_params` DISABLE KEYS */;
LOCK TABLES `module_fileserver_params` WRITE;
INSERT INTO `module_fileserver_params` VALUES ('workgroup','MYGROUP');
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_fileserver_params` ENABLE KEYS */;

--
-- Table structure for table `module_fileserver_shares`
--

DROP TABLE IF EXISTS `module_fileserver_shares`;
CREATE TABLE `module_fileserver_shares` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set utf8 NOT NULL default '',
  `description` varchar(255) character set utf8 NOT NULL default '',
  `path` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `writable` enum('false','true') NOT NULL default 'false',
  `guest_ok` enum('false','true') NOT NULL default 'false',
  `valid_users` enum('any','select') NOT NULL default 'any',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_fileserver_shares`
--


/*!40000 ALTER TABLE `module_fileserver_shares` DISABLE KEYS */;
LOCK TABLES `module_fileserver_shares` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_fileserver_shares` ENABLE KEYS */;

--
-- Table structure for table `module_fileserver_users`
--

DROP TABLE IF EXISTS `module_fileserver_users`;
CREATE TABLE `module_fileserver_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(255) character set ascii NOT NULL default '',
  `sys_name` varchar(255) character set ascii NOT NULL default '',
  `password` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `password_type` enum('plain','crypt') NOT NULL default 'plain',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_fileserver_users`
--


/*!40000 ALTER TABLE `module_fileserver_users` DISABLE KEYS */;
LOCK TABLES `module_fileserver_users` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_fileserver_users` ENABLE KEYS */;

--
-- Table structure for table `module_fileserver_valid_users`
--

DROP TABLE IF EXISTS `module_fileserver_valid_users`;
CREATE TABLE `module_fileserver_valid_users` (
  `sid` int(10) unsigned NOT NULL default '0',
  `uid` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`sid`,`uid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_fileserver_valid_users`
--


/*!40000 ALTER TABLE `module_fileserver_valid_users` DISABLE KEYS */;
LOCK TABLES `module_fileserver_valid_users` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_fileserver_valid_users` ENABLE KEYS */;

--
-- Table structure for table `module_firewall_objects`
--

DROP TABLE IF EXISTS `module_firewall_objects`;
CREATE TABLE `module_firewall_objects` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `tag` varbinary(255) NOT NULL default '',
  `object` blob NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `tag` (`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_firewall_objects`
--


/*!40000 ALTER TABLE `module_firewall_objects` DISABLE KEYS */;
LOCK TABLES `module_firewall_objects` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_firewall_objects` ENABLE KEYS */;

--
-- Table structure for table `module_firewall_rules`
--

DROP TABLE IF EXISTS `module_firewall_rules`;
CREATE TABLE `module_firewall_rules` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `configuration_id` int(10) unsigned NOT NULL default '0',
  `direction` int(10) unsigned NOT NULL default '0',
  `priority` int(10) unsigned NOT NULL default '0',
  `object` blob NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `configuration_id` (`configuration_id`,`direction`,`priority`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_firewall_rules`
--


/*!40000 ALTER TABLE `module_firewall_rules` DISABLE KEYS */;
LOCK TABLES `module_firewall_rules` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_firewall_rules` ENABLE KEYS */;

--
-- Table structure for table `module_kav_groups`
--

DROP TABLE IF EXISTS `module_kav_groups`;
CREATE TABLE `module_kav_groups` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `mn_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) character set utf8 NOT NULL default '',
  `settings` text character set utf8,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_kav_groups`
--


/*!40000 ALTER TABLE `module_kav_groups` DISABLE KEYS */;
LOCK TABLES `module_kav_groups` WRITE;
INSERT INTO `module_kav_groups` VALUES (1,0,'server_default','Check=yes\n	Recipients=\n	Senders=\n	Quarantine=no\n	QuarantinePath=/var/db/Quarantine\n	FilterByName=\n	FilteredQuarantine=yes\n	AdminAddress=\n	AddXHeaders=yes\n	AdminNotify=yes\n	AdminAction=unchanged\n	SenderNotify=no\n	RecipientNotify=yes\n	RecipientAttachReport=yes\n	RecipientAction=remove\n	CuredAdminAction=cured\n	CuredRecipientAction=cured\n	ProtectedRecipientAction=unchanged');
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_kav_groups` ENABLE KEYS */;

--
-- Table structure for table `module_kav_mailnames`
--

DROP TABLE IF EXISTS `module_kav_mailnames`;
CREATE TABLE `module_kav_mailnames` (
  `mn_id` int(10) unsigned NOT NULL default '0',
  `in_group` enum('off','default','on') NOT NULL default 'default',
  `out_group` enum('off','default','on') NOT NULL default 'default',
  PRIMARY KEY  (`mn_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_kav_mailnames`
--


/*!40000 ALTER TABLE `module_kav_mailnames` DISABLE KEYS */;
LOCK TABLES `module_kav_mailnames` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_kav_mailnames` ENABLE KEYS */;

--
-- Table structure for table `module_kav_parameters`
--

DROP TABLE IF EXISTS `module_kav_parameters`;
CREATE TABLE `module_kav_parameters` (
  `param` varchar(255) NOT NULL default '',
  `val` varchar(255) default NULL,
  PRIMARY KEY  (`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_kav_parameters`
--


/*!40000 ALTER TABLE `module_kav_parameters` DISABLE KEYS */;
LOCK TABLES `module_kav_parameters` WRITE;
INSERT INTO `module_kav_parameters` VALUES ('allow_custom_settings','yes');
INSERT INTO `module_kav_parameters` VALUES ('aveserver_pid','/var/run/aveserver.pid');
INSERT INTO `module_kav_parameters` VALUES ('config_file','/etc/kav/5.5/kav4mailservers/kav4mailservers.conf');
INSERT INTO `module_kav_parameters` VALUES ('config_file_daemon','/etc/kav/5.5/kav4mailservers/kavdaemon.conf');
INSERT INTO `module_kav_parameters` VALUES ('install_dir','/opt/kav/5.5/kav4mailservers/');
INSERT INTO `module_kav_parameters` VALUES ('keepup2date_pid','/var/run/keepup2date.pid');
INSERT INTO `module_kav_parameters` VALUES ('server_scan_direction','none');
INSERT INTO `module_kav_parameters` VALUES ('update_interval','disabled');
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_kav_parameters` ENABLE KEYS */;

--
-- Table structure for table `module_vpn_objects`
--

DROP TABLE IF EXISTS `module_vpn_objects`;
CREATE TABLE `module_vpn_objects` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `tag` varbinary(255) NOT NULL default '',
  `object` blob NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `tag` (`tag`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_vpn_objects`
--


/*!40000 ALTER TABLE `module_vpn_objects` DISABLE KEYS */;
LOCK TABLES `module_vpn_objects` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_vpn_objects` ENABLE KEYS */;

--
-- Table structure for table `module_watchdog_disk`
--

DROP TABLE IF EXISTS `module_watchdog_disk`;
CREATE TABLE `module_watchdog_disk` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `device` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `space_rate` float unsigned NOT NULL default '80',
  `space_rate_unit` enum('percent','gigabyte','megabyte','kilobyte') default 'percent',
  `inods_rate` float unsigned NOT NULL default '80',
  `inods_rate_unit` enum('percent','file') NOT NULL default 'percent',
  `command` varchar(255) character set ascii collate ascii_bin default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `device` (`device`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_watchdog_disk`
--


/*!40000 ALTER TABLE `module_watchdog_disk` DISABLE KEYS */;
LOCK TABLES `module_watchdog_disk` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_watchdog_disk` ENABLE KEYS */;

--
-- Table structure for table `module_watchdog_disk_event`
--

DROP TABLE IF EXISTS `module_watchdog_disk_event`;
CREATE TABLE `module_watchdog_disk_event` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `device` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `name` enum('RATE_EXCESS','BACK_TO_NORMAL','UNMOUNTED','MOUNTED') default NULL,
  `mount_point` varchar(255) character set ascii collate ascii_bin default NULL,
  `fs_size` int(10) unsigned default NULL,
  `used_size` int(10) unsigned default NULL,
  `inodes_num` int(10) unsigned default NULL,
  `used_inodes` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `time` (`time`),
  KEY `device` (`device`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_watchdog_disk_event`
--


/*!40000 ALTER TABLE `module_watchdog_disk_event` DISABLE KEYS */;
LOCK TABLES `module_watchdog_disk_event` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_watchdog_disk_event` ENABLE KEYS */;

--
-- Table structure for table `module_watchdog_param`
--

DROP TABLE IF EXISTS `module_watchdog_param`;
CREATE TABLE `module_watchdog_param` (
  `param` varchar(255) character set ascii NOT NULL default '',
  `val` varbinary(255) default NULL,
  PRIMARY KEY  (`param`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_watchdog_param`
--


/*!40000 ALTER TABLE `module_watchdog_param` DISABLE KEYS */;
LOCK TABLES `module_watchdog_param` WRITE;
INSERT INTO `module_watchdog_param` VALUES ('automonit','on');
INSERT INTO `module_watchdog_param` VALUES ('configured','no');
INSERT INTO `module_watchdog_param` VALUES ('email_from','watchdog@p9democe4dim.plesk.ru');
INSERT INTO `module_watchdog_param` VALUES ('locale','en-US');
INSERT INTO `module_watchdog_param` VALUES ('mail_servers','localhost');
INSERT INTO `module_watchdog_param` VALUES ('monitrc_chkfile','/tmp/monitrc.chk');
INSERT INTO `module_watchdog_param` VALUES ('monitrc_file','/usr/local/psa/etc/modules/watchdog/monitrc');
INSERT INTO `module_watchdog_param` VALUES ('monitrc_file_include_dir','/usr/local/psa/etc/modules/watchdog/service.d');
INSERT INTO `module_watchdog_param` VALUES ('monitrc_tplfile','/usr/local/psa/etc/modules/watchdog/monitrc_vz.tpl');
INSERT INTO `module_watchdog_param` VALUES ('monitrc_tplfile_include_dir','/usr/local/psa/etc/modules/watchdog/service.tpl.d');
INSERT INTO `module_watchdog_param` VALUES ('monit_login','monit');
INSERT INTO `module_watchdog_param` VALUES ('monit_password','f2240fe92b2527a');
INSERT INTO `module_watchdog_param` VALUES ('monit_pidfile','/usr/local/psa/var/modules/watchdog/run/monit.pid');
INSERT INTO `module_watchdog_param` VALUES ('monit_tcp_port','2911');
INSERT INTO `module_watchdog_param` VALUES ('poll_interval','300');
INSERT INTO `module_watchdog_param` VALUES ('refresh_pages','on');
INSERT INTO `module_watchdog_param` VALUES ('report_rate','weekly');
INSERT INTO `module_watchdog_param` VALUES ('secur_scan_rate','weekly');
INSERT INTO `module_watchdog_param` VALUES ('storage_sysstat','on');
INSERT INTO `module_watchdog_param` VALUES ('sysstat_storage_time','365');
INSERT INTO `module_watchdog_param` VALUES ('wdcollect_cfgfile','/usr/local/psa/etc/modules/watchdog/wdcollect.inc.php');
INSERT INTO `module_watchdog_param` VALUES ('wdcollect_logfile','/usr/local/psa/var/modules/watchdog/log/wdcollect.log');
INSERT INTO `module_watchdog_param` VALUES ('wdcollect_pidfile','/usr/local/psa/var/modules/watchdog/run/wdcollect.pid');
INSERT INTO `module_watchdog_param` VALUES ('wdcollect_port','2912');
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_watchdog_param` ENABLE KEYS */;

--
-- Table structure for table `module_watchdog_report`
--

DROP TABLE IF EXISTS `module_watchdog_report`;
CREATE TABLE `module_watchdog_report` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `name` varchar(63) character set ascii default NULL,
  `type` enum('SECUR_CHECK','PERIOD') NOT NULL default 'SECUR_CHECK',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `type` (`type`),
  KEY `time` (`time`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_watchdog_report`
--


/*!40000 ALTER TABLE `module_watchdog_report` DISABLE KEYS */;
LOCK TABLES `module_watchdog_report` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_watchdog_report` ENABLE KEYS */;

--
-- Table structure for table `module_watchdog_service`
--

DROP TABLE IF EXISTS `module_watchdog_service`;
CREATE TABLE `module_watchdog_service` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(63) character set ascii NOT NULL default '',
  `label` varchar(63) character set utf8 NOT NULL default '',
  `sort_val` smallint(5) unsigned NOT NULL default '65535',
  `mon_status` enum('monitored','notmonitored') NOT NULL default 'notmonitored',
  `save_stats` enum('on','off') NOT NULL default 'on',
  `timeout` enum('on','off') NOT NULL default 'on',
  `timeout_restart_num` smallint(5) unsigned NOT NULL default '5',
  `timeout_cycles_num` smallint(5) unsigned NOT NULL default '5',
  `connection_timeout` smallint(5) unsigned NOT NULL default '5',
  `start_cmd` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `stop_cmd` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `start_time` smallint(5) unsigned NOT NULL default '60',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `label` (`label`),
  KEY `name_2` (`name`),
  KEY `sort_val` (`sort_val`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_watchdog_service`
--


/*!40000 ALTER TABLE `module_watchdog_service` DISABLE KEYS */;
LOCK TABLES `module_watchdog_service` WRITE;
INSERT INTO `module_watchdog_service` VALUES (1,'plesk_apache','Plesk Web Server',10,'notmonitored','on','on',5,5,5,'/etc/init.d/sw-cp-server start','/etc/init.d/sw-cp-server stop',60);
INSERT INTO `module_watchdog_service` VALUES (2,'apache','Web Server (Apache)',20,'notmonitored','on','on',5,5,5,'/usr/local/psa/admin/bin/websrvmng --start','/usr/local/psa/admin/bin/websrvmng --stop',60);
INSERT INTO `module_watchdog_service` VALUES (3,'qmail','SMTP Server(Qmail)',30,'notmonitored','on','on',5,5,60,'/usr/local/psa/admin/bin/mailmng --start-qmail-send','/usr/local/psa/admin/bin/mailmng --stop-qmail-send',60);
INSERT INTO `module_watchdog_service` VALUES (4,'postfix','SMTP Server(Postfix)',30,'notmonitored','on','on',5,5,60,'/usr/local/psa/admin/bin/mailmng --start-service --mail-component=mta','/usr/local/psa/admin/bin/mailmng --stop-service --mail-component=mta',60);
INSERT INTO `module_watchdog_service` VALUES (5,'courier_imap','IMAP/POP3 Server (Courier-IMAP)',40,'notmonitored','on','on',5,5,60,'/usr/local/psa/admin/bin/mailmng --start-maild','/usr/local/psa/admin/bin/mailmng --stop-maild',60);
INSERT INTO `module_watchdog_service` VALUES (6,'bind','DNS Server (BIND)',50,'notmonitored','on','on',5,5,5,'/usr/local/psa/admin/bin/dnsmng --start','/usr/local/psa/admin/bin/dnsmng --stop',60);
INSERT INTO `module_watchdog_service` VALUES (7,'tomcat','Tomcat',60,'notmonitored','on','on',5,5,5,'/usr/local/psa/admin/bin/tomcatmng --start','/usr/local/psa/admin/bin/tomcatmng --stop',300);
INSERT INTO `module_watchdog_service` VALUES (8,'coldfusion','ColdFusion',70,'notmonitored','on','on',5,5,5,'/usr/local/psa/admin/bin/cfmng --start','/usr/local/psa/admin/bin/cfmng --stop',60);
INSERT INTO `module_watchdog_service` VALUES (9,'postgresql','PostgreSQL',90,'notmonitored','on','on',5,5,5,'/usr/local/psa/admin/bin/pg_manage --start','/usr/local/psa/admin/bin/pg_manage --stop',60);
INSERT INTO `module_watchdog_service` VALUES (10,'psa_spamassassin','Plesk SpamAssassin',100,'notmonitored','on','on',5,5,180,'/usr/local/psa/admin/bin/spamd --start','/usr/local/psa/admin/bin/spamd --stop',120);
INSERT INTO `module_watchdog_service` VALUES (11,'drweb','Dr.Web antivirus',110,'notmonitored','on','on',5,5,5,'/usr/local/psa/admin/bin/drwebmng --start','/usr/local/psa/admin/bin/drwebmng --stop',60);
INSERT INTO `module_watchdog_service` VALUES (12,'mysql','MySQL',80,'notmonitored','on','on',5,5,5,'/etc/init.d/mysqld start','/etc/init.d/mysqld stop',60);
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_watchdog_service` ENABLE KEYS */;

--
-- Table structure for table `module_watchdog_service_event`
--

DROP TABLE IF EXISTS `module_watchdog_service_event`;
CREATE TABLE `module_watchdog_service_event` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `service_id` int(10) unsigned NOT NULL default '0',
  `name` enum('NONWORK','RECOVER_WORK','TIMEOUT') NOT NULL default 'NONWORK',
  PRIMARY KEY  (`id`),
  KEY `time` (`time`),
  KEY `service_id` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_watchdog_service_event`
--


/*!40000 ALTER TABLE `module_watchdog_service_event` DISABLE KEYS */;
LOCK TABLES `module_watchdog_service_event` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_watchdog_service_event` ENABLE KEYS */;

--
-- Table structure for table `module_watchdog_sys_stat`
--

DROP TABLE IF EXISTS `module_watchdog_sys_stat`;
CREATE TABLE `module_watchdog_sys_stat` (
  `time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `type` enum('CPU_USAGE','MAINMEM_USAGE') NOT NULL default 'CPU_USAGE',
  `value` int(10) unsigned NOT NULL default '0',
  `service_id` int(10) unsigned default NULL,
  KEY `time` (`time`),
  KEY `type` (`type`),
  KEY `service_id` (`service_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `module_watchdog_sys_stat`
--


/*!40000 ALTER TABLE `module_watchdog_sys_stat` DISABLE KEYS */;
LOCK TABLES `module_watchdog_sys_stat` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `module_watchdog_sys_stat` ENABLE KEYS */;

--
-- Table structure for table `password_secrets`
--

DROP TABLE IF EXISTS `password_secrets`;
CREATE TABLE `password_secrets` (
  `secret` varchar(255) character set ascii NOT NULL default '',
  `type` int(10) unsigned NOT NULL default '0',
  `id` int(10) unsigned NOT NULL default '0',
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`secret`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `password_secrets`
--


/*!40000 ALTER TABLE `password_secrets` DISABLE KEYS */;
LOCK TABLES `password_secrets` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `password_secrets` ENABLE KEYS */;

--
-- Table structure for table `pd_users`
--

DROP TABLE IF EXISTS `pd_users`;
CREATE TABLE `pd_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `login` varchar(20) character set ascii collate ascii_bin NOT NULL default '',
  `account_id` int(10) unsigned NOT NULL default '0',
  `pd_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `pd_id` (`pd_id`,`login`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `pd_users`
--


/*!40000 ALTER TABLE `pd_users` DISABLE KEYS */;
LOCK TABLES `pd_users` WRITE;
INSERT INTO `pd_users` VALUES (1,'protdiruser1',18,1);
INSERT INTO `pd_users` VALUES (2,'protdiruser2',19,1);
INSERT INTO `pd_users` VALUES (3,'demo',26,3);
UNLOCK TABLES;
/*!40000 ALTER TABLE `pd_users` ENABLE KEYS */;

--
-- Table structure for table `protected_dirs`
--

DROP TABLE IF EXISTS `protected_dirs`;
CREATE TABLE `protected_dirs` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `non_ssl` enum('false','true') NOT NULL default 'false',
  `ssl` enum('false','true') NOT NULL default 'false',
  `cgi_bin` enum('false','true') NOT NULL default 'false',
  `realm` varchar(255) character set utf8 collate utf8_bin default NULL,
  `path` varchar(245) character set ascii collate ascii_bin NOT NULL default '',
  `dom_id` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `dom_id` (`dom_id`,`path`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `protected_dirs`
--


/*!40000 ALTER TABLE `protected_dirs` DISABLE KEYS */;
LOCK TABLES `protected_dirs` WRITE;
INSERT INTO `protected_dirs` VALUES (1,'true','true','true','Protected Directory 1','protdir1',1);
INSERT INTO `protected_dirs` VALUES (2,'true','true','true','Protected Directory 2','protdir2',1);
INSERT INTO `protected_dirs` VALUES (3,'true','true','false','Domain statistics','plesk-stat',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `protected_dirs` ENABLE KEYS */;

--
-- Table structure for table `report`
--

DROP TABLE IF EXISTS `report`;
CREATE TABLE `report` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `type` int(10) unsigned NOT NULL default '0',
  `user_id` int(10) unsigned NOT NULL default '0',
  `user_type` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) character set utf8 NOT NULL default '',
  `is_default` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `report`
--


/*!40000 ALTER TABLE `report` DISABLE KEYS */;
LOCK TABLES `report` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `report` ENABLE KEYS */;

--
-- Table structure for table `report_auto`
--

DROP TABLE IF EXISTS `report_auto`;
CREATE TABLE `report_auto` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `report_id` int(10) unsigned NOT NULL default '0',
  `auto` int(10) unsigned NOT NULL default '0',
  `last` datetime default NULL,
  `recipient` int(10) unsigned NOT NULL default '0',
  `email` varchar(254) character set utf8 NOT NULL default '',
  `client` int(10) unsigned default NULL,
  `domain` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  KEY `report_id` (`report_id`),
  KEY `client` (`client`),
  KEY `domain` (`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `report_auto`
--


/*!40000 ALTER TABLE `report_auto` DISABLE KEYS */;
LOCK TABLES `report_auto` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `report_auto` ENABLE KEYS */;

--
-- Table structure for table `report_section`
--

DROP TABLE IF EXISTS `report_section`;
CREATE TABLE `report_section` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `report_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) character set ascii NOT NULL default '',
  `type` enum('none','summary','full') NOT NULL default 'summary',
  PRIMARY KEY  (`id`),
  KEY `report_id` (`report_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `report_section`
--


/*!40000 ALTER TABLE `report_section` DISABLE KEYS */;
LOCK TABLES `report_section` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `report_section` ENABLE KEYS */;

--
-- Table structure for table `resp_attach`
--

DROP TABLE IF EXISTS `resp_attach`;
CREATE TABLE `resp_attach` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `rn_id` int(10) unsigned NOT NULL default '0',
  `filename` varchar(245) character set ascii collate ascii_bin NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `rn_id` (`rn_id`,`filename`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `resp_attach`
--


/*!40000 ALTER TABLE `resp_attach` DISABLE KEYS */;
LOCK TABLES `resp_attach` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `resp_attach` ENABLE KEYS */;

--
-- Table structure for table `resp_forward`
--

DROP TABLE IF EXISTS `resp_forward`;
CREATE TABLE `resp_forward` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `rn_id` int(10) unsigned NOT NULL default '0',
  `address` varchar(245) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `resp_forward`
--


/*!40000 ALTER TABLE `resp_forward` DISABLE KEYS */;
LOCK TABLES `resp_forward` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `resp_forward` ENABLE KEYS */;

--
-- Table structure for table `resp_freq`
--

DROP TABLE IF EXISTS `resp_freq`;
CREATE TABLE `resp_freq` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `rn_id` int(10) unsigned NOT NULL default '0',
  `email` varchar(245) character set ascii NOT NULL default '',
  `num` int(11) default '0',
  `time_resp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `rn_id` (`rn_id`,`email`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `resp_freq`
--


/*!40000 ALTER TABLE `resp_freq` DISABLE KEYS */;
LOCK TABLES `resp_freq` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `resp_freq` ENABLE KEYS */;

--
-- Table structure for table `secret_keys`
--

DROP TABLE IF EXISTS `secret_keys`;
CREATE TABLE `secret_keys` (
  `key_id` varchar(255) character set ascii NOT NULL default '',
  `ip_address` varchar(15) character set ascii NOT NULL default '',
  `description` varchar(255) character set utf8 NOT NULL default '',
  KEY `key_id` (`key_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Dumping data for table `secret_keys`
--


/*!40000 ALTER TABLE `secret_keys` DISABLE KEYS */;
LOCK TABLES `secret_keys` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `secret_keys` ENABLE KEYS */;

--
-- Table structure for table `sessions`
--

DROP TABLE IF EXISTS `sessions`;
CREATE TABLE `sessions` (
  `sess_id` varchar(33) character set ascii collate ascii_bin NOT NULL default '',
  `type` smallint(5) unsigned NOT NULL default '0',
  `login` varchar(255) character set utf8 NOT NULL default '',
  `ip_address` varchar(15) character set ascii NOT NULL default '',
  `login_time` datetime NOT NULL default '0000-00-00 00:00:00',
  `click_time` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`sess_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sessions`
--


/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
LOCK TABLES `sessions` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;

--
-- Table structure for table `siteapppackages_apscategories`
--

DROP TABLE IF EXISTS `siteapppackages_apscategories`;
CREATE TABLE `siteapppackages_apscategories` (
  `siteapppackage_id` int(10) unsigned NOT NULL default '0',
  `apscategory_id` int(10) unsigned NOT NULL default '0',
  `order` int(10) unsigned NOT NULL default '0',
  KEY `siteapppackage_id` (`siteapppackage_id`),
  KEY `apscategory_id` (`apscategory_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `siteapppackages_apscategories`
--


/*!40000 ALTER TABLE `siteapppackages_apscategories` DISABLE KEYS */;
LOCK TABLES `siteapppackages_apscategories` WRITE;
INSERT INTO `siteapppackages_apscategories` VALUES (1,2,1);
INSERT INTO `siteapppackages_apscategories` VALUES (2,3,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `siteapppackages_apscategories` ENABLE KEYS */;

--
-- Table structure for table `slave_params`
--

DROP TABLE IF EXISTS `slave_params`;
CREATE TABLE `slave_params` (
  `slave_id` int(10) unsigned NOT NULL default '0',
  `parameter` varchar(245) character set ascii collate ascii_bin NOT NULL default '',
  `value` varbinary(255) NOT NULL default '',
  PRIMARY KEY  (`slave_id`,`parameter`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `slave_params`
--


/*!40000 ALTER TABLE `slave_params` DISABLE KEYS */;
LOCK TABLES `slave_params` WRITE;
INSERT INTO `slave_params` VALUES (1,'description','Plesk slave server');
INSERT INTO `slave_params` VALUES (1,'disabled','true');
INSERT INTO `slave_params` VALUES (1,'login','admin');
INSERT INTO `slave_params` VALUES (1,'passwd','plesk');
INSERT INTO `slave_params` VALUES (1,'port','8443');
UNLOCK TABLES;
/*!40000 ALTER TABLE `slave_params` ENABLE KEYS */;

--
-- Table structure for table `slaves`
--

DROP TABLE IF EXISTS `slaves`;
CREATE TABLE `slaves` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `hostname` varchar(255) character set ascii NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `hostname` (`hostname`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `slaves`
--


/*!40000 ALTER TABLE `slaves` DISABLE KEYS */;
LOCK TABLES `slaves` WRITE;
INSERT INTO `slaves` VALUES (1,'plesk86.demo.parallels.com');
UNLOCK TABLES;
/*!40000 ALTER TABLE `slaves` ENABLE KEYS */;

--
-- Table structure for table `smtp_poplocks`
--

DROP TABLE IF EXISTS `smtp_poplocks`;
CREATE TABLE `smtp_poplocks` (
  `ip_address` varchar(15) character set ascii NOT NULL default '',
  `ip_mask` int(10) unsigned NOT NULL default '32',
  `lock_time` datetime default NULL,
  KEY `ip_address` (`ip_address`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `smtp_poplocks`
--


/*!40000 ALTER TABLE `smtp_poplocks` DISABLE KEYS */;
LOCK TABLES `smtp_poplocks` WRITE;
INSERT INTO `smtp_poplocks` VALUES ('127.0.0.0',8,NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `smtp_poplocks` ENABLE KEYS */;

--
-- Table structure for table `spamfilter`
--

DROP TABLE IF EXISTS `spamfilter`;
CREATE TABLE `spamfilter` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `username` varchar(128) character set ascii NOT NULL default '',
  `preferences` enum('false','true') NOT NULL default 'false',
  `reject_spam` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `spamfilter`
--


/*!40000 ALTER TABLE `spamfilter` DISABLE KEYS */;
LOCK TABLES `spamfilter` WRITE;
INSERT INTO `spamfilter` VALUES (1,'*@*','true','false');
INSERT INTO `spamfilter` VALUES (2,'mailuser@demo.parallels.com','true','false');
INSERT INTO `spamfilter` VALUES (3,'mailuser@demo2.parallels.com','true','false');
UNLOCK TABLES;
/*!40000 ALTER TABLE `spamfilter` ENABLE KEYS */;

--
-- Table structure for table `spamfilter_preferences`
--

DROP TABLE IF EXISTS `spamfilter_preferences`;
CREATE TABLE `spamfilter_preferences` (
  `prefid` int(10) unsigned NOT NULL auto_increment,
  `spamfilter_id` int(10) unsigned NOT NULL default '0',
  `preference` varchar(30) character set ascii NOT NULL default '',
  `value` varchar(255) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`prefid`),
  KEY `spamfilter_id` (`spamfilter_id`,`preference`,`value`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `spamfilter_preferences`
--


/*!40000 ALTER TABLE `spamfilter_preferences` DISABLE KEYS */;
LOCK TABLES `spamfilter_preferences` WRITE;
INSERT INTO `spamfilter_preferences` VALUES (1,1,'required_score','7.00');
INSERT INTO `spamfilter_preferences` VALUES (2,1,'rewrite_header','subject *****SPAM*****');
INSERT INTO `spamfilter_preferences` VALUES (3,2,'required_score','7.00');
INSERT INTO `spamfilter_preferences` VALUES (4,2,'rewrite_header','subject ****SPAM****');
INSERT INTO `spamfilter_preferences` VALUES (5,3,'required_score','7.00');
INSERT INTO `spamfilter_preferences` VALUES (6,3,'rewrite_header','subject ****SPAM****');
UNLOCK TABLES;
/*!40000 ALTER TABLE `spamfilter_preferences` ENABLE KEYS */;

--
-- Table structure for table `subdomains`
--

DROP TABLE IF EXISTS `subdomains`;
CREATE TABLE `subdomains` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dom_id` int(10) unsigned NOT NULL default '0',
  `name` varchar(255) character set ascii NOT NULL default '',
  `displayName` varchar(255) character set utf8 NOT NULL default '',
  `sys_user_type` enum('main','native') NOT NULL default 'main',
  `sys_user_id` int(10) unsigned NOT NULL default '0',
  `ssi` enum('false','true') NOT NULL default 'false',
  `php` enum('false','true') NOT NULL default 'false',
  `cgi` enum('false','true') NOT NULL default 'false',
  `perl` enum('false','true') NOT NULL default 'false',
  `python` enum('false','true') NOT NULL default 'false',
  `fastcgi` enum('false','true') NOT NULL default 'false',
  `miva` enum('false','true') NOT NULL default 'false',
  `coldfusion` enum('false','true') NOT NULL default 'false',
  `asp` enum('false','true') NOT NULL default 'false',
  `asp_dot_net` enum('false','true') NOT NULL default 'false',
  `ssl` enum('false','true') NOT NULL default 'false',
  `same_ssl` enum('false','true') NOT NULL default 'false',
  `php_handler_type` enum('cgi','fastcgi','module') NOT NULL default 'module',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `dom_id` (`dom_id`,`name`),
  KEY `dom_id_displayName` (`dom_id`,`displayName`),
  KEY `sys_user_id` (`sys_user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `subdomains`
--


/*!40000 ALTER TABLE `subdomains` DISABLE KEYS */;
LOCK TABLES `subdomains` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `subdomains` ENABLE KEYS */;

--
-- Table structure for table `suspend_handler_history`
--

DROP TABLE IF EXISTS `suspend_handler_history`;
CREATE TABLE `suspend_handler_history` (
  `dom_id` int(10) unsigned NOT NULL default '0',
  `session_id` varbinary(255) default NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `suspend_handler_history`
--


/*!40000 ALTER TABLE `suspend_handler_history` DISABLE KEYS */;
LOCK TABLES `suspend_handler_history` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `suspend_handler_history` ENABLE KEYS */;

--
-- Table structure for table `sys_users`
--

DROP TABLE IF EXISTS `sys_users`;
CREATE TABLE `sys_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `login` varchar(20) character set ascii NOT NULL default '',
  `account_id` int(10) unsigned NOT NULL default '0',
  `home` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `shell` varchar(255) character set ascii collate ascii_bin NOT NULL default '',
  `quota` bigint(20) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `login` (`login`),
  KEY `account_id` (`account_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `sys_users`
--


/*!40000 ALTER TABLE `sys_users` DISABLE KEYS */;
LOCK TABLES `sys_users` WRITE;
INSERT INTO `sys_users` VALUES (1,'demo',3,'/var/www/vhosts/demo.parallels.com','/bin/false',0);
INSERT INTO `sys_users` VALUES (2,'demo2',8,'/var/www/vhosts/demo2.parallels.com','/bin/false',0);
INSERT INTO `sys_users` VALUES (3,'ftpuser3',12,'/var/www/vhosts/demo3.parallels.com','/bin/false',0);
INSERT INTO `sys_users` VALUES (4,'ftpuser4',14,'/var/www/vhosts/demo4.parallels.com','/bin/false',0);
INSERT INTO `sys_users` VALUES (5,'ftpuser5',16,'/var/www/vhosts/demo5.parallels.com','/bin/false',0);
INSERT INTO `sys_users` VALUES (6,'webuser1',20,'/var/www/vhosts/demo.parallels.com/web_users/webuser1','',0);
INSERT INTO `sys_users` VALUES (7,'webuser2',21,'/var/www/vhosts/demo.parallels.com/web_users/webuser2','',0);
UNLOCK TABLES;
/*!40000 ALTER TABLE `sys_users` ENABLE KEYS */;

--
-- Table structure for table `tts_cats`
--

DROP TABLE IF EXISTS `tts_cats`;
CREATE TABLE `tts_cats` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `enabled` enum('false','true') NOT NULL default 'false',
  `title` varchar(255) character set utf8 default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tts_cats`
--


/*!40000 ALTER TABLE `tts_cats` DISABLE KEYS */;
LOCK TABLES `tts_cats` WRITE;
INSERT INTO `tts_cats` VALUES (1,'true','General');
INSERT INTO `tts_cats` VALUES (2,'true','Hosting');
INSERT INTO `tts_cats` VALUES (3,'true','Mail');
INSERT INTO `tts_cats` VALUES (4,'true','DNS');
INSERT INTO `tts_cats` VALUES (5,'true','Database');
INSERT INTO `tts_cats` VALUES (6,'true','FTP');
INSERT INTO `tts_cats` VALUES (7,'true','Site Applications');
INSERT INTO `tts_cats` VALUES (8,'true','Tomcat');
INSERT INTO `tts_cats` VALUES (9,'true','Mailing Lists');
UNLOCK TABLES;
/*!40000 ALTER TABLE `tts_cats` ENABLE KEYS */;

--
-- Table structure for table `tts_conf`
--

DROP TABLE IF EXISTS `tts_conf`;
CREATE TABLE `tts_conf` (
  `id` int(10) unsigned NOT NULL default '0',
  `enabled` enum('false','true') NOT NULL default 'false',
  `can_post` enum('false','true') NOT NULL default 'false',
  `def_qu_id` int(10) unsigned NOT NULL default '0',
  `def_pr_id` int(10) unsigned NOT NULL default '0',
  `def_cat_id` int(10) unsigned NOT NULL default '0',
  `mg_enabled` enum('false','true') NOT NULL default 'false',
  `email_address` varchar(255) character set utf8 default NULL,
  `email_name` varchar(255) character set utf8 default NULL,
  `pop_server` varchar(255) character set utf8 default NULL,
  `pop_username` varchar(255) character set utf8 default NULL,
  `pop_password` varchar(255) character set ascii collate ascii_bin default NULL,
  `query_period` int(10) unsigned default NULL,
  `start_ticket_subj` varchar(255) character set utf8 default NULL,
  PRIMARY KEY  (`id`),
  KEY `def_qu_id` (`def_qu_id`),
  KEY `def_pr_id` (`def_pr_id`),
  KEY `def_cat_id` (`def_cat_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tts_conf`
--


/*!40000 ALTER TABLE `tts_conf` DISABLE KEYS */;
LOCK TABLES `tts_conf` WRITE;
INSERT INTO `tts_conf` VALUES (1,'true','true',1,2,1,'false',NULL,NULL,NULL,NULL,NULL,NULL,NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `tts_conf` ENABLE KEYS */;

--
-- Table structure for table `tts_priorities`
--

DROP TABLE IF EXISTS `tts_priorities`;
CREATE TABLE `tts_priorities` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `enabled` enum('false','true') NOT NULL default 'false',
  `title` varchar(255) character set utf8 default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tts_priorities`
--


/*!40000 ALTER TABLE `tts_priorities` DISABLE KEYS */;
LOCK TABLES `tts_priorities` WRITE;
INSERT INTO `tts_priorities` VALUES (1,'true','1-High');
INSERT INTO `tts_priorities` VALUES (2,'true','2-Normal');
INSERT INTO `tts_priorities` VALUES (3,'true','3-Low');
UNLOCK TABLES;
/*!40000 ALTER TABLE `tts_priorities` ENABLE KEYS */;

--
-- Table structure for table `tts_queues`
--

DROP TABLE IF EXISTS `tts_queues`;
CREATE TABLE `tts_queues` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `enabled` enum('false','true') NOT NULL default 'false',
  `title` varchar(255) character set utf8 default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tts_queues`
--


/*!40000 ALTER TABLE `tts_queues` DISABLE KEYS */;
LOCK TABLES `tts_queues` WRITE;
INSERT INTO `tts_queues` VALUES (1,'true','1');
INSERT INTO `tts_queues` VALUES (2,'true','2');
INSERT INTO `tts_queues` VALUES (3,'true','3');
UNLOCK TABLES;
/*!40000 ALTER TABLE `tts_queues` ENABLE KEYS */;

--
-- Table structure for table `tts_reporters`
--

DROP TABLE IF EXISTS `tts_reporters`;
CREATE TABLE `tts_reporters` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ref_reporter_id` int(10) unsigned default NULL,
  `type` enum('client','domain','mailname','email','admin','reseller') NOT NULL default 'email',
  `email` varchar(255) character set utf8 default NULL,
  `name` varchar(255) character set utf8 default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tts_reporters`
--


/*!40000 ALTER TABLE `tts_reporters` DISABLE KEYS */;
LOCK TABLES `tts_reporters` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `tts_reporters` ENABLE KEYS */;

--
-- Table structure for table `tts_slave_info`
--

DROP TABLE IF EXISTS `tts_slave_info`;
CREATE TABLE `tts_slave_info` (
  `server_id` int(10) unsigned NOT NULL default '0',
  `enabled` enum('false','true') NOT NULL default 'false',
  `can_post` enum('false','true') NOT NULL default 'false',
  `cnt_new` bigint(20) unsigned NOT NULL default '0',
  `cnt_opened` bigint(20) unsigned NOT NULL default '0',
  `cnt_reopened` bigint(20) unsigned NOT NULL default '0',
  `cnt_closed` bigint(20) unsigned NOT NULL default '0',
  `updated_date` datetime default NULL,
  PRIMARY KEY  (`server_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tts_slave_info`
--


/*!40000 ALTER TABLE `tts_slave_info` DISABLE KEYS */;
LOCK TABLES `tts_slave_info` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `tts_slave_info` ENABLE KEYS */;

--
-- Table structure for table `tts_ticket_events`
--

DROP TABLE IF EXISTS `tts_ticket_events`;
CREATE TABLE `tts_ticket_events` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `ticket_id` int(10) unsigned NOT NULL default '0',
  `event_type` bigint(20) unsigned NOT NULL default '0',
  `public` enum('false','true') NOT NULL default 'false',
  `reporter_id` int(10) unsigned NOT NULL default '0',
  `created_date` datetime default NULL,
  `descr` text character set utf8 NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `ticket_id` (`ticket_id`),
  KEY `reporter_id` (`reporter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tts_ticket_events`
--


/*!40000 ALTER TABLE `tts_ticket_events` DISABLE KEYS */;
LOCK TABLES `tts_ticket_events` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `tts_ticket_events` ENABLE KEYS */;

--
-- Table structure for table `tts_tickets`
--

DROP TABLE IF EXISTS `tts_tickets`;
CREATE TABLE `tts_tickets` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `reporter_id` int(10) unsigned NOT NULL default '0',
  `cat_id` int(10) unsigned NOT NULL default '0',
  `qu_id` int(10) unsigned NOT NULL default '0',
  `pr_id` int(10) unsigned NOT NULL default '0',
  `status` bigint(20) unsigned NOT NULL default '0',
  `subject` varchar(255) character set utf8 default NULL,
  `modified_date` datetime default NULL,
  PRIMARY KEY  (`id`),
  KEY `reporter_id` (`reporter_id`),
  KEY `cat_id` (`cat_id`),
  KEY `qu_id` (`qu_id`),
  KEY `pr_id` (`pr_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `tts_tickets`
--


/*!40000 ALTER TABLE `tts_tickets` DISABLE KEYS */;
LOCK TABLES `tts_tickets` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `tts_tickets` ENABLE KEYS */;

--
-- Table structure for table `upgrade_history`
--

DROP TABLE IF EXISTS `upgrade_history`;
CREATE TABLE `upgrade_history` (
  `upgrade_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `version_info` varchar(50) character set ascii collate ascii_bin NOT NULL default '',
  `db_version` varchar(8) character set ascii collate ascii_bin NOT NULL default '',
  PRIMARY KEY  (`upgrade_date`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `upgrade_history`
--


/*!40000 ALTER TABLE `upgrade_history` DISABLE KEYS */;
LOCK TABLES `upgrade_history` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `upgrade_history` ENABLE KEYS */;

--
-- Table structure for table `web_users`
--

DROP TABLE IF EXISTS `web_users`;
CREATE TABLE `web_users` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dom_id` int(10) unsigned NOT NULL default '0',
  `sys_user_id` int(10) unsigned NOT NULL default '0',
  `ssi` enum('false','true') NOT NULL default 'false',
  `php` enum('false','true') NOT NULL default 'false',
  `cgi` enum('false','true') NOT NULL default 'false',
  `perl` enum('false','true') NOT NULL default 'false',
  `python` enum('false','true') NOT NULL default 'false',
  `fastcgi` enum('false','true') NOT NULL default 'false',
  `asp` enum('false','true') NOT NULL default 'false',
  `asp_dot_net` enum('false','true') NOT NULL default 'false',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `sys_user_id` (`sys_user_id`),
  KEY `dom_id` (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `web_users`
--


/*!40000 ALTER TABLE `web_users` DISABLE KEYS */;
LOCK TABLES `web_users` WRITE;
INSERT INTO `web_users` VALUES (1,1,6,'true','true','true','true','true','true','true','false');
INSERT INTO `web_users` VALUES (2,1,7,'true','true','true','true','true','true','true','false');
UNLOCK TABLES;
/*!40000 ALTER TABLE `web_users` ENABLE KEYS */;

--
-- Table structure for table `webalizer_group_referrer`
--

DROP TABLE IF EXISTS `webalizer_group_referrer`;
CREATE TABLE `webalizer_group_referrer` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dom_id` int(10) unsigned NOT NULL default '0',
  `group_name` varchar(255) character set utf8 NOT NULL default '',
  `referrer` varchar(255) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `dom_id` (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `webalizer_group_referrer`
--


/*!40000 ALTER TABLE `webalizer_group_referrer` DISABLE KEYS */;
LOCK TABLES `webalizer_group_referrer` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `webalizer_group_referrer` ENABLE KEYS */;

--
-- Table structure for table `webalizer_hidden_referrer`
--

DROP TABLE IF EXISTS `webalizer_hidden_referrer`;
CREATE TABLE `webalizer_hidden_referrer` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `dom_id` int(10) unsigned NOT NULL default '0',
  `referrer` varchar(255) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `dom_id` (`dom_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `webalizer_hidden_referrer`
--


/*!40000 ALTER TABLE `webalizer_hidden_referrer` DISABLE KEYS */;
LOCK TABLES `webalizer_hidden_referrer` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `webalizer_hidden_referrer` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

